import { Event as ScoutEvent, PropertyChangeEvent, WidgetEventMap } from '@eclipse-scout/core';
import { AbstractChartRenderer, Chart } from '../index';
import { ChartConfig, ChartData, ClickObject } from './Chart';
export interface ChartValueClickEvent<C = Chart> extends ScoutEvent<C> {
    data: ClickObject;
    originalEvent?: Event;
}
export interface ChartEventMap extends WidgetEventMap {
    'chartRender': ScoutEvent<Chart>;
    'valueClick': ChartValueClickEvent;
    'propertyChange:chartRenderer': PropertyChangeEvent<AbstractChartRenderer>;
    'propertyChange:checkedItems': PropertyChangeEvent<ClickObject[]>;
    'propertyChange:config': PropertyChangeEvent<ChartConfig>;
    'propertyChange:data': PropertyChangeEvent<ChartData>;
}
//# sourceMappingURL=ChartEventMap.d.ts.map