/// <reference types="jquery" />
import { AbstractSvgChartRenderer, Chart, VennAsync3Calculator, VennCircle, VennCircleHelper } from '../index';
import { ChartValueGroup } from './Chart';
export declare class VennChartRenderer extends AbstractSvgChartRenderer {
    animationTriggered: boolean;
    data: ChartValueGroup[];
    centerX: number;
    centerY: number;
    numberOfCircles: number;
    readyToDraw: boolean;
    wasCircle: boolean;
    vennCircleHelper: VennCircleHelper;
    async3Calculator: VennAsync3Calculator;
    vennNumber1: VennCircle;
    vennReal1: VennCircle;
    vennNumber2: VennCircle;
    vennReal2: VennCircle;
    vennNumber3: VennCircle;
    vennReal3: VennCircle;
    $v1: JQuery<SVGElement>;
    $v2: JQuery<SVGElement>;
    $v3: JQuery<SVGElement>;
    constructor(chart: Chart);
    protected _validate(): boolean;
    protected _renderInternal(): void;
    remove(requestAnimation?: boolean, afterRemoveFunc?: (chartAnimationStopping?: boolean) => void): void;
    protected _calc1(v1: VennCircle): void;
    protected _calc2(v1: VennCircle, v2: VennCircle, real: boolean): void;
    protected _calc3(v1: VennCircle, v2: VennCircle, v3: VennCircle, real: boolean, callback: () => void): void;
    protected _cancelAsync3Calculator(): void;
    protected _draw(animated: boolean, real: boolean): void;
    protected _createCircle(circleIndex: number, color: string, cssClass: string): JQuery<SVGElement>;
    protected _updateVenn(venn: VennCircle, animated: boolean): void;
    protected _drawLabel(text: number, dx: number, dy: number, animated: boolean): void;
    protected _show(event: JQuery.MouseEventBase): void;
}
//# sourceMappingURL=VennChartRenderer.d.ts.map