/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./src/chart/AbstractChartRenderer.ts":
/*!********************************************!*\
  !*** ./src/chart/AbstractChartRenderer.ts ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AbstractChartRenderer: () => (/* binding */ AbstractChartRenderer)
/* harmony export */ });
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class AbstractChartRenderer extends _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.PropertyEventEmitter {
  constructor(chart) {
    super();
    _defineProperty(this, "chart", void 0);
    _defineProperty(this, "session", void 0);
    /** true while this.render() is executing */
    _defineProperty(this, "rendering", void 0);
    _defineProperty(this, "rendered", void 0);
    /** set by render() and remove(), makes it unnecessary to carry an argument through all method calls */
    _defineProperty(this, "animationDuration", void 0);
    _defineProperty(this, "firstOpaqueBackgroundColor", void 0);
    this.chart = chart;
    this.session = chart.session;
    this.rendering = false;
    this.rendered = false;
    this.animationDuration = 0;
    this.firstOpaqueBackgroundColor = '';
  }
  validate() {
    if (!this._validateChartData()) {
      return false;
    }
    return this._validate();
  }
  _validateChartData() {
    let chartData = this.chart && this.chart.data;
    if (!chartData || !chartData.chartValueGroups || chartData.chartValueGroups.length === 0) {
      return false;
    }
    // check lengths
    let i,
      length = 0;
    for (i = 0; i < chartData.chartValueGroups.length; i++) {
      let chartValueGroup = chartData.chartValueGroups[i];
      if (!chartValueGroup.values) {
        return false;
      }
      // Length of all "values" arrays have to be equal
      if (i === 0) {
        length = chartValueGroup.values.length;
      } else {
        if (chartValueGroup.values.length !== length) {
          return false;
        }
      }
      // color should have been set.
      if (!this.chart.config.options.autoColor && !_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(chartValueGroup.colorHexValue).length && !chartValueGroup.cssClass) {
        return false;
      }
    }
    for (i = 0; i < chartData.axes.length; i++) {
      if (chartData.axes[i].length !== length) {
        return false;
      }
    }
    return true;
  }
  _validate() {
    // Override in subclasses
    return true;
  }
  /**
   * @param requestAnimation
   *          Whether animations should be used while rendering the chart. Note that his
   *          property is ignored when chart.config.options.animation.duration is <code>0</code>!
   */
  render(requestAnimation) {
    if (!this.validate() || !this.chart.rendered) {
      return;
    }
    const configAnimationDuration = this.chart.config.options.animation.duration;
    this.setAnimationDuration(requestAnimation ? configAnimationDuration : 0);
    this.rendering = true;
    this._render();
    this.rendering = false;
    this.rendered = true;
    this.setAnimationDuration(configAnimationDuration);
  }
  _render() {
    // Override in subclasses
  }
  renderCheckedItems() {
    if (this.rendered) {
      this._renderCheckedItems();
    }
  }
  _renderCheckedItems() {
    // nop
  }
  /**
   * @param requestAnimation
   *          Whether animations should be used while updating the chart. Note that his
   *          property is ignored when chart.config.options.animation.duration is <code>0</code>!
   */
  updateData(requestAnimation) {
    if (!this.rendered) {
      this.render(requestAnimation);
      return;
    }
    if (!this.validate() || !this.isDataUpdatable()) {
      return;
    }
    const configAnimationDuration = this.chart.config.options.animation.duration;
    this.setAnimationDuration(requestAnimation ? configAnimationDuration : 0);
    this._updateData();
    this.setAnimationDuration(configAnimationDuration);
  }
  _updateData() {
    // Override in subclasses
  }
  isDataUpdatable() {
    return false;
  }
  isDetachSupported() {
    return true;
  }
  refresh() {
    if (this.rendered) {
      this.remove(false);
    }
    this.render(false);
  }
  setAnimationDuration(animationDuration) {
    if (!this.setProperty('animationDuration', animationDuration)) {
      return;
    }
    if (this.rendered) {
      this._renderAnimationDuration();
    }
  }
  _setAnimationDuration(animationDuration) {
    this._setProperty('animationDuration', animationDuration);
  }
  _renderAnimationDuration() {
    // nop
  }
  /**
   * @param requestAnimation
   *          Whether animations should be used while removing the chart. Note that his
   *          property is ignored when chart.config.options.animation.duration is <code>0</code>!
   */
  remove() {
    let requestAnimation = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
    let afterRemoveFunc = arguments.length > 1 ? arguments[1] : undefined;
    const configAnimationDuration = this.chart.config.options.animation.duration;
    this.setAnimationDuration(requestAnimation && configAnimationDuration);
    if (this.animationDuration && this.rendered) {
      this._removeAnimated(afterRemoveFunc);
    } else {
      this._remove(afterRemoveFunc);
    }
    this.setAnimationDuration(configAnimationDuration);
  }
  _remove(afterRemoveFunc) {
    this.rendered = false;
    afterRemoveFunc && afterRemoveFunc();
  }
  _removeAnimated(afterRemoveFunc) {
    // Override in subclasses
    this._remove(afterRemoveFunc);
  }
  /**
   * Controls if the animation of the chart is shown when chart data has been updated.
   */
  shouldAnimateRemoveOnUpdate(opts) {
    return opts.requestAnimation;
  }
}

/***/ }),

/***/ "./src/chart/AbstractSvgChartRenderer.ts":
/*!***********************************************!*\
  !*** ./src/chart/AbstractSvgChartRenderer.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AbstractSvgChartRenderer: () => (/* binding */ AbstractSvgChartRenderer)
/* harmony export */ });
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */



class AbstractSvgChartRenderer extends _index__WEBPACK_IMPORTED_MODULE_2__.AbstractChartRenderer {
  constructor(chart) {
    super(chart);
    _defineProperty(this, "chartBox", void 0);
    /** Clipping and masking */
    _defineProperty(this, "clipId", void 0);
    _defineProperty(this, "maskId", void 0);
    _defineProperty(this, "suppressLegendBox", void 0);
    _defineProperty(this, "height", void 0);
    _defineProperty(this, "width", void 0);
    _defineProperty(this, "chartAnimationStopping", void 0);
    _defineProperty(this, "$svg", void 0);
    this.chartBox = null;
    this.clipId = 'Clip-' + _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.ObjectFactory.get().createUniqueId();
    this.maskId = 'Mask-' + _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.ObjectFactory.get().createUniqueId();
    this.suppressLegendBox = false;
  }
  _render() {
    if (!this.$svg) {
      this.$svg = this.chart.$container.appendSVG('svg', 'chart-svg');
      _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.aria.role(this.$svg, 'img');
      // labeling has to be done here because otherwise the svg is ignored
      this.linkChartWithFieldLabel(this.$svg);
    }
    this.firstOpaqueBackgroundColor = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.styles.getFirstOpaqueBackgroundColor(this.$svg);
    // This works, because CSS specifies 100% width/height
    this.height = this.$svg.height();
    this.width = this.$svg.width();
    this._initChartBox();
    if (this._useFontSizeBig()) {
      this.$svg.addClass(AbstractSvgChartRenderer.FONT_SIZE_BIG);
    } else if (this._useFontSizeMiddle()) {
      this.$svg.addClass(AbstractSvgChartRenderer.FONT_SIZE_MIDDLE);
    } else if (this._useFontSizeSmall()) {
      this.$svg.addClass(AbstractSvgChartRenderer.FONT_SIZE_SMALL);
    } else if (this._useFontSizeSmallest()) {
      this.$svg.addClass(AbstractSvgChartRenderer.FONT_SIZE_SMALLEST);
    }
    if (!this.$svg.isAttached()) {
      // user navigated away. do not try to render->error
      return;
    }
    this._renderInternal();
  }
  /**
   * Links chart svg with its field label so the field name is read when entering the chart
   *
   * @see <a href="https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Attributes/aria-labelledby">ARIA: aria-labelledby</a>
   */
  linkChartWithFieldLabel($chartSvg) {
    if (!$chartSvg) {
      return;
    }
    let $field = $chartSvg.parents('.chart-field');
    if ($field.length > 0) {
      let $fieldLabel = $field.eq(0).children('label');
      if ($fieldLabel.length > 0) {
        _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.aria.linkElementWithLabel($chartSvg, $fieldLabel.eq(0));
      }
    }
  }
  _renderInternal() {
    // Override in subclasses
  }
  _useFontSizeBig() {
    return false;
  }
  _useFontSizeMiddle() {
    return false;
  }
  _useFontSizeSmall() {
    return false;
  }
  _useFontSizeSmallest() {
    return false;
  }
  remove() {
    let requestAnimation = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
    let afterRemoveFunc = arguments.length > 1 ? arguments[1] : undefined;
    if (this.rendered && !this.chartAnimationStopping) {
      this.chartAnimationStopping = true;
      this.$svg.children().stop(true, false);
      this.chartAnimationStopping = false;
    }
    super.remove(requestAnimation, afterRemoveFunc);
  }
  _remove(afterRemoveFunc) {
    // this function is called directly from renderers after all removal animations are done
    // however, other animations may have been queued in the meantime (e.g. in case the chart was removed, then added (+animation queued), and then removed again)
    if (this.rendered) {
      this.$svg.children().stop(true, false);
      // need to check again, as stop() may have triggered a chart removal and this may not be rendered anymore
      if (this.rendered) {
        this.$svg.remove();
        this.$svg = null;
      }
    }
    this.rendered = false;
    afterRemoveFunc && afterRemoveFunc(this.chartAnimationStopping);
  }
  /**
   * For all parameters: use null when parameter is not used or set by a chart type.
   */
  _createClickObject(xIndex, datasetIndex) {
    return {
      xIndex: xIndex,
      dataIndex: xIndex,
      datasetIndex: datasetIndex
    };
  }
  _measureText(text, legendLabelClass) {
    let $label = this.$svg.appendSVG('text', legendLabelClass).attr('x', 0).attr('y', 0).attr('visibility', 'hidden').text(text);
    let textBounds;
    try {
      // Firefox throws error when node is not in dom(already removed by navigating away). all other browser returns a bounding box with 0
      textBounds = $label[0].getBBox();
    } catch (e) {
      return {
        height: 0,
        width: 0
      };
    }
    $label.remove();
    return textBounds;
  }
  _renderLine(x1, y1, x2, y2, lineClass) {
    let $line = this.$svg.appendSVG('line', lineClass).attr('x1', x1).attr('y1', y1).attr('x2', x2).attr('y2', y2);
    if (this.animationDuration) {
      $line.attr('opacity', 0).animateSVG('opacity', 1, this.animationDuration, null, true);
    }
    return $line;
  }
  _renderLineLabel(x, y, label, labelClass, drawBackground) {
    let $label = this.$svg.appendSVG('text', labelClass ? labelClass : 'line-label').attr('x', x).attr('y', y).text(label);
    if (drawBackground) {
      $label.attr('mask', 'url(#' + this.maskId + ')');
      let $background = this.$svg.appendSVG('text', labelClass ? labelClass + ' background' : 'line-label-background').attr('x', x).attr('y', y).attr('clip-path', 'url(#' + this.clipId + ')').text(label);
      $label.data('$background', $background);
      if (this.animationDuration) {
        $background.attr('opacity', 0).animateSVG('opacity', 1, this.animationDuration, null, true);
      }
    }
    if (this.animationDuration) {
      $label.attr('opacity', 0).animateSVG('opacity', 1, this.animationDuration, null, true);
    }
    return $label;
  }
  _initChartBox() {
    this.chartBox = {
      width: this.width,
      height: this.height,
      xOffset: 0,
      yOffset: 0,
      mX: function () {
        return this.xOffset + this.width / 2;
      },
      mY: function () {
        return this.yOffset + this.height / 2;
      }
    };
  }
  _createAnimationObjectWithTabIndexRemoval(animationFunc, duration) {
    return {
      step: function (now, fx) {
        try {
          animationFunc.bind(this)(now, fx);
        } catch (e) {
          // prevent logging thousands of exceptions (1 per animation step) by stopping and clearing the queue
          jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).stop(true, false);
          throw e;
        }
      },
      duration: duration ? duration : _index__WEBPACK_IMPORTED_MODULE_2__.Chart.DEFAULT_ANIMATION_DURATION,
      complete: function () {
        jquery__WEBPACK_IMPORTED_MODULE_1___default()(this).removeAttr('tabindex');
      }
    };
  }
  _addClipping(cssClass) {
    // add clip and mask paths for all relevant objects
    let $clip = this.$svg.appendSVG('clipPath');
    $clip[0].id = this.clipId;
    let $mask = this.$svg.appendSVG('mask');
    $mask.appendSVG('rect').attr('x', 0).attr('y', 0).attr('width', '100%').attr('height', '100%').attr('fill', 'white');
    $mask[0].id = this.maskId;
    this.chart.$container.find('.' + cssClass).each(function (i) {
      this.id = 'ClipMask-' + _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.ObjectFactory.get().createUniqueId();
      $clip.appendSVG('use').attrXLINK('href', '#' + this.id);
      $mask.appendSVG('use').attrXLINK('href', '#' + this.id);
    });
  }
  _renderWireLegend(text, legendPositions, className, drawBackgroundBox) {
    if (!this.chart.config.options.plugins.tooltip.enabled) {
      return {
        detachFunc: () => {
          // nop
        },
        attachFunc: () => {
          // nop
        },
        removeFunc: () => {
          // nop
        }
      };
    }
    let legend = {},
      padding = 5,
      $background,
      backgroundWidth = 0,
      lineHeight = 17,
      backgroundHeight = lineHeight;
    if (drawBackgroundBox) {
      $background = this.$svg.appendSVG('rect', 'wire-legend-background-box').attr('opacity', '1');
    }
    let positions = legendPositions;
    // draw and measure label
    let $legend,
      lengthLegend = 0,
      horizontalSpace = 0;
    if (positions.h === -1) {
      horizontalSpace = positions.x2 - 2 * padding;
    } else {
      horizontalSpace = this.width - positions.x2 - 2 * padding;
    }
    if (Array.isArray(text)) {
      for (let i = 0; i < text.length; i++) {
        let posIndex = text.length - i - 1;
        let yPos = positions.y2 + positions.v * padding - lineHeight * posIndex - padding * posIndex;
        let $line = this._renderLineLabel(positions.x2 + padding, yPos, _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.strings.truncateText(text[i], horizontalSpace, this._measureText.bind(this)), '', drawBackgroundBox);
        $line.addClass(className);
        lengthLegend = Math.max(lengthLegend, $line[0].getComputedTextLength());
        if (i === 0) {
          $legend = $line;
        } else {
          if ($legend.data('lines')) {
            $legend.data('lines').push($line);
          } else {
            $legend.data('lines', [$line]);
          }
        }
      }
    } else {
      $legend = this._renderLineLabel(positions.x2 + padding, positions.y2 + positions.v * padding, _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.strings.truncateText(text, horizontalSpace, this._measureText.bind(this)), '', drawBackgroundBox);
      $legend.addClass(className);
      lengthLegend = $legend[0].getComputedTextLength();
    }
    backgroundWidth = lengthLegend + 2 * padding;
    if (legendPositions.autoPosition) {
      positions = legendPositions.posFunc.call(this, backgroundWidth, backgroundHeight);
      // adjust legend
      $legend.attr('x', positions.x2 + padding);
      $legend.attr('y', positions.y2 + positions.v * padding);
    }
    // fix layout depending on orientation of legend
    if (positions.h === -1) {
      $legend.attr('x', positions.x2 - padding - lengthLegend);
      $legend.css('text-anchor', 'left');
      if ($legend.data('lines')) {
        $legend.data('lines').forEach($line => {
          $line.attr('x', positions.x2 - padding - lengthLegend);
          $line.css('text-anchor', 'left');
        });
      }
    } else {
      $legend.attr('x', positions.x2 + padding);
      $legend.css('text-anchor', 'right');
      if ($legend.data('lines')) {
        $legend.data('lines').forEach($line => {
          $line.attr('x', positions.x2 + padding);
          $line.css('text-anchor', 'right');
        });
      }
    }
    if (positions.v === 1) {
      if ($legend.data('lines')) {
        $legend.data('lines').forEach(($line, i) => {
          $line.attr('y', positions.x2 - padding - lengthLegend);
          let index = 1 + i;
          $line.attr('y', positions.y2 + positions.v * padding + lineHeight * index + padding * (index + 1));
        });
      }
      $legend.attr('dy', '0.7em');
    } else {
      if ($legend.data('lines')) {
        let index = $legend.data('lines').length;
        $legend.attr('y', positions.y2 + positions.v * padding - lineHeight * index - padding * index);
        $legend.data('lines').forEach(($line, i) => {
          index = $legend.data('lines').length - 1 - i;
          $line.attr('y', positions.y2 + positions.v * padding - lineHeight * index - padding * index);
        });
      }
    }
    // align background text
    $legend.add($legend.data('lines')).each((i, line) => {
      let $line = jquery__WEBPACK_IMPORTED_MODULE_1___default()(line),
        $background = $line.data('$background');
      if ($background) {
        $background.attr('x', $line.attr('x'));
        $background.attr('y', $line.attr('y'));
        $background.css('text-anchor', $line.css('text-anchor'));
        $background.attr('dy', $line.attr('dy'));
      }
    });
    // draw lines, if wished
    let wires = [];
    if (positions.x1 > 0 && positions.y1 > 0) {
      wires.push(this._renderLine(positions.x1, positions.y1, positions.x2, positions.y2, 'label-line'));
      wires.push(this._renderLine(positions.x2, positions.y2, positions.x2 + positions.h * (lengthLegend + 2 * padding), positions.y2, 'label-line'));
    }
    $legend.data('wires', wires);
    let $svg = this.$svg;
    legend.detachFunc = () => {
      $legend.data('wires').forEach($wire => {
        $wire.detach();
      });
      if ($legend.data('lines')) {
        $legend.data('lines').forEach($line => {
          if ($line.data('$background')) {
            $svg.append($line.data('$background'));
          }
          $line.detach();
        });
      }
      if ($legend.data('$background')) {
        $legend.data('$background').remove();
      }
      $legend.detach();
    };
    legend.attachFunc = () => {
      $svg.append($legend);
      if ($legend.data('$background')) {
        $svg.append($legend.data('$background'));
      }
      $svg.append($legend.data('wires'));
      if ($legend.data('lines')) {
        $legend.data('lines').forEach($line => {
          $svg.append($line);
          if ($line.data('$background')) {
            $svg.append($line.data('$background'));
          }
        });
      }
    };
    legend.removeFunc = () => {
      $legend.data('wires').forEach($wire => {
        $wire.remove();
      });
      if ($legend.data('lines')) {
        $legend.data('lines').forEach($line => {
          if ($line.data('$background')) {
            $line.data('$background').remove();
          }
          $line().remove();
        });
      }
      if ($legend.data('$background')) {
        $legend.data('$background').remove();
      }
      $legend.remove();
    };
    legend.$field = $legend;
    return legend;
  }
}
_defineProperty(AbstractSvgChartRenderer, "FONT_SIZE_SMALLEST", 'smallestFont');
_defineProperty(AbstractSvgChartRenderer, "FONT_SIZE_SMALL", 'smallFont');
_defineProperty(AbstractSvgChartRenderer, "FONT_SIZE_MIDDLE", 'middleFont');
_defineProperty(AbstractSvgChartRenderer, "FONT_SIZE_BIG", 'bigFont');

/***/ }),

/***/ "./src/chart/Chart.ts":
/*!****************************!*\
  !*** ./src/chart/Chart.ts ***!
  \****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   Chart: () => (/* binding */ Chart),
/* harmony export */   ChartColorMode: () => (/* binding */ ChartColorMode)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_2__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */



class Chart extends _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_1__.Widget {
  constructor() {
    super();
    _defineProperty(this, "data", void 0);
    _defineProperty(this, "config", void 0);
    _defineProperty(this, "checkedItems", void 0);
    _defineProperty(this, "chartRenderer", void 0);
    /** @internal */
    _defineProperty(this, "_updatedOnce", void 0);
    _defineProperty(this, "_updateChartTimeoutId", void 0);
    _defineProperty(this, "_updateChartOpts", void 0);
    _defineProperty(this, "_updateChartOptsWhileNotAttached", void 0);
    this.$container = null;
    this.data = null;
    this.config = null;
    this.checkedItems = [];
    this.chartRenderer = null;
    this._updateChartTimeoutId = null;
    this._updateChartOpts = null;
    this._updateChartOptsWhileNotAttached = [];
    this._updatedOnce = false;
  }
  // ms
  _init(model) {
    super._init(model);
    this.setConfig(this.config);
    this._setData(this.data);
  }
  _render() {
    this.$container = this.$parent.appendDiv('chart');
    _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_1__.aria.role(this.$container, 'none'); // ignore this container for screen readers, they care about the chart inside
    this.htmlComp = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_1__.HtmlComponent.install(this.$container, this.session);
    this.htmlComp.setLayout(new _index__WEBPACK_IMPORTED_MODULE_0__.ChartLayout(this));
    // !!! Do _not_ update the chart here, because usually the container size
    // !!! is not correct anyway during the render phase. The ChartLayout
    // !!! will eventually call updateChart() when the layout is validated.
  }
  _renderProperties() {
    super._renderProperties();
    this._renderClickable();
    this._renderCheckable();
    this._renderChartType();
    this._renderColorScheme();
    this.updateChart({
      requestAnimation: true,
      debounce: Chart.DEFAULT_DEBOUNCE_TIMEOUT
    });
  }
  _renderOnAttach() {
    var _this$chartRenderer;
    super._renderOnAttach();
    const updateChartOptsWhileNotAttached = this._updateChartOptsWhileNotAttached.splice(0);
    if (!((_this$chartRenderer = this.chartRenderer) !== null && _this$chartRenderer !== void 0 && _this$chartRenderer.isDetachSupported())) {
      // the chartRenderer does not support detach => recreate it
      this._updateChartRenderer();
      updateChartOptsWhileNotAttached.forEach(opts => delete opts.requestAnimation);
      updateChartOptsWhileNotAttached.push({
        requestAnimation: false
      });
    }
    updateChartOptsWhileNotAttached.forEach(opts => this.updateChart(jquery__WEBPACK_IMPORTED_MODULE_2___default().extend(true, {}, opts, {
      debounce: true
    })));
  }
  _remove() {
    if (this.chartRenderer) {
      this.chartRenderer.remove(false);
    }
    this.$container.remove();
    this.$container = null;
  }
  setData(data) {
    this.setProperty('data', data);
    this.setCheckedItems(this.checkedItems);
  }
  _setData(data) {
    if (data) {
      data = jquery__WEBPACK_IMPORTED_MODULE_2___default().extend({
        axes: []
      }, data);
    }
    this._setProperty('data', data);
  }
  _renderData() {
    this.updateChart({
      requestAnimation: true,
      debounce: Chart.DEFAULT_DEBOUNCE_TIMEOUT,
      onlyUpdateData: true
    });
  }
  setConfig(config) {
    let defaultConfig = {
      type: Chart.Type.PIE,
      options: {
        autoColor: true,
        colorMode: ChartColorMode.AUTO,
        colorScheme: _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_1__.colorSchemes.ColorSchemeId.DEFAULT,
        transparent: false,
        maxSegments: 5,
        adjustGridMaxMin: true,
        clickable: false,
        checkable: false,
        animation: {
          duration: Chart.DEFAULT_ANIMATION_DURATION
        },
        plugins: {
          datalabels: {
            display: false
          },
          tooltip: {
            enabled: true
          },
          legend: {
            display: true,
            clickable: false,
            position: Chart.Position.RIGHT,
            pointsVisible: true
          }
        }
      }
    };
    config = jquery__WEBPACK_IMPORTED_MODULE_2___default().extend(true, {}, defaultConfig, config);
    config.options.colorScheme = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_1__.colorSchemes.ensureColorScheme(config.options.colorScheme);
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_1__.objects.equalsRecursive(this.config, config)) {
      return;
    }
    // check if only data has changed
    let oldConfigWithNewData = jquery__WEBPACK_IMPORTED_MODULE_2___default().extend(true, {}, this.config);
    if (config.data) {
      oldConfigWithNewData.data = config.data;
    } else {
      delete oldConfigWithNewData.data;
    }
    // the label map is technically part of the config, but it is handled as data. Therefore, it is excluded from this check.
    let transferLabelMap = (source, target, identifier) => {
      if (!source || !target || !identifier) {
        return;
      }
      // Property not set on source -> remove from target
      if (!source.options || !source.options[identifier]) {
        if (target.options) {
          delete target.options[identifier];
        }
        if (target.options && _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_1__.objects.isEmpty(target.options.scales) && !(source.options && source.options.scales)) {
          delete target.options.scales;
        }
        if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_1__.objects.isEmpty(target.options) && !source.options) {
          delete target.options;
        }
        return;
      }
      target.options[identifier] = source.options[identifier];
    };
    transferLabelMap(config, oldConfigWithNewData, 'xLabelMap');
    transferLabelMap(config, oldConfigWithNewData, 'yLabelMap');
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_1__.objects.equalsRecursive(oldConfigWithNewData, config)) {
      this._setProperty('config', config);
      if (this.rendered) {
        this._renderConfig(true);
      }
      this.setCheckedItems(this.checkedItems);
      return;
    }
    if (this.rendered && this.config && this.config.type) {
      this.$container.removeClass(this.config.type + '-chart');
    }
    this.setProperty('config', config);
    this.setCheckedItems(this.checkedItems);
    this._updateChartRenderer();
  }
  _renderConfig(onlyUpdateData) {
    this._renderClickable();
    this._renderCheckable();
    this._renderChartType();
    this._renderColorScheme();
    this.updateChart({
      requestAnimation: true,
      debounce: Chart.DEFAULT_DEBOUNCE_TIMEOUT,
      onlyUpdateData: onlyUpdateData
    });
  }
  setCheckedItems(checkedItems) {
    this.setProperty('checkedItems', _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_1__.arrays.ensure(this._filterCheckedItems(checkedItems)));
  }
  _filterCheckedItems(checkedItems) {
    if (!Array.isArray(checkedItems)) {
      return checkedItems;
    }
    let datasetLengths = [];
    if (this.data && this.data.chartValueGroups) {
      this.data.chartValueGroups.forEach(chartValueGroup => datasetLengths.push(chartValueGroup.values.length));
    } else if (this.config && this.config.data) {
      this.config.data.datasets.forEach(dataset => datasetLengths.push(dataset.data.length));
    }
    let filteredCheckedItems = checkedItems.filter(item => datasetLengths[item.datasetIndex] && item.dataIndex < datasetLengths[item.datasetIndex]);
    if (filteredCheckedItems.length < checkedItems.length) {
      return filteredCheckedItems;
    }
    return checkedItems;
  }
  _renderCheckedItems() {
    if (this.chartRenderer) {
      this.chartRenderer.renderCheckedItems();
    }
  }
  _renderEnabled() {
    this.updateChart();
  }
  _renderClickable() {
    this.$container.toggleClass('clickable', this.config.options.clickable);
  }
  _renderCheckable() {
    this.$container.toggleClass('checkable', this.config.options.checkable);
  }
  _renderChartType() {
    this.$container.addClass(this.config.type + '-chart');
  }
  _renderColorScheme() {
    _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_1__.colorSchemes.toggleColorSchemeClasses(this.$container, this.config.options.colorScheme);
  }
  updateChart(opts) {
    opts = opts || {};
    opts.onlyUpdateData = opts.onlyUpdateData && this.chartRenderer && this.chartRenderer.isDataUpdatable();
    opts.enforceRerender = !opts.onlyUpdateData && !opts.onlyRefresh;
    // Cancel previously scheduled update and merge opts
    if (this._updateChartTimeoutId) {
      clearTimeout(this._updateChartTimeoutId);
      if (this._updateChartOpts) {
        // Inherit 'true' values from previously scheduled updates
        opts.requestAnimation = opts.requestAnimation || this._updateChartOpts.requestAnimation;
        opts.onlyUpdateData = opts.onlyUpdateData || this._updateChartOpts.onlyUpdateData;
        opts.onlyRefresh = opts.onlyRefresh || this._updateChartOpts.onlyRefresh;
        opts.enforceRerender = opts.enforceRerender || this._updateChartOpts.enforceRerender;
      }
      this._updateChartTimeoutId = null;
      this._updateChartOpts = null;
    }
    let updateChartImplFn = updateChartImpl.bind(this);
    let doDebounce = opts.debounce === true || typeof opts.debounce === 'number';
    if (doDebounce) {
      this._updateChartOpts = opts;
      if (typeof opts.debounce === 'number') {
        this._updateChartTimeoutId = setTimeout(updateChartImplFn, opts.debounce);
      } else {
        this._updateChartTimeoutId = setTimeout(updateChartImplFn);
      }
    } else {
      updateChartImplFn();
    }
    // ---- Helper functions -----
    function updateChartImpl() {
      this._updateChartTimeoutId = null;
      this._updateChartOpts = null;
      if (!this.$container || !this.$container.isAttached()) {
        this._updateChartOptsWhileNotAttached.push(opts);
        return;
      }
      this._updatedOnce = true;
      if (!this.chartRenderer) {
        return; // nothing to render when there is no renderer.
      }
      if (opts.enforceRerender) {
        this.chartRenderer.remove(this.chartRenderer.shouldAnimateRemoveOnUpdate(opts), chartAnimationStopping => {
          if (this.removing || chartAnimationStopping) {
            // prevent exceptions trying to render after navigated away, and do not update/render while a running animation is being stopped
            return;
          }
          this.chartRenderer.render(opts.requestAnimation);
          this.trigger('chartRender');
        });
      } else if (opts.onlyUpdateData) {
        this.chartRenderer.updateData(opts.requestAnimation);
      } else if (opts.onlyRefresh) {
        this.chartRenderer.refresh();
      }
    }
  }
  _resolveChartRenderer() {
    switch (this.config.type) {
      case Chart.Type.FULFILLMENT:
        return new _index__WEBPACK_IMPORTED_MODULE_0__.FulfillmentChartRenderer(this);
      case Chart.Type.SPEEDO:
        return new _index__WEBPACK_IMPORTED_MODULE_0__.SpeedoChartRenderer(this);
      case Chart.Type.SALESFUNNEL:
        return new _index__WEBPACK_IMPORTED_MODULE_0__.SalesfunnelChartRenderer(this);
      case Chart.Type.VENN:
        return new _index__WEBPACK_IMPORTED_MODULE_0__.VennChartRenderer(this);
      case Chart.Type.BAR:
      case Chart.Type.BAR_HORIZONTAL:
      case Chart.Type.LINE:
      case Chart.Type.COMBO_BAR_LINE:
      case Chart.Type.PIE:
      case Chart.Type.DOUGHNUT:
      case Chart.Type.POLAR_AREA:
      case Chart.Type.RADAR:
      case Chart.Type.BUBBLE:
      case Chart.Type.SCATTER:
        return new _index__WEBPACK_IMPORTED_MODULE_0__.ChartJsRenderer(this);
    }
    return null;
  }
  _updateChartRenderer() {
    this.chartRenderer && this.chartRenderer.remove();
    this.setProperty('chartRenderer', this._resolveChartRenderer());
  }
  handleValueClick(clickedItem, originalEvent) {
    if (this.config.options.checkable) {
      let checkedItems = [...this.checkedItems],
        checkedItem = checkedItems.filter(item => item.datasetIndex === clickedItem.datasetIndex && item.dataIndex === clickedItem.dataIndex)[0];
      if (checkedItem) {
        _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_1__.arrays.remove(checkedItems, checkedItem);
      } else {
        checkedItems.push(clickedItem);
      }
      this.setCheckedItems(checkedItems);
    }
    this.trigger('valueClick', {
      data: clickedItem,
      originalEvent
    });
  }
}
/**
 * Determines what parts of the chart data is colored with the same colors.
 */
_defineProperty(Chart, "Type", {
  PIE: 'pie',
  LINE: 'line',
  BAR: 'bar',
  BAR_HORIZONTAL: 'horizontalBar',
  COMBO_BAR_LINE: 'comboBarLine',
  FULFILLMENT: 'fulfillment',
  SPEEDO: 'speedo',
  SALESFUNNEL: 'salesfunnel',
  VENN: 'venn',
  DOUGHNUT: 'doughnut',
  POLAR_AREA: 'polarArea',
  RADAR: 'radar',
  BUBBLE: 'bubble',
  SCATTER: 'scatter'
});
_defineProperty(Chart, "Position", {
  TOP: 'top',
  BOTTOM: 'bottom',
  LEFT: 'left',
  RIGHT: 'right',
  CENTER: 'center'
});
_defineProperty(Chart, "DEFAULT_ANIMATION_DURATION", 600);
// ms
_defineProperty(Chart, "DEFAULT_DEBOUNCE_TIMEOUT", 100);
var ChartColorMode;
(function (ChartColorMode) {
  /**
   * Uses one of the other options depending on the chart type.
   */
  ChartColorMode["AUTO"] = "auto";
  /**
   * Uses a different color for each dataset.
   */
  ChartColorMode["DATASET"] = "dataset";
  /**
   * Uses a different color for each datapoint in a dataset but the n-th datapoint in each dataset will be colored using the same color.
   */
  ChartColorMode["DATA"] = "data";
})(ChartColorMode || (ChartColorMode = {}));

/***/ }),

/***/ "./src/chart/ChartAdapter.ts":
/*!***********************************!*\
  !*** ./src/chart/ChartAdapter.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ChartAdapter: () => (/* binding */ ChartAdapter)
/* harmony export */ });
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ChartAdapter extends _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.ModelAdapter {
  _onWidgetValueClick(event) {
    this._send('valueClick', event.data);
  }
  _onWidgetEvent(event) {
    if (event.type === 'valueClick') {
      this._onWidgetValueClick(event);
    } else {
      super._onWidgetEvent(event);
    }
  }
}

/***/ }),

/***/ "./src/chart/ChartEventMap.ts":
/*!************************************!*\
  !*** ./src/chart/ChartEventMap.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/chart/ChartJsRenderer.ts":
/*!**************************************!*\
  !*** ./src/chart/ChartJsRenderer.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ChartJsRenderer: () => (/* binding */ ChartJsRenderer)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var chart_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! chart.js/auto */ "chart.js");
/* harmony import */ var chart_js__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(chart_js__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var chartjs_plugin_datalabels__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! chartjs-plugin-datalabels */ "chartjs-plugin-datalabels");
/* harmony import */ var chartjs_plugin_datalabels__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(chartjs_plugin_datalabels__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_4__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2025 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


 // Import from auto to register charts



chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.register((chartjs_plugin_datalabels__WEBPACK_IMPORTED_MODULE_3___default()));
jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.defaults, {
  maintainAspectRatio: false,
  elements: {
    line: {
      borderWidth: 2
    },
    point: {
      radius: 0,
      hitRadius: 10,
      hoverRadius: 7,
      hoverBorderWidth: 2
    },
    arc: {
      borderWidth: 1
    },
    bar: {
      borderWidth: 1,
      borderSkipped: ''
    }
  },
  plugins: {
    legend: {
      labels: {
        usePointStyle: true,
        boxHeight: 7
      }
    }
  }
});
jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.overrides, {
  line: {
    elements: {
      point: {
        borderWidth: 2
      }
    }
  },
  scatter: {
    elements: {
      point: {
        radius: 3
      }
    }
  },
  bubble: {
    layout: {
      // Enabled auto padding would cause Chart.js to automatically add padding, in the size of the largest bubble
      // (defined by 'sizeOfLargestBubble'), around the chart. This wastes spaces and is not necessary, as we adjust
      // the axes already with the bubble size in mind.
      autoPadding: false
    }
  }
});
let chartJsGlobalsInitialized = false;
const PHI = (1 + Math.sqrt(5)) / 2; // golden ratio
class ChartJsRenderer extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractChartRenderer {
  constructor(chart) {
    super(chart);
    _defineProperty(this, "chartJs", void 0);
    _defineProperty(this, "onlyIntegers", void 0);
    _defineProperty(this, "maxXAxesTicksHeight", void 0);
    _defineProperty(this, "numSupportedColors", void 0);
    _defineProperty(this, "colorSchemeCssClass", void 0);
    _defineProperty(this, "minRadialChartDatalabelSpace", void 0);
    _defineProperty(this, "resetDatasetAfterHover", void 0);
    _defineProperty(this, "legendHoverDatasets", void 0);
    _defineProperty(this, "removing", void 0);
    _defineProperty(this, "$canvas", void 0);
    _defineProperty(this, "_labelFormatter", void 0);
    _defineProperty(this, "_xLabelFormatter", void 0);
    _defineProperty(this, "_yLabelFormatter", void 0);
    _defineProperty(this, "_xAxisFitter", void 0);
    _defineProperty(this, "_yAxisFitter", void 0);
    _defineProperty(this, "_radialChartDatalabelsDisplayHandler", void 0);
    _defineProperty(this, "_radialChartDatalabelsFormatter", void 0);
    _defineProperty(this, "_datalabelsFormatter", void 0);
    _defineProperty(this, "_datalabelBackgroundColorHandler", void 0);
    _defineProperty(this, "_legendLabelGenerator", void 0);
    _defineProperty(this, "_clickHandler", void 0);
    _defineProperty(this, "_hoverHandler", void 0);
    _defineProperty(this, "_pointerHoverHandler", void 0);
    _defineProperty(this, "_legendClickHandler", void 0);
    _defineProperty(this, "_legendHoverHandler", void 0);
    _defineProperty(this, "_legendPointerHoverHandler", void 0);
    _defineProperty(this, "_legendLeaveHandler", void 0);
    _defineProperty(this, "_legendPointerLeaveHandler", void 0);
    _defineProperty(this, "_resizeHandler", void 0);
    _defineProperty(this, "_tooltipTitleGenerator", void 0);
    _defineProperty(this, "_tooltipItemsGenerator", void 0);
    _defineProperty(this, "_tooltipLabelGenerator", void 0);
    _defineProperty(this, "_tooltipLabelValueGenerator", void 0);
    _defineProperty(this, "_tooltipLabelColorGenerator", void 0);
    _defineProperty(this, "_tooltipRenderer", void 0);
    _defineProperty(this, "_tooltip", void 0);
    _defineProperty(this, "_tooltipTimeoutId", void 0);
    _defineProperty(this, "_updatingDatalabels", void 0);
    this.chartJs = null;
    this.onlyIntegers = true;
    this.maxXAxesTicksHeight = 75;
    this.numSupportedColors = 6;
    this.colorSchemeCssClass = '';
    this.minRadialChartDatalabelSpace = 25;
    this._labelFormatter = this._createLabelFormatter(this._formatLabel);
    this._xLabelFormatter = this._createLabelFormatter(this._formatXLabel);
    this._yLabelFormatter = this._createLabelFormatter(this._formatYLabel);
    this._xAxisFitter = this._fitXAxis.bind(this);
    this._yAxisFitter = this._fitYAxis.bind(this);
    this._radialChartDatalabelsDisplayHandler = this._displayDatalabelsOnRadialChart.bind(this);
    this._radialChartDatalabelsFormatter = this._formatDatalabelsOnRadialChart.bind(this);
    this._datalabelsFormatter = this._formatDatalabels.bind(this);
    this._datalabelBackgroundColorHandler = this._getBackgroundColorOfDataset.bind(this);
    this._legendLabelGenerator = this._generateLegendLabels.bind(this);
    this.resetDatasetAfterHover = false;
    this._clickHandler = this._onClick.bind(this);
    this._hoverHandler = this._onHover.bind(this);
    this._pointerHoverHandler = this._onHoverPointer.bind(this);
    this.legendHoverDatasets = [];
    this._legendClickHandler = this._onLegendClick.bind(this);
    this._legendHoverHandler = this._onLegendHover.bind(this);
    this._legendPointerHoverHandler = this._onLegendHoverPointer.bind(this);
    this._legendLeaveHandler = this._onLegendLeave.bind(this);
    this._legendPointerLeaveHandler = this._onLegendLeavePointer.bind(this);
    this._resizeHandler = this._onResize.bind(this);
    this._tooltipTitleGenerator = this._generateTooltipTitle.bind(this);
    this._tooltipItemsGenerator = this._generateTooltipItems.bind(this);
    this._tooltipLabelGenerator = this._generateTooltipLabel.bind(this);
    this._tooltipLabelValueGenerator = this._generateTooltipLabelValue.bind(this);
    this._tooltipLabelColorGenerator = this._generateTooltipLabelColor.bind(this);
    this._tooltipRenderer = this._renderTooltip.bind(this);
    this._tooltip = null;
    this._tooltipTimeoutId = null;
  }
  _validateChartData() {
    let chartDataValid = true;
    let chartData = this.chart && this.chart.data;
    if (!chartData || !chartData.chartValueGroups || chartData.chartValueGroups.length === 0 || !chartData.axes) {
      chartDataValid = false;
    }
    if (chartDataValid && _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(this.chart.config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.RADAR)) {
      // check lengths
      let i,
        length = 0;
      for (i = 0; i < chartData.chartValueGroups.length; i++) {
        let chartValueGroup = chartData.chartValueGroups[i];
        if (!chartValueGroup.values) {
          chartDataValid = false;
        }
        // Length of all "values" arrays have to be equal
        if (i === 0) {
          length = chartValueGroup.values.length;
        } else {
          if (chartValueGroup.values.length !== length) {
            chartDataValid = false;
          }
        }
      }
      for (i = 0; i < chartData.axes.length; i++) {
        if (chartData.axes[i].length !== length) {
          chartDataValid = false;
        }
      }
    }
    if (chartDataValid) {
      return true;
    }
    let chartConfigDataValid = true;
    let config = this.chart && this.chart.config;
    if (!config || !config.data || !config.data.datasets || config.data.datasets.length === 0) {
      chartConfigDataValid = false;
    }
    if (chartConfigDataValid && _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.RADAR)) {
      // check lengths
      let i,
        length = 0;
      for (i = 0; i < config.data.datasets.length; i++) {
        let dataset = config.data.datasets[i];
        if (!dataset.data) {
          chartConfigDataValid = false;
        }
        // Length of all "data" arrays have to be equal
        if (i === 0) {
          length = dataset.data.length;
        } else {
          if (dataset.data.length !== length) {
            chartConfigDataValid = false;
          }
        }
      }
    }
    return chartConfigDataValid;
  }
  _render() {
    if (!this.$canvas) {
      this.$canvas = this.chart.$container.appendElement('<canvas>');
      _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.aria.hidden(this.$canvas, true); // aria not supported yet
    }
    this.firstOpaqueBackgroundColor = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.styles.getFirstOpaqueBackgroundColor(this.$canvas);
    if (!chartJsGlobalsInitialized) {
      chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.defaults.font.family = this.$canvas.css('font-family');
      chart_js__WEBPACK_IMPORTED_MODULE_1__._adapters._date.override(_index__WEBPACK_IMPORTED_MODULE_0__.chartJsDateAdapter.getAdapter(this.chart.session));
      chartJsGlobalsInitialized = true;
    }
    let config = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, this.chart.config);
    this._adjustConfig(config);
    this._renderChart(config);
  }
  _renderChart(config) {
    if (this.chartJs) {
      this.chartJs.destroy();
    }
    config = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, config, {
      options: {
        animation: {}
      }
    }, config);
    config.options.animation.duration = this.animationDuration;
    this.chartJs = new chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart(this.$canvas[0].getContext('2d'), config);
    this._adjustSize(this.chartJs.config, this.chartJs.chartArea, {
      isDatasetVisible: i => this.chartJs.getDatasetMeta(i).visible
    });
    this.refresh();
  }
  _updateData() {
    if (!this.chartJs) {
      return;
    }
    let config = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, this.chart.config);
    this._adjustConfig(config);
    let targetData = this.chartJs.config.data,
      sourceData = config.data;
    // Transfer property from source object to target object:
    // 1. If the property is not set on the target object, copy it from source.
    // 2. If the property is not set on the source object, set it to undefined if setToUndefined = true. Otherwise, empty the array if it is an array property or set it to undefined.
    // 3. If the property is not an array on the source or the target object, copy the property from the source to the target object.
    // 4. If the property is an array on both objects, do not update the array, but transfer the elements (update elements directly, use pop(), push() or splice() if one array is longer than the other).
    let transferProperty = (source, target, property, setToUndefined) => {
      if (!source || !target || !property) {
        return;
      }
      // 1. Property not set on target
      if (!target[property]) {
        let src = source[property];
        if (src || setToUndefined) {
          target[property] = src;
        }
        return;
      }
      // 2. Property not set on source
      if (!source[property]) {
        if (setToUndefined) {
          // Set to undefined if setToUndefined = true
          target[property] = undefined;
          return;
        }
        // Empty array
        if (Array.isArray(target[property])) {
          target[property].splice(0, target[property].length);
          return;
        }
        // Otherwise set to undefined
        target[property] = undefined;
        return;
      }
      // 3. Property is not an array on the source or the target object
      if (!Array.isArray(source[property]) || !Array.isArray(target[property])) {
        target[property] = source[property];
        return;
      }
      // 4. Property is an array on the source and the target object
      for (let i = 0; i < Math.min(source[property].length, target[property].length); i++) {
        // Update elements directly
        target[property][i] = source[property][i];
      }
      let targetLength = target[property].length,
        sourceLength = source[property].length;
      if (targetLength > sourceLength) {
        // Target array is longer than source array
        target[property].splice(sourceLength, targetLength - sourceLength);
      } else if (targetLength < sourceLength) {
        // Source array is longer than target array
        target[property].push(...source[property].splice(targetLength));
      }
    };
    let findDataset = (datasets, datasetId) => _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.find(datasets, dataset => dataset.datasetId === datasetId);
    let findDatasetIndex = (datasets, datasetId) => _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.findIndex(datasets, dataset => dataset.datasetId === datasetId);
    if (targetData && sourceData) {
      // Transfer properties from source to target, instead of overwriting the whole data object.
      // This needs to be done to have a smooth animation from the old to the new state and not a complete rebuild of the chart.
      transferProperty(sourceData, targetData, 'labels');
      if (!targetData.datasets) {
        targetData.datasets = [];
      }
      if (!sourceData.datasets) {
        sourceData.datasets = [];
      }
      // if all datasets have no id set, add artificial dataset ids
      if (sourceData.datasets.every(dataset => _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isNullOrUndefined(dataset.datasetId))) {
        sourceData.datasets.forEach((dataset, idx) => {
          dataset.datasetId = '' + idx;
        });
        targetData.datasets.forEach((dataset, idx) => {
          dataset.datasetId = '' + idx;
        });
      }
      // update existing datasets
      // Important: Update existing datasets first, before removing obsolete datasets
      // (the dataset object has listeners from Chart.js, which do not work well on a partially updated chart (updated datasets, but not yet updated chart)
      targetData.datasets.forEach(targetDataset => {
        let sourceDataset = findDataset(sourceData.datasets, targetDataset.datasetId);
        if (sourceDataset) {
          targetDataset.label = sourceDataset.label;
          targetDataset.type = sourceDataset.type;
          transferProperty(sourceDataset, targetDataset, 'data');
          transferProperty(sourceDataset, targetDataset, 'backgroundColor', true);
          transferProperty(sourceDataset, targetDataset, 'borderColor', true);
          transferProperty(sourceDataset, targetDataset, 'hoverBackgroundColor', true);
          transferProperty(sourceDataset, targetDataset, 'hoverBorderColor', true);
          transferProperty(sourceDataset, targetDataset, 'legendColor', true);
          transferProperty(sourceDataset, targetDataset, 'pointBackgroundColor', true);
          transferProperty(sourceDataset, targetDataset, 'pointHoverBackgroundColor', true);
          transferProperty(sourceDataset, targetDataset, 'pointBorderColor', true);
          transferProperty(sourceDataset, targetDataset, 'pointHoverBorderColor', true);
          transferProperty(sourceDataset, targetDataset, 'uncheckedBackgroundColor', true);
          transferProperty(sourceDataset, targetDataset, 'uncheckedHoverBackgroundColor', true);
          transferProperty(sourceDataset, targetDataset, 'checkedBackgroundColor', true);
          transferProperty(sourceDataset, targetDataset, 'checkedHoverBackgroundColor', true);
          transferProperty(sourceDataset, targetDataset, 'uncheckedPointBackgroundColor', true);
          transferProperty(sourceDataset, targetDataset, 'uncheckedPointHoverBackgroundColor', true);
          transferProperty(sourceDataset, targetDataset, 'checkedPointBackgroundColor', true);
          transferProperty(sourceDataset, targetDataset, 'checkedPointHoverBackgroundColor', true);
          transferProperty(sourceDataset, targetDataset, 'lineTension', true);
          transferProperty(sourceDataset, targetDataset, 'pointRadius', true);
          transferProperty(sourceDataset, targetDataset, 'uncheckedPointRadius', true);
          transferProperty(sourceDataset, targetDataset, 'checkedPointRadius', true);
          this._adjustDatasetBorderWidths(targetDataset);
        }
      });
      // remove deleted datasets, loop backwards to not compromise the loop when modifying the array
      // datasets without an id get deleted anyway (replaced in every update, because a correct identification is not possible)
      for (let i = targetData.datasets.length - 1; i >= 0; i--) {
        let datasetId = targetData.datasets[i].datasetId;
        let deleted = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isNullOrUndefined(datasetId) || findDatasetIndex(sourceData.datasets, datasetId) === -1;
        if (deleted) {
          targetData.datasets.splice(i, 1);
        }
      }
      // sort existing, updated datasets
      targetData.datasets.sort((a, b) => {
        return findDatasetIndex(sourceData.datasets, a.datasetId) - findDatasetIndex(sourceData.datasets, b.datasetId);
      });
      // add all new datasets
      sourceData.datasets.forEach((sourceDataset, idx) => {
        let targetDataset = targetData.datasets[idx];
        // exclude datasets without an id here, to ensure that multiple datasets without an id do not overwrite each other
        if (targetDataset && targetDataset.datasetId && sourceDataset.datasetId === targetDataset.datasetId) {
          return;
        }
        targetData.datasets.splice(idx, 0, sourceDataset);
      });
    } else {
      this.chartJs.config.data = sourceData;
    }
    // update label maps for scales (the label maps, despite being part of the config, can be updated, without redrawing the whole chart)
    transferProperty(config.options, this.chartJs.config.options, 'xLabelMap', true);
    transferProperty(config.options, this.chartJs.config.options, 'yLabelMap', true);
    jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, this.chartJs.config, {
      options: {
        animation: {
          duration: this.animationDuration
        }
      }
    });
    let scales = this.chartJs.config.options.scales || {},
      axes = [scales.x || {}, scales.y || {}, scales.yDiffType || {}, scales.r || {}];
    axes.forEach(axis => {
      (axis.ticks || {}).stepSize = undefined;
    });
    this.refresh();
    this._adjustSize(this.chartJs.config, this.chartJs.chartArea, {
      isDatasetVisible: i => this.chartJs.getDatasetMeta(i).visible
    });
    this.refresh();
  }
  isDataUpdatable() {
    return true;
  }
  isDetachSupported() {
    // chart.js removes the animation-listeners onProgress and onComplete on detach and does not add them again on attach
    // these listeners are needed for the datalabels => this renderer does not support detach
    return false;
  }
  refresh() {
    if (this.chartJs) {
      this.chartJs.update();
    } else {
      super.refresh();
    }
  }
  _renderAnimationDuration() {
    if (!this.chartJs) {
      return;
    }
    jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, this.chartJs.config, {
      options: {
        animation: {
          duration: this.animationDuration
        }
      }
    });
    this.refresh();
  }
  _renderCheckedItems() {
    if (this.chartJs && this._checkItems(this.chartJs.config)) {
      this.refresh();
    }
  }
  _checkItems(config) {
    if (!config || !config.data) {
      return false;
    }
    let transferArrayValues = (target, source, indices) => {
      if (Array.isArray(target) && Array.isArray(source)) {
        let changed = 0;
        _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.ensure(indices).filter(index => !isNaN(index) && index < Math.min(target.length, source.length)).forEach(index => {
          if (target[index] !== source[index]) {
            target[index] = source[index];
            changed++;
          }
        });
        return changed;
      }
      return 0;
    };
    let changed = 0;
    config.data.datasets.forEach((dataset, datasetIndex) => {
      let checkedIndices = this.chart.checkedItems.filter(item => item.datasetIndex === datasetIndex).map(item => item.dataIndex),
        uncheckedIndices = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.init(dataset.data.length, null).map((elem, idx) => idx);
      _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.removeAll(uncheckedIndices, checkedIndices);
      changed = changed +
      // check
      transferArrayValues(dataset.backgroundColor, dataset.checkedBackgroundColor, checkedIndices) + transferArrayValues(dataset.hoverBackgroundColor, dataset.checkedHoverBackgroundColor, checkedIndices) + transferArrayValues(dataset.pointBackgroundColor, dataset.checkedPointBackgroundColor, checkedIndices) + transferArrayValues(dataset.pointHoverBackgroundColor, dataset.checkedPointHoverBackgroundColor, checkedIndices) + transferArrayValues(dataset.pointRadius, dataset.checkedPointRadius, checkedIndices) +
      // uncheck
      transferArrayValues(dataset.backgroundColor, dataset.uncheckedBackgroundColor, uncheckedIndices) + transferArrayValues(dataset.hoverBackgroundColor, dataset.uncheckedHoverBackgroundColor, uncheckedIndices) + transferArrayValues(dataset.pointBackgroundColor, dataset.uncheckedPointBackgroundColor, uncheckedIndices) + transferArrayValues(dataset.pointHoverBackgroundColor, dataset.uncheckedPointHoverBackgroundColor, uncheckedIndices) + transferArrayValues(dataset.pointRadius, dataset.uncheckedPointRadius, uncheckedIndices);
      this._adjustDatasetBorderWidths(dataset);
    });
    return 0 < changed;
  }
  stopAnimations() {
    if (this.chartJs) {
      this.chartJs.stop();
    }
  }
  _adjustConfig(config) {
    if (!config || !config.type) {
      return;
    }
    this._adjustType(config);
    if (this.chart.data) {
      this._computeDatasets(this.chart.data, config);
    }
    this._adjustData(config);
    this._adjustLegend(config);
    this._adjustTooltip(config);
    this._adjustGrid(config);
    this._adjustPlugins(config);
    this._adjustColors(config);
    this._adjustClickHandler(config);
    this._adjustResizeHandler(config);
  }
  _adjustType(config) {
    if (config.type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.COMBO_BAR_LINE) {
      config.type = _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR;
      let scaleLabelByTypeMap = (config.options || {}).scaleLabelByTypeMap;
      if (scaleLabelByTypeMap) {
        scaleLabelByTypeMap[_index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR] = scaleLabelByTypeMap[_index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.COMBO_BAR_LINE];
      }
    } else if (this._isHorizontalBar(config)) {
      config.type = _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR;
      config.options = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, config.options, {
        indexAxis: 'y'
      });
    }
  }
  _computeDatasets(chartData, config) {
    let labels = [],
      datasets = [];
    let setLabelMap = (identifier, labelMap) => {
      if (!jquery__WEBPACK_IMPORTED_MODULE_4___default().isEmptyObject(labelMap)) {
        config.options[identifier] = labelMap;
      }
    };
    (chartData.axes[0] || []).forEach(elem => labels.push(elem.label));
    let isHorizontalBar = this._isHorizontalBar(config);
    setLabelMap(isHorizontalBar ? 'yLabelMap' : 'xLabelMap', this._computeLabelMap(chartData.axes[0]));
    setLabelMap(isHorizontalBar ? 'xLabelMap' : 'yLabelMap', this._computeLabelMap(chartData.axes[1]));
    chartData.chartValueGroups.forEach(elem => datasets.push({
      type: elem.type,
      label: elem.groupName,
      data: jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, [], elem.values)
    }));
    config.data = {
      labels: labels,
      datasets: datasets
    };
  }
  _isHorizontalBar(config) {
    return config && (config.type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR_HORIZONTAL || config.type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR && config.options && config.options.indexAxis === 'y');
  }
  _computeLabelMap(axis) {
    let labelMap = {};
    (axis || []).forEach((elem, idx) => {
      labelMap[idx] = elem.label;
    });
    return labelMap;
  }
  _adjustData(config) {
    if (!config || !config.data || !config.type) {
      return;
    }
    this._adjustBarBorderWidth(config);
    this._adjustMaxSegments(config);
    this._adjustBubbleRadii(config);
    this._adjustOnlyIntegers(config);
  }
  _adjustBarBorderWidth(config) {
    if (!config || !config.data || !config.type || !_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR)) {
      return;
    }
    config.data.datasets.forEach(dataset => {
      if ((dataset.type || _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR) === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR) {
        dataset.borderWidth = dataset.borderWidth || 1;
        dataset.hoverBorderWidth = dataset.hoverBorderWidth || 2;
        this._adjustDatasetBorderWidths(dataset);
      }
    });
  }
  _adjustDatasetBorderWidths(dataset) {
    this._adjustDatasetBorderWidth(dataset);
    this._adjustDatasetBorderWidth(dataset, true);
  }
  /**
   * Sets the borderWidth to 0 if the backgroundColor and the borderColor are identical and backups the original value.
   * This method is idempotent as it restores the original state first and then applies its logic.
   *
   * @param hover whether hoverBorderWidth, hoverBackgroundColor and hoverBorderColor should be considered instead of borderWidth, backgroundColor and borderColor
   */
  _adjustDatasetBorderWidth(dataset, hover) {
    if (!dataset) {
      return;
    }
    let borderWidthIdentifier = hover ? 'hoverBorderWidth' : 'borderWidth',
      borderWidthBackupIdentifier = hover ? 'hoverBorderWidthBackup' : 'borderWidthBackup',
      backgroundColorIdentifier = hover ? 'hoverBackgroundColor' : 'backgroundColor',
      borderColorIdentifier = hover ? 'hoverBorderColor' : 'borderColor';
    // restore original state if there is a backup
    if (dataset[borderWidthBackupIdentifier]) {
      dataset[borderWidthIdentifier] = dataset[borderWidthBackupIdentifier];
      delete dataset[borderWidthBackupIdentifier];
    }
    // do nothing if there is no borderWidth set on the dataset or the borderWidth is a function
    if (!dataset[borderWidthIdentifier] || _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isFunction(dataset[borderWidthIdentifier])) {
      return;
    }
    let isBorderWidthArray = Array.isArray(dataset[borderWidthIdentifier]),
      isBackgroundColorArray = Array.isArray(dataset[backgroundColorIdentifier]),
      isBorderColorArray = Array.isArray(dataset[borderColorIdentifier]),
      isArray = isBorderWidthArray || isBackgroundColorArray || isBorderColorArray;
    // if none of the properties is an array, simply backup the borderWidth and set it to 0
    if (!isArray && dataset[backgroundColorIdentifier] === dataset[borderColorIdentifier]) {
      dataset[borderWidthBackupIdentifier] = dataset[borderWidthIdentifier];
      dataset[borderWidthIdentifier] = 0;
      return;
    }
    // at least one of the properties is an array, therefore the borderWidth needs to be an array from now on
    let dataLength = (dataset.data || []).length;
    if (!isBorderWidthArray) {
      dataset[borderWidthIdentifier] = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.init(dataLength, dataset[borderWidthIdentifier]);
    } else if (dataset[borderWidthIdentifier].length < dataLength) {
      dataset[borderWidthIdentifier].push(..._eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.init(dataLength - dataset[borderWidthIdentifier].length, dataset[borderWidthIdentifier][0]));
    }
    let borderWidth = dataset[borderWidthIdentifier],
      length = borderWidth.length,
      borderWidthBackup = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.init(length, null);
    for (let i = 0; i < length; i++) {
      // it makes no difference if the backgroundColor/borderColor is not an array as a not-array-value is applied to every element by chart.js
      let backgroundColor = isBackgroundColorArray ? dataset[backgroundColorIdentifier][i] : dataset[backgroundColorIdentifier],
        borderColor = isBorderColorArray ? dataset[borderColorIdentifier][i] : dataset[borderColorIdentifier];
      borderWidthBackup[i] = borderWidth[i];
      if (backgroundColor === borderColor) {
        borderWidth[i] = 0;
      }
    }
    // only set the backup if at least one of the borderWidths changed
    if (!_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.equals(borderWidth, borderWidthBackup)) {
      dataset[borderWidthBackupIdentifier] = borderWidthBackup;
    }
  }
  _adjustMaxSegments(config) {
    if (!config || !config.data || !config.type || !_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.PIE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.DOUGHNUT, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.RADAR)) {
      return;
    }
    let maxSegments = config.options.maxSegments;
    if (!(maxSegments && config.data.datasets.length && maxSegments < config.data.datasets[0].data.length)) {
      return;
    }
    config.data.datasets.forEach(elem => {
      let newData = elem.data.slice(0, maxSegments);
      newData[maxSegments - 1] = elem.data.slice(maxSegments - 1, elem.data.length).reduce((x, y) => {
        return x + y;
      }, 0);
      elem.data = newData;
    });
    let newLabels = config.data.labels.slice(0, maxSegments);
    newLabels[maxSegments - 1] = this.chart.session.text('ui.OtherValues');
    config.data.labels = newLabels;
    config.data.maxSegmentsExceeded = true;
  }
  _isMaxSegmentsExceeded(config, index) {
    if (!_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.PIE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.DOUGHNUT, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.RADAR)) {
      return false;
    }
    if (config.options.otherSegmentClickable) {
      return false;
    }
    if (!config.data.maxSegmentsExceeded || !config.options.maxSegments) {
      return false;
    }
    return config.options.maxSegments - 1 <= index;
  }
  /**
   *  Fill temporary variable z for every bubble, if not yet set, and set bubble radius temporary to 1.
   *  This allows the chart to render itself with correct dimensions and with no interfering from bubbles (very large bubbles make the chart grid itself smaller).
   *  Later on in {@link _adjustBubbleSizes}, the bubble sizes will be calculated relative to the chart dimensions and the configured min/max sizes.
   */
  _adjustBubbleRadii(config) {
    if (!config || !config.data || !config.type || config.type !== _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE) {
      return;
    }
    config.data.datasets.forEach(dataset => dataset.data.forEach(data => {
      if (!isNaN(data.r)) {
        data.z = Math.pow(data.r, 2);
      }
      data.r = 1;
    }));
  }
  _adjustOnlyIntegers(config) {
    this.onlyIntegers = true;
    if (!config || !config.data || !config.type) {
      return;
    }
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER)) {
      this.onlyIntegers = config.data.datasets.every(dataset => dataset.data.every(data => _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.numbers.isInteger(data.x) && _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.numbers.isInteger(data.y)));
    } else {
      this.onlyIntegers = config.data.datasets.every(dataset => dataset.data.every(data => _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.numbers.isInteger(data)));
    }
  }
  _adjustLegend(config) {
    if (!config || !config.type || !config.options) {
      return;
    }
    config.options = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, config.options, {
      plugins: {
        legend: {
          labels: {
            generateLabels: this._legendLabelGenerator
          }
        }
      }
    });
    if (!config.options.plugins.legend.pointsVisible) {
      config.options.plugins.legend.labels.boxWidth = 0;
    }
  }
  _adjustTooltip(config) {
    if (!config) {
      return;
    }
    config.options = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, {
      plugins: {
        tooltip: {
          callbacks: {
            title: this._tooltipTitleGenerator,
            items: this._tooltipItemsGenerator,
            label: this._tooltipLabelGenerator,
            labelValue: this._tooltipLabelValueGenerator,
            labelColor: this._tooltipLabelColorGenerator
          }
        }
      }
    }, config.options);
    let tooltip = config.options.plugins.tooltip;
    if (!tooltip.enabled) {
      return;
    }
    tooltip.enabled = false;
    tooltip.external = this._tooltipRenderer;
  }
  _generateTooltipTitle(tooltipItems) {
    if (!tooltipItems || !tooltipItems.length) {
      return '';
    }
    let tooltipItem = tooltipItems[0],
      chart = tooltipItem.chart,
      config = chart.config,
      dataset = tooltipItem.dataset,
      title = [];
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE)) {
      let xAxis = config.options.scales.x,
        yAxis = config.options.scales.y,
        axisLabels = this._getAxisLabels(config);
      // @ts-expect-error
      let xTickLabel = xAxis.ticks.callback(dataset.data[tooltipItem.dataIndex].x, null, null);
      if (xTickLabel) {
        title.push(this._createTooltipAttribute(axisLabels.x, _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.strings.encode(xTickLabel), true));
      }
      // @ts-expect-error
      let yTickLabel = yAxis.ticks.callback(dataset.data[tooltipItem.dataIndex].y, null, null);
      if (yTickLabel) {
        title.push(this._createTooltipAttribute(axisLabels.y, _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.strings.encode(yTickLabel), true));
      }
    } else if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER)) {
      // nop, scatter has the title in the items table
    } else {
      let label = chart.data.labels[tooltipItem.dataIndex];
      title.push(this._createTooltipAttribute(config.options.reformatLabels ? this._formatLabel(label) : label, '', true));
    }
    return title;
  }
  _getAxisLabels(config) {
    let xAxisLabel = config.options.scales.x.title.text,
      yAxisLabel = config.options.scales.y.title.text;
    xAxisLabel = this._resolveAxisLabel(xAxisLabel, ChartJsRenderer.ARROW_LEFT_RIGHT);
    yAxisLabel = this._resolveAxisLabel(yAxisLabel, '&nbsp;' + ChartJsRenderer.ARROW_UP_DOWN + '&nbsp;');
    return {
      x: xAxisLabel,
      y: yAxisLabel
    };
  }
  _resolveAxisLabel(axisLabel) {
    let defaultLabel = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isFunction(axisLabel)) {
      axisLabel = axisLabel();
      axisLabel = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isString(axisLabel) ? axisLabel : '';
    }
    return axisLabel ? _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.strings.encode(axisLabel) : defaultLabel;
  }
  _generateTooltipItems(tooltipItems, tooltipLabel, tooltipLabelValue, tooltipColor) {
    if (!tooltipItems || !tooltipItems.length) {
      return '';
    }
    let tooltipItem = tooltipItems[0],
      chart = tooltipItem.chart,
      config = chart.config,
      xAxisValues = false,
      yAxisValues = false,
      itemsText = '';
    tooltipItems.forEach(tooltipItem => {
      let {
        label,
        labelValue,
        labelColor
      } = this._getItemDetails(tooltipItem, tooltipLabel, tooltipLabelValue, tooltipColor);
      if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER)) {
        let {
          x,
          y
        } = labelValue;
        xAxisValues || (xAxisValues = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isString(x));
        yAxisValues || (yAxisValues = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isString(y));
        itemsText += this._createTooltipScatterAttribute(label, x, y, false, labelColor);
      } else {
        itemsText += this._createTooltipAttribute(label, labelValue, false, labelColor);
      }
    });
    // tabular representation for scatter tooltip needs an additional header and footer
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER)) {
      let tableHeader = '<table><tbody>';
      let axisLabels = this._getAxisLabels(config);
      tableHeader += this._createTooltipScatterAttribute('', xAxisValues ? axisLabels.x : '',
      // do not show axis label if no values are shown
      yAxisValues ? axisLabels.y : '',
      // do not show axis label if no values are shown
      true);
      let tableFooter = '</tbody></table>';
      itemsText = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.strings.box(tableHeader, itemsText, tableFooter);
    }
    return itemsText;
  }
  _getItemDetails(tooltipItem, tooltipLabel, tooltipLabelValue, tooltipColor) {
    let label, labelValue, labelColor;
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isFunction(tooltipLabel)) {
      label = tooltipLabel(tooltipItem);
      label = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isString(label) ? label : '';
    }
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isFunction(tooltipLabelValue)) {
      labelValue = tooltipLabelValue(tooltipItem);
      labelValue = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isString(labelValue) || _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isObject(labelValue) ? labelValue : '';
    }
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isFunction(tooltipColor)) {
      labelColor = tooltipColor(tooltipItem);
      labelColor = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isObject(labelColor) ? labelColor.backgroundColor || '' : '';
    }
    return {
      label,
      labelValue,
      labelColor
    };
  }
  _generateTooltipLabel(tooltipItem) {
    return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.strings.encode(tooltipItem.dataset.label);
  }
  _generateTooltipLabelValue(tooltipItem) {
    let config = tooltipItem.chart.config,
      dataset = tooltipItem.dataset;
    if (config.type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE) {
      return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.strings.encode(this._formatLabel(dataset.data[tooltipItem.dataIndex].z));
    } else if (config.type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER) {
      return {
        x: _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.strings.encode(this._formatXLabel(dataset.data[tooltipItem.dataIndex].x)),
        y: _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.strings.encode(this._formatYLabel(dataset.data[tooltipItem.dataIndex].y))
      };
    }
    return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.strings.encode(this._formatLabel(dataset.data[tooltipItem.dataIndex]));
  }
  _generateTooltipLabelColor(tooltipItem) {
    let config = tooltipItem.chart.config,
      dataset = tooltipItem.dataset,
      legendColor,
      backgroundColor,
      borderColor,
      index;
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(dataset.type || config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.LINE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR_HORIZONTAL, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.RADAR, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER)) {
      borderColor = dataset.borderColor;
      legendColor = Array.isArray(dataset.legendColor) ? dataset.legendColor[tooltipItem.dataIndex] : dataset.legendColor;
      index = tooltipItem.datasetIndex;
    }
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.PIE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.DOUGHNUT, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA)) {
      legendColor = Array.isArray(dataset.legendColor) ? dataset.legendColor[tooltipItem.dataIndex] : dataset.legendColor;
      backgroundColor = Array.isArray(dataset.backgroundColor) ? dataset.backgroundColor[tooltipItem.dataIndex] : dataset.backgroundColor;
      backgroundColor = this._adjustColorOpacity(backgroundColor, 1);
      index = tooltipItem.dataIndex;
    }
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isFunction(legendColor)) {
      legendColor = legendColor.call(tooltipItem.chart, index);
    }
    let tooltipLabelColor = legendColor || backgroundColor || borderColor;
    if (!tooltipLabelColor || _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isFunction(tooltipLabelColor)) {
      let defaultTypeTooltipLabelColor;
      if (chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.overrides[config.type] && chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.overrides[config.type].plugins && chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.overrides[config.type].plugins.tooltip && chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.overrides[config.type].plugins.tooltip.callbacks) {
        defaultTypeTooltipLabelColor = chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.overrides[config.type].plugins.tooltip.callbacks.labelColor;
      }
      let defaultTooltipLabelColor = defaultTypeTooltipLabelColor || chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.defaults.plugins.tooltip.callbacks.labelColor;
      tooltipLabelColor = defaultTooltipLabelColor.call(tooltipItem.chart, tooltipItem).backgroundColor;
    }
    return {
      backgroundColor: tooltipLabelColor
    };
  }
  _createTooltipAttribute(label, value, isTitle, color) {
    let cssClass = isTitle ? 'attribute title' : 'attribute';
    return '<div class="' + cssClass + '">' + (color ? '<div class="color" style="background-color:' + color + '"></div>' : '') + (label ? '<label>' + label + '</label>' : '') + (value ? '<div class="value">' + value + '</div>' : '') + '</div>';
  }
  _createTooltipScatterAttribute(label, xValue, yValue, isTitle, color) {
    let cssClass = isTitle ? 'attribute title' : 'attribute';
    return '<tr class="' + cssClass + '">' + '<td class="color-cell">' + (color ? '<div class="color" style="background-color:' + color + '"></div>' : '') + '</td>' + '<td class="label">' + label + '</td>' + (xValue ? '<td class="value">' + xValue + '</td>' : '') + (yValue ? '<td class="value">' + yValue + '</td>' : '') + '</tr>';
  }
  _renderTooltip(context) {
    let isHideTooltip = context.tooltip.opacity === 0 || context.tooltip.dataPoints.length < 1;
    if (isHideTooltip) {
      if (this._tooltipTimeoutId) {
        clearTimeout(this._tooltipTimeoutId);
        this._tooltipTimeoutId = undefined;
      }
      if (this._tooltip) {
        this._tooltip.destroy();
        this._tooltip = null;
      }
      return;
    }
    let isTooltipShowing = !!this._tooltip;
    if (isTooltipShowing) {
      this._renderTooltipLater(context);
    } else {
      // clear timeout before creating a new handler.
      // Otherwise, changing the context within the tooltip delay time creates a second handler
      // and the first one will always be executed, since the tooltipTimoutId reference to it is lost
      clearTimeout(this._tooltipTimeoutId);
      this._tooltipTimeoutId = setTimeout(() => this._renderTooltipLater(context), _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.tooltips.DEFAULT_TOOLTIP_DELAY);
    }
  }
  _renderTooltipLater(context) {
    if (!this.rendered || this.removing) {
      return;
    }
    let tooltip = context.tooltip,
      dataPoints = tooltip.dataPoints;
    if (dataPoints.length < 1) {
      return;
    }
    let firstDataPoint = dataPoints[0],
      chart = firstDataPoint.chart;
    if (!chart.getDatasetMeta(firstDataPoint.datasetIndex).data[firstDataPoint.dataIndex]) {
      return;
    }
    if (this._tooltip) {
      this._tooltip.destroy();
      this._tooltip = null;
    }
    let tooltipOptions = tooltip.options || {},
      tooltipCallbacks = tooltipOptions.callbacks || {},
      tooltipTitle = tooltipCallbacks.title,
      tooltipItems = tooltipCallbacks.items,
      tooltipLabel = tooltipCallbacks.label,
      tooltipLabelValue = tooltipCallbacks.labelValue,
      tooltipColor = tooltipCallbacks.labelColor,
      tooltipText = '';
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isFunction(tooltipTitle)) {
      tooltipText += _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.ensure(tooltipTitle(dataPoints)).join('');
    }
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isFunction(tooltipItems)) {
      tooltipText += _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.ensure(tooltipItems(dataPoints, tooltipLabel, tooltipLabelValue, tooltipColor)).join('');
    }
    let positionAndOffset = this._computeTooltipPositionAndOffset(firstDataPoint);
    let offset = new _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.Point(tooltip.caretX + positionAndOffset.offsetX, tooltip.caretY + positionAndOffset.offsetY);
    this._tooltip = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.create({
      objectType: _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.Tooltip,
      parent: this.chart,
      $anchor: this.$canvas,
      text: tooltipText,
      htmlEnabled: true,
      cssClass: _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.strings.join(' ', 'chart-tooltip', tooltipOptions.cssClass),
      tooltipPosition: positionAndOffset.tooltipPosition,
      tooltipDirection: positionAndOffset.tooltipDirection,
      originProducer: $anchor => {
        const origin = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.graphics.offsetBounds($anchor);
        origin.height = positionAndOffset.height;
        return origin;
      },
      offsetProducer: origin => offset
    });
    this._tooltip.render();
    this._tooltip.$container.css('pointer-events', 'none');
    let reposition = false,
      fontFamily = (tooltipOptions.titleFont || {}).family;
    if (fontFamily) {
      this._tooltip.$container.css('--chart-tooltip-font-family', fontFamily);
      reposition = true;
    }
    let maxLabelPrefSize = 0;
    this._tooltip.$container.find('label').each((idx, elem) => {
      maxLabelPrefSize = Math.max(maxLabelPrefSize, _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.graphics.prefSize(jquery__WEBPACK_IMPORTED_MODULE_4___default()(elem)).width);
    });
    if (maxLabelPrefSize > 0) {
      this._tooltip.$container.css('--chart-tooltip-label-width', Math.min(maxLabelPrefSize, 120) + 'px');
      reposition = true;
    }
    if (reposition) {
      this._tooltip.position();
    }
  }
  _computeTooltipPositionAndOffset(tooltipItem) {
    let tooltipPosition = 'top',
      tooltipDirection = 'right',
      offsetX = 0,
      offsetY = 0,
      height = 0;
    let chart = tooltipItem.chart,
      datasetIndex = tooltipItem.datasetIndex,
      dataIndex = tooltipItem.dataIndex,
      config = chart.config,
      datasets = config.data.datasets,
      dataset = datasets[datasetIndex],
      value = dataset.data[dataIndex];
    if (this._isHorizontalBar(config)) {
      if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isObject(value) && _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isArray(value.x) && value.x.length === 2) {
        let avg = (value.x[0] + value.x[1]) / 2;
        tooltipDirection = avg < 0 ? 'left' : 'right';
      } else {
        tooltipDirection = value < 0 ? 'left' : 'right';
      }
    } else if ((dataset.type || config.type) === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR) {
      tooltipPosition = value < 0 ? 'bottom' : 'top';
    } else if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.PIE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.DOUGHNUT, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA)) {
      let element = chart.getDatasetMeta(datasetIndex).data[dataIndex].getProps(['startAngle', 'endAngle']);
      let startAngle = element.startAngle,
        endAngle = element.endAngle,
        angle = (startAngle + endAngle) / 2;
      tooltipPosition = 0 <= angle && angle < Math.PI ? 'bottom' : 'top';
      tooltipDirection = -Math.PI / 2 <= angle && angle < Math.PI / 2 ? 'right' : 'left';
    } else if (config.type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.RADAR) {
      let element = chart.getDatasetMeta(datasetIndex).data[dataIndex].getProps(['angle']);
      let angle = element.angle;
      tooltipPosition = 0 <= angle && angle < Math.PI ? 'bottom' : 'top';
      tooltipDirection = -Math.PI / 2 <= angle && angle < Math.PI / 2 ? 'right' : 'left';
    } else if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER)) {
      let element = chart.getDatasetMeta(datasetIndex).data[dataIndex];
      let chartArea = chart.chartArea,
        mid = chartArea.left + chartArea.width / 2;
      tooltipDirection = element.x < mid ? 'left' : 'right';
    }
    if (this._isHorizontalBar(config)) {
      let element = chart.getDatasetMeta(datasetIndex).data[dataIndex].getProps(['height', 'width']);
      height = element.height;
      let width = element.width,
        // golden ratio: (a + b) / a = a / b = PHI
        // and a + b = width
        // -> b = width / (PHI + 1)
        b = width / (PHI + 1);
      offsetY = -height / 2;
      offsetX = tooltipDirection === 'left' ? b : -b;
    } else if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.LINE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.RADAR) || dataset.type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.LINE) {
      let element = chart.getDatasetMeta(datasetIndex).data[dataIndex];
      let options = element.options,
        offset = options.hoverRadius + options.hoverBorderWidth;
      if (config.type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE) {
        offset += value.r;
      }
      height = 2 * offset;
      offsetY = -offset;
    } else if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.PIE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.DOUGHNUT, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA)) {
      let element = chart.getDatasetMeta(datasetIndex).data[dataIndex].getProps(['startAngle', 'endAngle', 'innerRadius', 'outerRadius']);
      let startAngle = element.startAngle,
        endAngle = element.endAngle,
        angle = (startAngle + endAngle) / 2,
        innerRadius = element.innerRadius,
        outerRadius = element.outerRadius,
        offset = (outerRadius - innerRadius) / 2;
      offsetX = offset * Math.cos(angle);
      offsetY = offset * Math.sin(angle);
    }
    return {
      tooltipPosition,
      tooltipDirection,
      offsetX,
      offsetY,
      height
    };
  }
  _adjustGrid(config) {
    if (!config) {
      return;
    }
    config.options = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, config.options);
    this._adjustScalesR(config);
    this._adjustScalesXY(config);
  }
  _adjustScalesR(config) {
    if (!config || !config.type || !config.options) {
      return;
    }
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.RADAR)) {
      config.options = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, {
        scales: {
          r: {}
        }
      }, config.options);
    }
    let options = config.options,
      scales = options ? options.scales : {};
    if (scales && scales.r) {
      scales.r = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, {
        minSpaceBetweenTicks: 35,
        beginAtZero: true,
        angleLines: {
          display: false
        },
        ticks: {
          callback: this._labelFormatter
        },
        pointLabels: {
          callback: this._labelFormatter,
          font: {
            size: chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.defaults.font.size
          }
        }
      }, scales.r);
    }
  }
  _adjustScalesXY(config) {
    if (!config || !config.type || !config.options) {
      return;
    }
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.LINE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE)) {
      config.options = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, {
        scales: {
          x: {
            minSpaceBetweenTicks: 150
          },
          y: {
            minSpaceBetweenTicks: 35
          }
        }
      }, config.options);
    } else if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER)) {
      config.options = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, {
        scales: {
          x: {
            minSpaceBetweenTicks: 35,
            ticks: {
              padding: 10
            }
          },
          y: {
            minSpaceBetweenTicks: 35,
            ticks: {
              padding: 10
            }
          }
        }
      }, config.options);
    }
    this._adjustXAxis(config);
    this._adjustYAxis(config);
  }
  _adjustXAxis(config) {
    if (!config || !config.type || !config.options || !config.options.scales || !config.options.scales.x) {
      return;
    }
    let type = config.type,
      scales = config.options.scales;
    if (this._isHorizontalBar(config) || _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER)) {
      scales.x = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, {
        beginAtZero: this._isHorizontalBar(config),
        offset: type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE,
        grid: {
          drawTicks: false
        },
        border: {
          display: false
        },
        ticks: {
          padding: 5
        }
      }, scales.x);
    } else {
      scales.x = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, {
        offset: true,
        grid: {
          display: false
        },
        border: {
          display: false
        }
      }, scales.x);
    }
    if (this._isHorizontalBar(config) || _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER) || config.options.reformatLabels) {
      scales.x = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, {
        ticks: {
          callback: this._xLabelFormatter
        }
      }, scales.x);
    }
    scales.x.afterCalculateLabelRotation = this._xAxisFitter;
  }
  _adjustYAxis(config) {
    if (!config || !config.type || !config.options || !config.options.scales || !config.options.scales.y) {
      return;
    }
    let type = config.type,
      scales = config.options.scales;
    if (this._isHorizontalBar(config)) {
      scales.y = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, {
        grid: {
          display: false
        },
        border: {
          display: false
        }
      }, scales.y);
    } else {
      scales.y = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, {
        beginAtZero: !_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER),
        grid: {
          drawTicks: false
        },
        border: {
          display: false
        },
        ticks: {
          padding: 5
        }
      }, scales.y);
    }
    if (!this._isHorizontalBar(config) || config.options.reformatLabels) {
      scales.y = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, {
        ticks: {
          callback: this._yLabelFormatter
        }
      }, scales.y);
    }
    scales.y.afterFit = this._yAxisFitter;
  }
  _adjustPlugins(config) {
    this._adjustPluginsDatalabels(config);
  }
  _adjustPluginsDatalabels(config) {
    if (!config || !config.type || !config.options || !config.options.plugins || !config.options.plugins.datalabels || !config.options.plugins.datalabels.display) {
      return;
    }
    let plugins = config.options.plugins;
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.PIE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.DOUGHNUT)) {
      plugins.datalabels = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, {
        formatter: this._radialChartDatalabelsFormatter
      }, plugins.datalabels);
      plugins.datalabels.display = this._radialChartDatalabelsDisplayHandler;
      // since the this._radialChartDatalabelsDisplayHandler depends on values that are animated, we need to update the labels during the animation
      this._updatingDatalabels = false;
      let animation = config.options.animation || {},
        onProgress = animation.onProgress,
        onComplete = animation.onComplete,
        updateDatalabels = animation => {
          if (this._updatingDatalabels) {
            return;
          }
          this._updatingDatalabels = true;
          // invert the _actives of the datalabel plugin and call its afterEvent-hook
          // this hook will update its _actives to chart.getActiveElements() and recalculate the labels for all elements that changed
          // setting _actives to the complement of chart.getActiveElements() guarantees that all labels are updated
          let chart = animation.chart,
            metas = chart.getSortedVisibleDatasetMetas(),
            activeElements = [...chart.getActiveElements()],
            inactiveElements = [];
          metas.forEach((meta, datasetIndex) => {
            meta.data.forEach((element, index) => {
              let activeIndex = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.findIndex(activeElements, activeElement => activeElement.datasetIndex === datasetIndex && activeElement.index === index);
              if (activeIndex > 0) {
                activeElements.splice(activeIndex, 1);
              } else {
                inactiveElements.push({
                  datasetIndex: datasetIndex,
                  index: index,
                  element: element
                });
              }
            });
          });
          // the datalabels plugin stores its data on the chart in $datalabels (see EXPANDO_KEY in chartjs-plugin-datalabels)
          chart['$' + (chartjs_plugin_datalabels__WEBPACK_IMPORTED_MODULE_3___default().id)]._actives = inactiveElements;
          chartjs_plugin_datalabels__WEBPACK_IMPORTED_MODULE_3___default().afterEvent(chart, null, null);
          this._updatingDatalabels = false;
        },
        updateDatalabelsAndDefaultCallback = (animation, defaultCallback) => {
          updateDatalabels(animation);
          if (defaultCallback) {
            defaultCallback(animation);
          }
        };
      config.options.animation = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, config.options.animation, {
        onProgress: animation => updateDatalabelsAndDefaultCallback(animation, onProgress),
        onComplete: animation => updateDatalabelsAndDefaultCallback(animation, onComplete)
      });
    } else if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.LINE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.RADAR, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE)) {
      plugins.datalabels = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, {
        backgroundColor: this._datalabelBackgroundColorHandler,
        borderRadius: 3
      }, plugins.datalabels);
      plugins.datalabels.display = 'auto';
    } else if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER)) {
      plugins.datalabels = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, {
        backgroundColor: this._datalabelBackgroundColorHandler,
        borderRadius: 3,
        anchor: 'end',
        align: 'top',
        offset: 3
      }, plugins.datalabels);
      plugins.datalabels.display = 'auto';
    }
    if (config.options.reformatLabels) {
      let handleFormatter = formatter => {
        return (value, context) => {
          let label = formatter.call(context.chart, value, context);
          return this._formatLabel(label);
        };
      };
      if (config.data) {
        let datasets = config.data.datasets;
        datasets.forEach(dataset => {
          if (dataset.datalabels && dataset.datalabels.formatter) {
            dataset.datalabels.formatter = handleFormatter(dataset.datalabels.formatter);
          }
        });
      }
      if (plugins.datalabels.formatter) {
        plugins.datalabels.formatter = handleFormatter(plugins.datalabels.formatter);
      }
    }
    plugins.datalabels = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, {
      formatter: this._datalabelsFormatter
    }, plugins.datalabels);
  }
  _getNumberFormatter() {
    var _this$chartJs;
    return (_this$chartJs = this.chartJs) === null || _this$chartJs === void 0 || (_this$chartJs = _this$chartJs.config) === null || _this$chartJs === void 0 || (_this$chartJs = _this$chartJs.options) === null || _this$chartJs === void 0 ? void 0 : _this$chartJs.numberFormatter;
  }
  /**
   * Creates an unbound function that calls the given formatter on this {@link ChartJsRenderer}. The context of this
   * unbound function is passed to the formatter as argument.
   */
  _createLabelFormatter(formatter) {
    const renderer = this;
    return function (label) {
      return formatter.call(renderer, label, this);
    };
  }
  _formatLabel(label, scale) {
    label = this._formatCategory(label, scale);
    return this._formatLabelMap(label, null, this._getNumberFormatter());
  }
  _formatXLabel(label, scale) {
    label = this._formatCategory(label, scale);
    return this._formatLabelMap(label, this._getXLabelMap(), this._getNumberFormatter());
  }
  _formatYLabel(label, scale) {
    label = this._formatCategory(label, scale);
    return this._formatLabelMap(label, this._getYLabelMap(), this._getNumberFormatter());
  }
  /**
   * Uses the given scale to format the given label iff it is a {@link CategoryScale}.
   */
  _formatCategory(label, scale) {
    if (scale instanceof chart_js__WEBPACK_IMPORTED_MODULE_1__.CategoryScale && _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.numbers.isNumber(label)) {
      return scale.getLabelForValue(label);
    }
    return label;
  }
  _getXLabelMap() {
    return this._getLabelMap('xLabelMap');
  }
  _getYLabelMap() {
    return this._getLabelMap('yLabelMap');
  }
  _getLabelMap(identifier) {
    if (this.chartJs && this.chartJs.config && this.chartJs.config.options) {
      return this.chartJs.config.options[identifier];
    }
  }
  _formatLabelMap(label, labelMap, numberFormatter) {
    if (labelMap) {
      return labelMap[label];
    }
    // @ts-expect-error
    if (isNaN(label) || typeof label === 'string') {
      return '' + label;
    }
    if (numberFormatter) {
      return numberFormatter(label, this._formatNumberLabel.bind(this));
    }
    return this._formatNumberLabel(label);
  }
  _formatNumberLabel(label) {
    // @ts-expect-error
    if (isNaN(label)) {
      return '' + label;
    }
    // @ts-expect-error
    let abs = Math.abs(label);
    let abbreviation = '';
    if (abs >= 1000000) {
      abs = abs / 1000000;
      abbreviation = ' ' + this.chart.session.text('ui.Mio');
      let abbreviations = [this.chart.session.text('ui.Mrd'), this.chart.session.text('ui.Bio'), this.chart.session.text('ui.Brd'), this.chart.session.text('ui.Tri'), this.chart.session.text('ui.Trd')];
      for (let i = 0; i < abbreviations.length; i++) {
        if (abs >= 1000) {
          abs = abs / 1000;
          abbreviation = ' ' + abbreviations[i];
        } else {
          break;
        }
      }
    }
    // @ts-expect-error
    return this.session.locale.decimalFormat.format(Math.sign(label) * abs) + abbreviation;
  }
  _fitXAxis(xAxis) {
    if (!xAxis || xAxis.labelRotation === 0) {
      return;
    }
    let maxHeight = this.maxXAxesTicksHeight,
      fontDefaults = chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.defaults.font,
      ticksDefaults = chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.defaults.scale.ticks,
      ticksFontDefaults = ticksDefaults.font || {},
      fontSize,
      maxRotation;
    if (this.chartJs) {
      let chartArea = this.chartJs.chartArea,
        chartAreaHeight = Math.abs(chartArea.top - chartArea.bottom);
      maxHeight = Math.min(maxHeight, chartAreaHeight / 3);
    }
    if (xAxis.options && xAxis.options.ticks) {
      maxRotation = xAxis.options.ticks.maxRotation;
      let ticksFont = xAxis.options.ticks.font || {};
      fontSize = ticksFont.size;
    }
    maxRotation = maxRotation || ticksDefaults.maxRotation;
    fontSize = fontSize || ticksFontDefaults.size || fontDefaults.size;
    // if the chart is very narrow, chart.js sometimes calculates with a negative width of the canvas
    // this causes NaN for labelRotation and height
    if (isNaN(xAxis.labelRotation)) {
      xAxis.labelRotation = maxRotation;
    }
    xAxis.height = isNaN(xAxis.height) ? maxHeight : Math.min(xAxis.height, maxHeight);
    // the rotation (degrees), needs to be transformed to radians ((labelRotation / 180) * pi)
    let labelRotation = xAxis.labelRotation,
      // the label is a rectangle (labelWidth x fontSize) which is rotated
      // => height = sin(labelRotation) * labelLength + sin(90° - labelRotation) * fontSize
      // <=> labelLength = (height - sin(90° - labelRotation) * fontSize) / sin(labelRotation)
      maxLabelLength = (maxHeight - fontSize * Math.sin((90 - labelRotation) / 180 * Math.PI)) / Math.sin(labelRotation / 180 * Math.PI);
    // @ts-expect-error
    let labelSizes = xAxis._labelSizes || {},
      widest = labelSizes.widest || {};
    if (widest.width > maxLabelLength) {
      let measureText = xAxis.ctx.measureText.bind(xAxis.ctx);
      xAxis.ticks.forEach(tick => {
        tick.label = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.strings.truncateText(tick.label, maxLabelLength, measureText);
      });
      // reset label sizes, chart.js will recalculate them using the new truncated labels
      // @ts-expect-error
      xAxis._labelSizes = undefined;
    }
  }
  _fitYAxis(yAxis) {
    if (!yAxis) {
      return;
    }
    let padding = 0,
      tickLength = 0;
    if (yAxis.options && yAxis.options.ticks) {
      padding = yAxis.options.ticks.padding || 0;
    }
    if (yAxis.options && yAxis.options.grid) {
      tickLength = yAxis.options.grid.tickLength || 0;
    }
    // @ts-expect-error
    let labelSizes = yAxis._labelSizes || {},
      widest = labelSizes.widest || {};
    if (widest.width > yAxis.maxWidth - padding) {
      let horizontalSpace = yAxis.maxWidth - padding - tickLength,
        measureText = yAxis.ctx.measureText.bind(yAxis.ctx);
      yAxis.ticks.forEach(tick => {
        tick.label = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.strings.truncateText(tick.label, horizontalSpace, measureText);
      });
    }
  }
  _displayDatalabelsOnRadialChart(context) {
    let element = context.chart.getDatasetMeta(context.datasetIndex).data[context.dataIndex].getProps(['startAngle', 'endAngle', 'innerRadius', 'outerRadius']);
    // Compute the biggest circle that fits inside sector/arc with center in the middle between inner and outer radius.
    // First compute a circle C1 that touches the straight boundaries of the sector/arc. Then compute a circle C2 that touches the inner and the outer radius.
    // The smaller one of these two circles is the biggest possible circle that fits inside sector/arc with center in the middle between inner and outer radius.
    // circle C1:
    let midRadius = (element.outerRadius + element.innerRadius) / 2,
      // If the difference between the angles is greater than pi, it is no longer possible for a circle to be inside the sector/arc and touch both straight boundaries.
      angle = Math.min(element.endAngle - element.startAngle, Math.PI) / 2,
      radius1 = Math.abs(Math.sin(angle)) * midRadius,
      diameter1 = radius1 * 2,
      // circle C2:
      diameter2 = element.outerRadius - element.innerRadius;
    return Math.min(diameter1, diameter2) > this.minRadialChartDatalabelSpace;
  }
  _formatDatalabelsOnRadialChart(value, context) {
    let sum = this._computeSumOfVisibleElements(context),
      dataset = context.dataset,
      roundingError = 0,
      roundedResults = [];
    for (let i = 0; i < context.dataIndex + 1; i++) {
      let result = dataset.data[i] / sum * 100 - roundingError,
        roundedResult = Math.round(result);
      roundingError = roundedResult - result;
      roundedResults.push(roundedResult + '%');
    }
    return roundedResults[context.dataIndex];
  }
  _computeSumOfVisibleElements(context) {
    let dataset = context.dataset,
      chart = context.chart,
      sum = 0;
    for (let i = 0; i < dataset.data.length; i++) {
      if (chart.getDataVisibility(i)) {
        sum += dataset.data[i];
      }
    }
    return sum;
  }
  _formatDatalabels(value, context) {
    let config = context.chart.config;
    if (config.type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE) {
      return this._formatLabel(value.z);
    } else if (config.type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER) {
      return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.strings.join(' / ', this._formatXLabel(value.x), this._formatYLabel(value.y));
    }
    return this._formatLabel(value);
  }
  _getBackgroundColorOfDataset(context) {
    return context.dataset.backgroundColor;
  }
  _adjustColors(config) {
    this._adjustColorSchemeCssClass(config);
    this._adjustDatasetColors(config);
    this._adjustLegendColors(config);
    this._adjustScalesRColors(config);
    this._adjustScalesXYColors(config);
    this._adjustPluginColors(config);
  }
  _adjustColorSchemeCssClass(config) {
    if (!config || !config.options) {
      return;
    }
    this.colorSchemeCssClass = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.colorSchemes.getCssClasses(config.options.colorScheme).join(' ');
  }
  _adjustDatasetColors(config) {
    if (!config || !config.data || !config.type) {
      return;
    }
    let data = config.data,
      type = config.type,
      autoColor = config.options && config.options.autoColor,
      checkable = config.options && config.options.checkable,
      colorMode = config.options && config.options.colorMode,
      multipleColorsPerDataset = autoColor && (colorMode === _index__WEBPACK_IMPORTED_MODULE_0__.ChartColorMode.DATASET ? false : colorMode === _index__WEBPACK_IMPORTED_MODULE_0__.ChartColorMode.DATA ? true : _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.PIE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.DOUGHNUT, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA)),
      colors = {
        backgroundColors: [],
        borderColors: [],
        hoverBackgroundColors: [],
        hoverBorderColors: [],
        checkedBackgroundColors: [],
        checkedHoverBackgroundColors: [],
        legendColors: [],
        pointHoverColors: []
      };
    colors = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, colors, this._computeDatasetColors(config, multipleColorsPerDataset));
    data.datasets.forEach((elem, idx) => {
      const getColor = colorsArray => {
        let candidate = colorsArray[idx];
        if (multipleColorsPerDataset && !Array.isArray(candidate)) {
          // we want multiple colors -> get the parent array
          candidate = colorsArray;
        }
        return candidate;
      };
      let backgroundColor = getColor(colors.backgroundColors),
        borderColor = getColor(colors.borderColors),
        hoverBackgroundColor = getColor(colors.hoverBackgroundColors),
        hoverBorderColor = getColor(colors.hoverBorderColors),
        legendColor = getColor(colors.legendColors),
        pointHoverBackgroundColor = getColor(colors.pointHoverColors);
      let setProperty = (identifier, value) => {
        if (typeof elem[identifier] === 'function') {
          return;
        }
        if (value && value.length) {
          elem[identifier] = Array.isArray(value) ? [...value] : value;
        }
      };
      setProperty('backgroundColor', backgroundColor);
      setProperty('borderColor', borderColor);
      setProperty('hoverBackgroundColor', hoverBackgroundColor);
      setProperty('hoverBorderColor', hoverBorderColor);
      setProperty('legendColor', legendColor);
      if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.LINE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.RADAR) || type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR && elem.type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.LINE) {
        setProperty('pointHoverBackgroundColor', pointHoverBackgroundColor);
        setProperty('pointBorderColor', this.firstOpaqueBackgroundColor);
        setProperty('pointHoverBorderColor', this.firstOpaqueBackgroundColor);
      }
      if (checkable) {
        const datasetLength = elem.data.length,
          ensureColorArray = color => {
            if (Array.isArray(color)) {
              return color;
            }
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.init(datasetLength, color);
          };
        if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.PIE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.DOUGHNUT, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER) || type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR && (elem.type || _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR) === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR) {
          let uncheckedBackgroundColor = ensureColorArray(backgroundColor),
            uncheckedHoverBackgroundColor = ensureColorArray(hoverBackgroundColor),
            checkedBackgroundColor = ensureColorArray(getColor(colors.checkedBackgroundColors)),
            checkedHoverBackgroundColor = ensureColorArray(getColor(colors.checkedHoverBackgroundColors));
          setProperty('uncheckedBackgroundColor', uncheckedBackgroundColor);
          setProperty('uncheckedHoverBackgroundColor', uncheckedHoverBackgroundColor);
          setProperty('checkedBackgroundColor', checkedBackgroundColor);
          setProperty('checkedHoverBackgroundColor', checkedHoverBackgroundColor);
          setProperty('backgroundColor', elem.uncheckedBackgroundColor);
          setProperty('hoverBackgroundColor', elem.uncheckedHoverBackgroundColor);
        } else if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.LINE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.RADAR) || type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR && elem.type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.LINE) {
          let uncheckedPointBackgroundColor = ensureColorArray(pointHoverBackgroundColor),
            uncheckedPointHoverBackgroundColor = ensureColorArray(pointHoverBackgroundColor),
            checkedPointBackgroundColor = ensureColorArray(borderColor),
            checkedPointHoverBackgroundColor = ensureColorArray(hoverBorderColor || borderColor);
          setProperty('uncheckedPointBackgroundColor', uncheckedPointBackgroundColor);
          setProperty('uncheckedPointHoverBackgroundColor', uncheckedPointHoverBackgroundColor);
          setProperty('checkedPointBackgroundColor', checkedPointBackgroundColor);
          setProperty('checkedPointHoverBackgroundColor', checkedPointHoverBackgroundColor);
          setProperty('pointBackgroundColor', elem.uncheckedPointBackgroundColor);
          setProperty('pointHoverBackgroundColor', elem.uncheckedPointHoverBackgroundColor);
          let uncheckedPointRadius = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.init(datasetLength, ((config.options.elements || {}).point || {}).radius || chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.defaults.elements.point.radius),
            checkedPointRadius = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.init(datasetLength, (((config.options.elements || {}).point || {}).hoverRadius || chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.defaults.elements.point.hoverRadius) - 1);
          setProperty('uncheckedPointRadius', uncheckedPointRadius);
          setProperty('checkedPointRadius', checkedPointRadius);
          setProperty('pointRadius', elem.uncheckedPointRadius);
        }
      }
      this._adjustDatasetBorderWidths(elem);
    });
    if (checkable) {
      this._checkItems(config);
    }
  }
  _computeDatasetColors(config, multipleColorsPerDataset) {
    if (!config || !config.data || !config.type) {
      return {};
    }
    let data = config.data,
      type = config.type,
      colors = {};
    if (config.options && config.options.autoColor) {
      colors = this._computeDatasetColorsAutoColor(config, multipleColorsPerDataset);
    } else {
      colors = this._computeDatasetColorsChartValueGroups(config, multipleColorsPerDataset);
      if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.PIE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.DOUGHNUT, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA)) {
        let borderColor = this._computeBorderColor(type, 0);
        colors.borderColors = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.init(data.datasets.length, borderColor);
        colors.hoverBorderColors = colors.borderColors;
      }
    }
    return colors;
  }
  _computeDatasetColorsAutoColor(config, multipleColorsPerDataset) {
    if (!config || !config.data || !config.type || !config.options || !config.options.autoColor) {
      return {};
    }
    let data = config.data,
      type = config.type,
      checkable = config.options && config.options.checkable,
      transparent = config.options && config.options.transparent,
      colors = {
        backgroundColors: [],
        borderColors: [],
        hoverBackgroundColors: [],
        hoverBorderColors: [],
        checkedBackgroundColors: [],
        checkedHoverBackgroundColors: [],
        legendColors: [],
        pointHoverColors: []
      };
    let types = [];
    if (multipleColorsPerDataset) {
      types = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.init(data.datasets.length && data.datasets[0].data.length || 0, type);
    } else {
      data.datasets.forEach(dataset => types.push(dataset.type || type));
    }
    types.forEach((type, index) => {
      colors.backgroundColors.push(this._computeBackgroundColor(type, index, checkable || transparent));
      colors.borderColors.push(this._computeBorderColor(type, index));
      colors.hoverBackgroundColors.push(this._computeHoverBackgroundColor(type, index, checkable || transparent));
      colors.hoverBorderColors.push(this._computeHoverBorderColor(type, index));
      colors.checkedBackgroundColors.push(this._computeCheckedBackgroundColor(type, index, checkable));
      colors.checkedHoverBackgroundColors.push(this._computeCheckedHoverBackgroundColor(type, index, checkable));
      colors.legendColors.push(this._computeLegendColor(type, index));
      colors.pointHoverColors.push(this._computePointHoverColor(type, index));
    });
    return colors;
  }
  _computeBackgroundColor(type, index, checkable) {
    return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.styles.get([this.colorSchemeCssClass, type + '-chart' + (checkable ? ' checkable' : ''), 'elements', 'color' + index % this.numSupportedColors], 'fill').fill;
  }
  _computeBorderColor(type, index) {
    let additionalProperties;
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.PIE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.DOUGHNUT, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA)) {
      additionalProperties = {
        stroke: this.firstOpaqueBackgroundColor
      };
    }
    return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.styles.get([this.colorSchemeCssClass, type + '-chart', 'elements', 'stroke-color' + index % this.numSupportedColors], 'stroke', additionalProperties).stroke;
  }
  _computeHoverBackgroundColor(type, index, checkable) {
    return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.styles.get([this.colorSchemeCssClass, type + '-chart' + (checkable ? ' checkable' : ''), 'elements', 'color' + index % this.numSupportedColors + ' hover'], 'fill').fill;
  }
  _computeHoverBorderColor(type, index) {
    let additionalProperties;
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.PIE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.DOUGHNUT, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA)) {
      additionalProperties = {
        stroke: this.firstOpaqueBackgroundColor
      };
    }
    return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.styles.get([this.colorSchemeCssClass, type + '-chart', 'elements', 'stroke-color' + index % this.numSupportedColors + ' hover'], 'stroke', additionalProperties).stroke;
  }
  _computeCheckedBackgroundColor(type, index, checkable) {
    return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.styles.get([this.colorSchemeCssClass, type + '-chart' + (checkable ? ' checkable' : ''), 'elements', 'color' + index % this.numSupportedColors + ' checked'], 'fill').fill;
  }
  _computeCheckedHoverBackgroundColor(type, index, checkable) {
    return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.styles.get([this.colorSchemeCssClass, type + '-chart' + (checkable ? ' checkable' : ''), 'elements', 'color' + index % this.numSupportedColors + ' hover checked'], 'fill').fill;
  }
  _computeLegendColor(type, index) {
    return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.styles.get([this.colorSchemeCssClass, type + '-chart', 'elements', 'color' + index % this.numSupportedColors + ' legend'], 'fill').fill;
  }
  _computePointHoverColor(type, index) {
    return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.styles.get([this.colorSchemeCssClass, type + '-chart', 'elements', 'color' + index % this.numSupportedColors + ' point hover'], 'fill').fill;
  }
  _computeDatasetColorsChartValueGroups(config, multipleColorsPerDataset) {
    if (!config || !config.type || !this.chart.data) {
      return {};
    }
    let type = config.type,
      checkable = config.options && config.options.checkable,
      transparent = config.options && config.options.transparent,
      colors = {
        backgroundColors: [],
        borderColors: [],
        hoverBackgroundColors: [],
        hoverBorderColors: [],
        checkedBackgroundColors: [],
        checkedHoverBackgroundColors: [],
        legendColors: [],
        pointHoverColors: []
      };
    this.chart.data.chartValueGroups.forEach(elem => {
      let backgroundOpacity = 1,
        hoverBackgroundOpacity = 1,
        hoverBackgroundDarker = 0.1,
        hoverBorderDarker = 0.1,
        uncheckedBackgroundOpacity = 0.2,
        uncheckedHoverBackgroundOpacity = 0.35,
        checkedBackgroundOpacity = 1,
        checkedBackgroundDarker = 0,
        checkedHoverBackgroundOpacity = 1,
        checkedHoverBackgroundDarker = 0.1;
      if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.PIE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.DOUGHNUT)) {
        uncheckedBackgroundOpacity = 0.7;
        uncheckedHoverBackgroundOpacity = 0.85;
        checkedBackgroundDarker = 0.1;
        checkedHoverBackgroundDarker = 0;
      } else if (type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA) {
        backgroundOpacity = 0.7;
        hoverBackgroundOpacity = 0.85;
        uncheckedBackgroundOpacity = 0.7;
        uncheckedHoverBackgroundOpacity = 0.85;
        checkedBackgroundDarker = 0.1;
        checkedHoverBackgroundDarker = 0;
      } else if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(elem.type || type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.LINE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.RADAR)) {
        backgroundOpacity = 0.2;
        hoverBackgroundOpacity = 0.35;
        hoverBackgroundDarker = 0;
        hoverBorderDarker = 0;
        checkedBackgroundOpacity = 0.2;
        checkedHoverBackgroundOpacity = 0.35;
        checkedHoverBackgroundDarker = 0;
      } else if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER)) {
        backgroundOpacity = 0.2;
        hoverBackgroundOpacity = 0.35;
        hoverBackgroundDarker = 0;
      }
      const backgroundColors = [],
        borderColors = [],
        hoverBackgroundColors = [],
        hoverBorderColors = [],
        checkedBackgroundColors = [],
        checkedHoverBackgroundColors = [],
        legendColors = [],
        pointHoverColors = [];
      let colorHexValues = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.ensure(elem.colorHexValue);
      const datasetLength = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.length(elem.values);
      if (colorHexValues.length && colorHexValues.length < datasetLength) {
        // repeat colors for the whole dataset
        colorHexValues = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.init(datasetLength, null).map((elem, idx) => colorHexValues[idx % colorHexValues.length]);
      }
      colorHexValues.forEach(colorHexValue => {
        const rgbColor = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.styles.hexToRgb(colorHexValue),
          adjustColor = (opacity, darker) => this._adjustColorOpacity(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.styles.darkerColor(rgbColor, darker), opacity);
        backgroundColors.push(adjustColor(checkable || transparent ? uncheckedBackgroundOpacity : backgroundOpacity, 0));
        borderColors.push(adjustColor(1, 0));
        hoverBackgroundColors.push(adjustColor(checkable || transparent ? uncheckedHoverBackgroundOpacity : hoverBackgroundOpacity, checkable || transparent ? 0 : hoverBackgroundDarker));
        hoverBorderColors.push(adjustColor(1, hoverBorderDarker));
        checkedBackgroundColors.push(adjustColor(checkedBackgroundOpacity, checkedBackgroundDarker));
        checkedHoverBackgroundColors.push(adjustColor(checkedHoverBackgroundOpacity, checkedHoverBackgroundDarker));
        legendColors.push(adjustColor(1, 0));
        pointHoverColors.push(adjustColor(1, 0));
      });
      colors.backgroundColors.push(backgroundColors);
      colors.borderColors.push(borderColors);
      colors.hoverBackgroundColors.push(hoverBackgroundColors);
      colors.hoverBorderColors.push(hoverBorderColors);
      colors.checkedBackgroundColors.push(checkedBackgroundColors);
      colors.checkedHoverBackgroundColors.push(checkedHoverBackgroundColors);
      colors.legendColors.push(legendColors);
      colors.pointHoverColors.push(pointHoverColors);
    });
    colors.datalabelColor = this._computeDatalabelColor(type);
    return colors;
  }
  _adjustColorOpacity(color) {
    let opacity = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 1;
    if (!color || typeof color === 'function') {
      return color;
    }
    if (color.indexOf('rgb') === 0) {
      return this._adjustRgbColorOpacity(color, opacity);
    }
    if (color.indexOf('#') === 0) {
      return this._adjustHexColorOpacity(color, opacity);
    }
    return color;
  }
  _adjustRgbColorOpacity(rgbColor) {
    let opacity = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 1;
    if (!rgbColor || rgbColor.indexOf('rgb') !== 0) {
      return rgbColor;
    }
    let rgba = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.styles.rgb(rgbColor);
    rgba.alpha = opacity;
    return 'rgba(' + rgba.red + ', ' + rgba.green + ', ' + rgba.blue + ', ' + rgba.alpha + ')';
  }
  _adjustHexColorOpacity(hexColor) {
    let opacity = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 1;
    if (!hexColor || hexColor.indexOf('#') !== 0 || !(hexColor.length === 4 || hexColor.length === 5 || hexColor.length === 7 || hexColor.length === 9)) {
      return hexColor;
    }
    return this._adjustRgbColorOpacity(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.styles.hexToRgb(hexColor), opacity);
  }
  _adjustLegendColors(config) {
    if (!config || !config.type || !config.options) {
      return;
    }
    config.options = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, config.options, {
      plugins: {
        legend: {
          labels: {
            color: this._computeLabelColor(config.type)
          }
        }
      }
    });
  }
  _computeLabelColor(type) {
    return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.styles.get([this.colorSchemeCssClass, type + '-chart', 'elements', 'label'], 'fill').fill;
  }
  _generateLegendLabels(chart) {
    let config = chart.config,
      defaultTypeGenerateLabels;
    if (chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.overrides[config.type] && chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.overrides[config.type].plugins && chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.overrides[config.type].plugins.legend && chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.overrides[config.type].plugins.legend.labels) {
      defaultTypeGenerateLabels = chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.overrides[config.type].plugins.legend.labels.generateLabels;
    }
    let defaultGenerateLabels = defaultTypeGenerateLabels || chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.defaults.plugins.legend.labels.generateLabels;
    let labels = defaultGenerateLabels.call(chart, chart);
    if (this.removing) {
      return labels;
    }
    let data = config.data,
      measureText = chart.ctx.measureText.bind(chart.ctx),
      legend = chart.legend,
      legendProps = legend.getProps(['width', 'maxWidth']),
      legendLabelOptions = ((legend || {}).options || {}).labels || {},
      boxWidth = legendLabelOptions.boxWidth || 0,
      padding = legendLabelOptions.padding || 0,
      horizontalSpace;
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.options.plugins.legend.position, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Position.LEFT, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Position.RIGHT)) {
      if (legendProps.maxWidth || legend.width) {
        horizontalSpace = Math.max((legendProps.maxWidth || legend.width) - boxWidth - 2 * padding, 0);
      }
      horizontalSpace = Math.min(250, horizontalSpace || 0, this.$canvas.cssWidth() / 3);
    } else {
      horizontalSpace = Math.min(250, this.$canvas.cssWidth() * 2 / 3);
    }
    labels.forEach((elem, idx) => {
      elem.text = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.strings.truncateText(elem.text, horizontalSpace, measureText);
      let dataset = data.datasets[idx],
        legendColor,
        borderColor,
        backgroundColor;
      if (dataset && _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(dataset.type || config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.LINE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.RADAR, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER)) {
        legendColor = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.ensure(dataset.legendColor)[0];
        borderColor = this._adjustColorOpacity(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.ensure(dataset.borderColor)[0], 1);
      } else if (data.datasets.length && _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.PIE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.DOUGHNUT, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA)) {
        dataset = data.datasets[0];
        legendColor = Array.isArray(dataset.legendColor) ? dataset.legendColor[idx] : dataset.legendColor;
        backgroundColor = Array.isArray(dataset.backgroundColor) ? dataset.backgroundColor[idx] : dataset.backgroundColor;
        backgroundColor = this._adjustColorOpacity(backgroundColor, 1);
      }
      if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isFunction(legendColor)) {
        legendColor = legendColor.call(chart, idx);
      }
      let fillStyle = legendColor || backgroundColor || borderColor;
      if (!_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isFunction(fillStyle)) {
        elem.fillStyle = fillStyle;
        elem.strokeStyle = fillStyle;
      }
    });
    return labels;
  }
  _adjustScalesRColors(config) {
    if (!config || !config.type || !config.options || !config.options.scales || !config.options.scales.r) {
      return;
    }
    let labelColor = this._computeLabelColor(config.type),
      labelBackdropColor = this._computeLabelBackdropColor(config.type),
      gridColor = this._computeGridColor(config.type),
      scaleTicksColor = this._computeScaleTicksColor(config.type);
    config.options.scales.r.ticks = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, config.options.scales.r.ticks, {
      color: scaleTicksColor,
      backdropColor: labelBackdropColor
    });
    config.options.scales.r.pointLabels = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, config.options.scales.r.pointLabels, {
      color: labelColor
    });
    config.options.scales.r.grid = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, config.options.scales.r.grid, {
      color: gridColor
    });
  }
  _computeLabelBackdropColor(type) {
    return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.styles.get([this.colorSchemeCssClass, type + '-chart', 'elements', 'label-backdrop'], 'fill', {
      fill: this.firstOpaqueBackgroundColor
    }).fill;
  }
  _computeGridColor(type) {
    return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.styles.get([this.colorSchemeCssClass, type + '-chart', 'elements', 'grid'], 'fill').fill;
  }
  _computeScaleTicksColor(type) {
    return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.styles.get([this.colorSchemeCssClass, type + '-chart', 'elements', 'scale-ticks'], 'fill').fill;
  }
  _adjustScalesXYColors(config) {
    if (!config || !config.type || !config.options || !config.options.scales) {
      return;
    }
    let axes = [];
    if (config.options.scales.x) {
      axes.push(config.options.scales.x);
    }
    if (config.options.scales.y) {
      axes.push(config.options.scales.y);
    }
    if (!axes.length) {
      return;
    }
    let labelColor = this._computeLabelColor(config.type),
      gridColor = this._computeGridColor(config.type),
      axisLabelColor = this._computeAxisLabelColor(config.type);
    axes.forEach(elem => {
      elem.grid = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, elem.grid, {
        color: gridColor
      });
      elem.ticks = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, elem.ticks, {
        color: labelColor
      });
      elem.title = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, elem.title, {
        color: axisLabelColor
      });
    });
  }
  _computeAxisLabelColor(type) {
    return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.styles.get([this.colorSchemeCssClass, type + '-chart', 'elements', 'axis-label'], 'fill').fill;
  }
  _adjustPluginColors(config) {
    if (!config || !config.type || !config.options || !config.options.plugins) {
      return;
    }
    this._adjustPluginsDatalabelColors(config);
  }
  _adjustPluginsDatalabelColors(config) {
    if (!config || !config.type || !config.options || !config.options.plugins || !config.options.plugins.datalabels) {
      return;
    }
    config.options.plugins.datalabels = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, config.options.plugins.datalabels, {
      color: this._computeDatalabelColor(config.type)
    });
  }
  _computeDatalabelColor(type) {
    return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.styles.get([this.colorSchemeCssClass, type + '-chart', 'elements', 'datalabel'], 'fill').fill;
  }
  _adjustClickHandler(config) {
    if (!config || !config.options) {
      return;
    }
    if (config.options.clickable) {
      config.options.onClick = this._clickHandler;
      config.options.onHover = this._pointerHoverHandler;
    } else {
      config.options.onHover = this._hoverHandler;
    }
    if (!config.options.plugins || !config.options.plugins.legend) {
      return;
    }
    let legend = config.options.plugins.legend;
    if (legend.clickable) {
      legend.onClick = this._legendClickHandler;
      legend.onHover = this._legendPointerHoverHandler;
      legend.onLeave = this._legendPointerLeaveHandler;
    } else {
      legend.onClick = e => e.native.stopPropagation();
      legend.onHover = this._legendHoverHandler;
      legend.onLeave = this._legendLeaveHandler;
    }
  }
  _onClick(event, items) {
    if (!items.length) {
      return;
    }
    let relevantItem = this._selectRelevantItem(items);
    if (this._isMaxSegmentsExceeded(this.chartJs.config, relevantItem.index)) {
      return;
    }
    let itemIndex = relevantItem.index,
      datasetIndex = relevantItem.datasetIndex,
      clickObject = {
        datasetIndex: datasetIndex,
        dataIndex: itemIndex
      };
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(this.chartJs.config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER)) {
      let data = this.chartJs.config.data.datasets[datasetIndex].data[itemIndex];
      clickObject.xIndex = data.x;
      clickObject.yIndex = data.y;
    } else {
      clickObject.xIndex = itemIndex;
    }
    this.chart.handleValueClick(clickObject, event.native);
  }
  /**
   * Selects the most relevant item. Default is the first item.
   */
  _selectRelevantItem(items) {
    let chartDatasets = this.chartJs.config.data.datasets;
    let relevantItem = items[0];
    if (this.chartJs.config.type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE) {
      // The smallest bubble, which is drawn in the foreground, is the most relevant item for the bubble chart.
      // If two bubbles are the same size, we choose the one which comes later in the array (bubble with array index n + 1 is draw in front of bubble with array index n)
      items.forEach(item => {
        if (chartDatasets[item.datasetIndex].data[item.index].z <= chartDatasets[relevantItem.datasetIndex].data[relevantItem.index].z) {
          relevantItem = item;
        }
      });
    }
    return relevantItem;
  }
  _onHover(event, items) {
    if (!this.chartJs.config || !this.chartJs.config.type) {
      return;
    }
    let config = this.chartJs.config,
      type = config.type;
    if (!_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.LINE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.RADAR)) {
      return;
    }
    let update = false;
    if (this.resetDatasetAfterHover) {
      this._restoreBackgroundColor();
      this.resetDatasetAfterHover = false;
      update = true;
    }
    items.forEach(item => {
      let dataset = config.data.datasets[item.datasetIndex];
      if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(dataset.type || type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.LINE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.RADAR)) {
        this._setHoverBackgroundColor(dataset);
        this.resetDatasetAfterHover = true;
        update = true;
      }
    });
    if (update) {
      this.refresh();
    }
  }
  _onHoverPointer(event, items) {
    this._onHover(event, items);
    if (!this.rendered || this.removing) {
      return;
    }
    if (items.length && !this._isMaxSegmentsExceeded(this.chartJs.config, items[0].index)) {
      this.$canvas.css('cursor', 'pointer');
    } else {
      this.$canvas.css('cursor', 'default');
    }
  }
  _onLegendClick(e, legendItem, legend) {
    if (!this.chartJs.config || !this.chartJs.config.type) {
      return;
    }
    let type = this.chartJs.config.type,
      defaultTypeLegendClick;
    if (chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.overrides[type] && chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.overrides[type].plugins && chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.overrides[type].plugins.legend) {
      defaultTypeLegendClick = chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.overrides[type].plugins.legend.onClick;
    }
    let defaultLegendClick = defaultTypeLegendClick || chart_js__WEBPACK_IMPORTED_MODULE_1__.Chart.defaults.plugins.legend.onClick;
    defaultLegendClick.call(this.chartJs, e, legendItem, legend);
    this._onLegendLeave(e, legendItem, legend);
    this._onLegendHoverPointer(e, legendItem, legend);
    this._adjustSize(this.chartJs.config, this.chartJs.chartArea, {
      isDatasetVisible: i => this.chartJs.getDatasetMeta(i).visible
    });
    this.refresh();
  }
  _onLegendHover(e, legendItem, legend) {
    let index = legendItem.datasetIndex,
      config = this.chartJs.config,
      type = config.type;
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.PIE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.DOUGHNUT, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA)) {
      index = legendItem.index;
    }
    if (this.legendHoverDatasets.indexOf(index) > -1) {
      return;
    }
    let dataset = config.data.datasets[index],
      datasetType = dataset ? dataset.type : null;
    if ((datasetType || type) === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.LINE) {
      this._setHoverBackgroundColor(dataset);
      this.refresh();
    }
    this._updateHoverStyle(index, true);
    this.chartJs.render();
    this.legendHoverDatasets.push(index);
  }
  _onLegendHoverPointer(e, legendItem, legend) {
    this._onLegendHover(e, legendItem, legend);
    if (!this.rendered || this.removing) {
      return;
    }
    this.$canvas.css('cursor', 'pointer');
  }
  _onLegendLeave(e, legendItem, legend) {
    let index = legendItem.datasetIndex,
      config = this.chartJs.config,
      type = config.type;
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.PIE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.DOUGHNUT, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA)) {
      index = legendItem.index;
    }
    if (this.legendHoverDatasets.indexOf(index) < 0) {
      return;
    }
    let dataset = config.data.datasets[index],
      datasetType = dataset ? dataset.type : null;
    if ((datasetType || type) === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.LINE) {
      this._restoreBackgroundColor(dataset);
      this.refresh();
    }
    this._updateHoverStyle(index, false);
    this.chartJs.render();
    this.legendHoverDatasets.splice(this.legendHoverDatasets.indexOf(index), 1);
  }
  /**
   * Sets the hover background color as the datasets background color.
   * This little workaround is necessary for the line chart, which does not support a native hover effect.
   * The previous background color will be backed up on the dataset property "backgroundColorBackup"
   * and can be restored with {@link _restoreBackgroundColor}.
   */
  _setHoverBackgroundColor(dataset) {
    if (!dataset) {
      return;
    }
    // backup the old background color first
    dataset.backgroundColorBackup = dataset.backgroundColor;
    // overwrite the current background color with the hover color
    dataset.backgroundColor = dataset.hoverBackgroundColor;
    this._adjustDatasetBorderWidths(dataset);
  }
  /**
   * Restores the background color of a dataset or of all datasets,
   * if they were previously overwritten by {@link _setHoverBackgroundColor}.
   */
  _restoreBackgroundColor(dataset) {
    if (dataset) {
      dataset.backgroundColor = dataset.backgroundColorBackup || dataset.backgroundColor;
      delete dataset.backgroundColorBackup;
      this._adjustDatasetBorderWidths(dataset);
    } else {
      this.chartJs.config.data.datasets.forEach(dataset => this._restoreBackgroundColor(dataset));
    }
  }
  _onLegendLeavePointer(e, legendItem, legend) {
    this._onLegendLeave(e, legendItem, legend);
    if (!this.rendered || this.removing) {
      return;
    }
    this.$canvas.css('cursor', 'default');
  }
  _updateHoverStyle(datasetIndex, enabled) {
    let config = this.chartJs.config,
      type = config.type,
      mode,
      elements = [],
      datasets = config.data.datasets,
      dataset = datasets ? datasets[datasetIndex] : null,
      datasetType = dataset ? dataset.type : null;
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.LINE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.PIE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.DOUGHNUT, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER) || datasetType === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.LINE) {
      mode = 'point';
    } else {
      mode = 'dataset';
    }
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.PIE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.DOUGHNUT, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA)) {
      this.chartJs.getSortedVisibleDatasetMetas().forEach((meta, index) => elements.push({
        element: meta.data[datasetIndex],
        datasetIndex: index,
        index: datasetIndex
      }));
    } else {
      this.chartJs.getDatasetMeta(datasetIndex).data.forEach((element, index) => elements.push({
        element: element,
        datasetIndex: datasetIndex,
        index: index
      }));
    }
    if (elements && elements.length) {
      this.chartJs.updateHoverStyle(elements, mode, enabled);
    }
  }
  _adjustResizeHandler(config) {
    if (!config || !config.options) {
      return;
    }
    if (config.options.handleResize) {
      config.options.onResize = this._resizeHandler;
    }
  }
  _onResize(chart, size) {
    chart.update();
    this._adjustSize(chart.config, chart.chartArea, {
      isDatasetVisible: i => chart.getDatasetMeta(i).visible
    });
  }
  _adjustSize(config, chartArea, options) {
    this._adjustBubbleSizes(config, chartArea, options);
    this._adjustGridMaxMin(config, chartArea, options);
  }
  _adjustBubbleSizes(config, chartArea, options) {
    if (config.type !== _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE) {
      return;
    }
    let datasets = config.data.datasets;
    // Scale all bubbles so that the largest radius is equal to sizeOfLargestBubble and the smallest greater than or equal to minBubbleSize.
    // First reset all radii.
    datasets.forEach(dataset => dataset.data.forEach(data => {
      if (!isNaN(data.z)) {
        data.r = Math.sqrt(data.z);
      }
    }));
    let maxMinR = this._computeMaxMinValue(config, datasets, {
        ...options,
        identifier: 'r',
        exact: true
      }),
      maxR = maxMinR.maxValue,
      minR = maxMinR.minValue,
      // Compute a scalingFactor and an offset to get the new radius newR = r * scalingFactor + offset.
      bubbleScalingFactor = 1,
      bubbleRadiusOffset = 0,
      sizeOfLargestBubble = (config.options || {}).bubble ? config.options.bubble.sizeOfLargestBubble : 0,
      minBubbleSize = (config.options || {}).bubble ? config.options.bubble.minBubbleSize : 0;
    if (sizeOfLargestBubble) {
      let width = Math.abs(chartArea.right - chartArea.left),
        height = Math.abs(chartArea.top - chartArea.bottom);
      sizeOfLargestBubble = Math.min(sizeOfLargestBubble, Math.floor(Math.min(width, height) / 6));
      if (maxR === 0) {
        // If maxR is equal to 0, all radii are equal to 0, therefore set bubbleRadiusOffset to sizeOfLargestBubble.
        bubbleRadiusOffset = sizeOfLargestBubble;
      } else if (minBubbleSize && sizeOfLargestBubble > minBubbleSize && minR / maxR < minBubbleSize / sizeOfLargestBubble) {
        // If minR/maxR is smaller than minBubbleSize/sizeOfLargestBubble, then it is not sufficient to scale all radii.
        // The scalingFactor and the result from the following two conditions:
        // (1) minBubbleSize = offset + scalingFactor * minR
        // (2) sizeOfLargestBubble = offset + scalingFactor * maxR
        // Therefore
        // (1*) offset = minBubbleSize - scalingFactor * minR
        // (2*) offset = sizeOfLargestBubble - scalingFactor * maxR
        // (1*) = (2*):
        // minBubbleSize - scalingFactor * minR = sizeOfLargestBubble - scalingFactor * maxR
        // <=> scalingFactor * maxR - scalingFactor * minR = sizeOfLargestBubble - minBubbleSize
        // <=> scalingFactor * (maxR - minR) = sizeOfLargestBubble - minBubbleSize
        // <=> scalingFactor = (sizeOfLargestBubble - minBubbleSize) / (maxR - minR)
        bubbleScalingFactor = (sizeOfLargestBubble - minBubbleSize) / (maxR - minR);
        bubbleRadiusOffset = minBubbleSize - bubbleScalingFactor * minR;
      } else {
        // Scaling is sufficient.
        bubbleScalingFactor = sizeOfLargestBubble / maxR;
      }
    } else if (minBubbleSize && minBubbleSize > minR) {
      // sizeOfLargestBubble is not set
      if (minR === 0) {
        // If the smallest radius equals 0 scaling will have no effect.
        bubbleRadiusOffset = minBubbleSize;
      } else {
        // Scaling is sufficient.
        bubbleScalingFactor = minBubbleSize / minR;
      }
    }
    datasets.forEach(dataset => dataset.data.forEach(data => {
      if (!_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.objects.isNullOrUndefined(data.r)) {
        data.r = data.r * bubbleScalingFactor + bubbleRadiusOffset;
      }
    }));
  }
  _computeMaxMinValue(config, datasets, options) {
    if (!datasets) {
      return;
    }
    const {
      identifier,
      exact,
      boundRange,
      padding,
      space
    } = options || {};
    const isDatasetVisible = (options === null || options === void 0 ? void 0 : options.isDatasetVisible) || (i => true);
    // do not use 0 as default as the max-min-range might not include 0, e.g. all values are greater than 10.000
    let maxValue, minValue;
    if (config.type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER && identifier === 'r') {
      // do not move the grid boundaries because of the radii of the points (would look weird)
      maxValue = 0;
      minValue = 0;
    } else {
      // check if chart is stacked
      const sums = [];
      let calculateSum = false;
      if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.LINE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR)) {
        calculateSum = !!config.options.scales.y.stacked;
      } else if (config.type === _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR_HORIZONTAL) {
        calculateSum = !!config.options.scales.x.stacked;
      }
      const extractValue = data => {
        if (identifier) {
          return data[identifier];
        }
        return data;
      };
      for (let i = 0; i < datasets.length; i++) {
        // do not consider hidden datasets
        if (!_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.PIE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.DOUGHNUT, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA) && !isDatasetVisible(i)) {
          continue;
        }
        for (let j = 0; j < datasets[i].data.length; j++) {
          const value = extractValue(datasets[i].data[j]);
          if (calculateSum) {
            if (!sums[j]) {
              sums[j] = 0;
            }
            sums[j] += value;
            continue;
          }
          if (isNaN(maxValue)) {
            maxValue = value;
          } else {
            maxValue = Math.max(value, maxValue);
          }
          if (isNaN(minValue)) {
            minValue = value;
          } else {
            minValue = Math.min(value, minValue);
          }
        }
      }
      // update maxValue/minValue with max/min sum
      if (calculateSum) {
        maxValue = Math.max(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.max(sums), 0);
        minValue = Math.min(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.min(sums), 0);
      }
    }
    if (isNaN(maxValue)) {
      maxValue = 0;
    }
    if (isNaN(minValue)) {
      minValue = 0;
    }
    let adjust = 0,
      maxBoundary = maxValue,
      minBoundary = minValue;
    if (!exact) {
      if (boundRange && Math.sign(minValue) === Math.sign(maxValue)) {
        adjust = Math.floor(minValue);
      }
      maxBoundary = this._calculateBoundary(maxValue - adjust, Math.ceil, Math.floor);
      minBoundary = this._calculateBoundary(minValue - adjust, Math.floor, Math.ceil);
    }
    if (padding && space && space > 2 * padding) {
      let valuePerPixel = (maxValue - minValue) / (space - 2 * padding),
        paddingValue = valuePerPixel * padding;
      maxBoundary = Math.max(maxBoundary, maxValue - adjust + paddingValue);
      minBoundary = Math.min(minBoundary, minValue - adjust - paddingValue);
    }
    if (!exact) {
      return {
        maxValue: maxBoundary + adjust,
        minValue: minBoundary + adjust
      };
    }
    return {
      maxValue: maxBoundary,
      minValue: minBoundary
    };
  }
  _calculateBoundary(value, roundingFunctionPositive, roundingFunctionNegative) {
    let roundingFunction = roundingFunctionPositive;
    let changeValueSign = false;
    if (value < 0) {
      changeValueSign = true;
      value = value * -1;
      roundingFunction = roundingFunctionNegative;
    }
    value = this._calculateBoundaryPositive(value, roundingFunction);
    if (changeValueSign) {
      value = value * -1;
    }
    return value;
  }
  _calculateBoundaryPositive(value, roundingFunction) {
    if (!(value > 0) || !roundingFunction) {
      return value;
    }
    // example: the value 32689 should be rounded to 30000 for the roundingFunction Math.floor or 35000 for Math.ceil or Math.round
    // first calculate the exponent p of the largest 1ep smaller than the given value
    // example: the largest 1ep smaller than the value 32689 is 10000 = 1e4 and therefore p = 4
    let p = Math.floor(Math.log(value) / Math.LN10);
    // divide by 5e(p-1), round and multiply with 5e(p-1) to round the value in 5e(p-1) steps
    // example: the value is now divided by 5e(p-1) which means 32689 / 5e(4-1) = 32689 / 5e3 = 32689 / 5000 = 6.5378
    //          this result is now rounded (Math.floor gives 6, Math.ceil and Math.round gives 7) and multiplied again with 5000 which results in 30000 or 35000 respectively
    if (p < 0) {
      value = roundingFunction(value * Math.pow(10, Math.abs(p)) / 5) * 5 / Math.pow(10, Math.abs(p));
    } else {
      value = roundingFunction(value / (5 * Math.pow(10, p - 1))) * 5 * Math.pow(10, p - 1);
    }
    return value;
  }
  _adjustGridMaxMin(config, chartArea, options) {
    if (!config || !config.type || !config.options || !config.options.adjustGridMaxMin || !config.options.scales || !chartArea) {
      return;
    }
    let type = config.type;
    if (!_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BAR, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.LINE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.POLAR_AREA, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.RADAR, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER)) {
      return;
    }
    let scales = config.options.scales,
      xAxis = scales.x,
      yAxis = scales.y,
      rAxis = scales.r,
      minSpaceBetweenXTicks = xAxis ? xAxis.minSpaceBetweenTicks : 1,
      minSpaceBetweenYTicks = yAxis ? yAxis.minSpaceBetweenTicks : 1;
    if (rAxis) {
      minSpaceBetweenXTicks = rAxis.minSpaceBetweenTicks;
      minSpaceBetweenYTicks = rAxis.minSpaceBetweenTicks;
    }
    let width = Math.abs(chartArea.right - chartArea.left),
      height = Math.abs(chartArea.top - chartArea.bottom),
      maxXTicks = Math.max(Math.floor(width / minSpaceBetweenXTicks) + 1, 3),
      maxYTicks = Math.max(Math.floor(height / minSpaceBetweenYTicks) + 1, 3);
    let yBoundaries = this._computeYBoundaries(config, {
        ...options,
        space: height
      }),
      yBoundary = yBoundaries.yBoundary,
      yBoundaryDiffType = yBoundaries.yBoundaryDiffType;
    if (rAxis) {
      this._adjustAxisMaxMin(rAxis, Math.ceil(Math.min(maxXTicks, maxYTicks) / 2), yBoundary);
      return;
    }
    if (yBoundaryDiffType) {
      this._adjustAxisMaxMin(yAxis, maxYTicks, yBoundary);
      this._adjustAxisMaxMin(scales.yDiffType, maxYTicks, yBoundaryDiffType);
    } else if (this._isHorizontalBar(config)) {
      this._adjustAxisMaxMin(xAxis, maxXTicks, yBoundary);
    } else {
      this._adjustAxisMaxMin(yAxis, maxYTicks, yBoundary);
    }
    if (!_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER)) {
      return;
    }
    let xBoundary = this._computeXBoundaryPointElement(config, {
      ...options,
      space: width
    });
    this._adjustAxisMaxMin(xAxis, maxXTicks, xBoundary);
  }
  _computeBoundaryPointElement(config, options) {
    const {
      identifier,
      space
    } = options;
    if (!config || !config.type || !_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(config.type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER) || !config.data || !config.options || !config.options.scales || !(identifier === 'x' || identifier === 'y') || !space) {
      return;
    }
    let datasets = config.data.datasets,
      axis = config.options.scales[identifier],
      offset = axis && axis.offset,
      labelMap = config.options[identifier + 'LabelMap'],
      boundary;
    let maxR = this._computeMaxMinValue(config, datasets, {
        ...options,
        identifier: 'r',
        exact: true,
        space: null
      }).maxValue,
      padding = maxR;
    if (config.options.elements && config.options.elements.point && config.options.elements.point.hoverRadius) {
      padding = padding + config.options.elements.point.hoverRadius;
    }
    if (offset) {
      boundary = this._computeMaxMinValue(config, datasets, {
        ...options,
        exact: !!labelMap,
        boundRange: true,
        space: null
      });
    } else {
      boundary = this._computeMaxMinValue(config, datasets, {
        ...options,
        exact: !!labelMap,
        boundRange: true,
        padding
      });
    }
    if (labelMap) {
      boundary.maxValue = Math.ceil(boundary.maxValue);
      boundary.minValue = Math.floor(boundary.minValue);
    }
    return boundary;
  }
  _computeXBoundaryPointElement(config, options) {
    return this._computeBoundaryPointElement(config, {
      ...options,
      identifier: 'x'
    });
  }
  _computeYBoundaryPointElement(config, options) {
    return this._computeBoundaryPointElement(config, {
      ...options,
      identifier: 'y'
    });
  }
  _computeYBoundaries(config, options) {
    if (!config || !config.type) {
      return {};
    }
    let type = config.type,
      yBoundary,
      yBoundaryDiffType;
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.scout.isOneOf(type, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.BUBBLE, _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Type.SCATTER)) {
      yBoundary = this._computeYBoundaryPointElement(config, options);
    } else {
      let datasets = [],
        datasetsDiffType = [];
      if (config.data && config.data.datasets) {
        config.data.datasets.forEach(dataset => {
          if (dataset.type && dataset.type !== type) {
            datasetsDiffType.push(dataset);
          } else {
            datasets.push(dataset);
          }
        });
      }
      yBoundary = this._computeMaxMinValue(config, datasets, {
        ...options,
        space: null
      });
      if (yBoundary.maxValue === 0 && yBoundary.minValue === 0) {
        // Max and min value are both 0 if the values in the dataset are all 0.
        // The default behaviour would lead to a scale from 0 to 1 without any ticks between.
        // (The option "onlyIntegers" is true (zeros are integers), which prevents any ticks between 0 and 1).
        // With setting the max value to 5 we achieve a nice looking scale with some ticks with integer values between.
        yBoundary.maxValue = 5;
      }
      if (datasets.length && datasetsDiffType.length) {
        yBoundaryDiffType = this._computeMaxMinValue(config, datasetsDiffType, {
          ...options,
          space: null
        });
        // Note: we do not adjust the yBoundary of the different type in the case of max and min value are both 0,
        // because the secondary scale is never shown alone and therefore does not to have to look nicely.
        let yBoundaryRange = yBoundary.maxValue - yBoundary.minValue,
          yBoundaryRangeDiffType = yBoundaryDiffType.maxValue - yBoundaryDiffType.minValue;
        if (yBoundaryRange && yBoundaryRangeDiffType && (yBoundaryRange / yBoundaryRangeDiffType > 10 || yBoundaryRangeDiffType / yBoundaryRange > 10)) {
          this._adjustYAxisDiffType(config, datasets, datasetsDiffType);
        }
      }
    }
    return {
      yBoundary: yBoundary,
      yBoundaryDiffType: yBoundaryDiffType
    };
  }
  _adjustYAxisDiffType(config, datasets, datasetsDiffType) {
    if (!config || !config.type || !datasets || !datasets.length || !datasetsDiffType || !datasetsDiffType.length) {
      return;
    }
    if (!config.options || !config.options.scales || !config.options.scales.y || config.options.scales.yDiffType) {
      return;
    }
    let type = config.type,
      options = config.options,
      scales = options.scales,
      yAxis = scales.y,
      yAxisDiffType = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, yAxis);
    scales.yDiffType = yAxisDiffType;
    if (config.data && config.data.datasets && config.data.datasets.length && config.data.datasets[0].type && config.data.datasets[0].type !== type) {
      yAxisDiffType.position = _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Position.LEFT;
      yAxis.position = _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Position.RIGHT;
      yAxis.grid.drawOnChartArea = false;
    } else {
      yAxis.position = _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Position.LEFT;
      yAxisDiffType.position = _index__WEBPACK_IMPORTED_MODULE_0__.Chart.Position.RIGHT;
      yAxisDiffType.grid.drawOnChartArea = false;
    }
    yAxis.border.display = true;
    yAxis.grid.drawTicks = true;
    yAxisDiffType.border.display = true;
    yAxisDiffType.grid.drawTicks = true;
    let yAxisType = datasets[0].type || type,
      yAxisDiffTypeType = datasetsDiffType[0].type || type,
      yAxisTypeLabel = this.chart.session.text('ui.' + yAxisType),
      yAxisDiffTypeTypeLabel = this.chart.session.text('ui.' + yAxisDiffTypeType),
      yAxisScaleLabel = options.scaleLabelByTypeMap ? options.scaleLabelByTypeMap[yAxisType] : null,
      yAxisDiffTypeScaleLabel = options.scaleLabelByTypeMap ? options.scaleLabelByTypeMap[yAxisDiffTypeType] : null;
    yAxis.title.display = true;
    yAxis.title.text = yAxisScaleLabel ? yAxisScaleLabel + ' (' + yAxisTypeLabel + ')' : yAxisTypeLabel;
    yAxisDiffType.title.display = true;
    yAxisDiffType.title.text = yAxisDiffTypeScaleLabel ? yAxisDiffTypeScaleLabel + ' (' + yAxisDiffTypeTypeLabel + ')' : yAxisDiffTypeTypeLabel;
    datasets.forEach(dataset => {
      dataset.yAxisID = 'y';
    });
    datasetsDiffType.forEach(dataset => {
      dataset.yAxisID = 'yDiffType';
    });
  }
  _adjustAxisMaxMin(axis, maxTicks, maxMinValue) {
    if (!axis) {
      return;
    }
    let maxRangeBetweenTwoTicks = 1;
    axis.ticks = jquery__WEBPACK_IMPORTED_MODULE_4___default().extend(true, {}, axis.ticks, {
      maxTicksLimit: maxTicks
    });
    if (maxMinValue) {
      axis.suggestedMax = maxMinValue.maxValue;
      axis.suggestedMin = maxMinValue.minValue;
      maxRangeBetweenTwoTicks = (maxMinValue.maxValue - maxMinValue.minValue) / (maxTicks - 1);
    }
    axis.ticks.stepSize = this.onlyIntegers && maxRangeBetweenTwoTicks < 1 ? 1 : undefined;
  }
  _remove(afterRemoveFunc) {
    if (this.rendered && !this.removing) {
      this.removing = true;
      this.chartJs.destroy();
      this.chartJs = null;
      this.$canvas.remove();
      this.$canvas = null;
    }
    super._remove(afterRemoveFunc);
    this.removing = false;
  }
}
_defineProperty(ChartJsRenderer, "ARROW_LEFT_RIGHT", '\u2194');
_defineProperty(ChartJsRenderer, "ARROW_UP_DOWN", '\u2195');

/***/ }),

/***/ "./src/chart/ChartLayout.ts":
/*!**********************************!*\
  !*** ./src/chart/ChartLayout.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ChartLayout: () => (/* binding */ ChartLayout)
/* harmony export */ });
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../index */ "./src/index.ts");
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class ChartLayout extends _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(chart) {
    super();
    _defineProperty(this, "chart", void 0);
    this.chart = chart;
  }
  layout($container) {
    var _this$chart$findParen;
    let opts = {
      requestAnimation: true,
      debounce: _index__WEBPACK_IMPORTED_MODULE_1__.Chart.DEFAULT_DEBOUNCE_TIMEOUT,
      onlyUpdateData: true
    };
    // Don't request animations when the session is not ready or the chart was already updated once
    if (!this.chart.session.ready || this.chart._updatedOnce) {
      opts.requestAnimation = false;
    }
    // Don't debounce while session is not yet ready. Otherwise, it might happen that the area to layout is not
    // attached anymore because some other view tab is in front when the setTimeout() functions is finally called.
    if (!this.chart.session.ready) {
      opts.debounce = false;
    }
    // Don't debounce if the chart is inside a tile that is being dragged so the state is correct immediately when it is dropped
    if ((_this$chart$findParen = this.chart.findParent(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.Tile)) !== null && _this$chart$findParen !== void 0 && _this$chart$findParen.$container.hasClass('dragged')) {
      opts.debounce = false;
    }
    // Ensure chart has the correct size right after the layout.
    if (this.chart.chartRenderer instanceof _index__WEBPACK_IMPORTED_MODULE_1__.ChartJsRenderer) {
      var _this$chart$chartRend;
      (_this$chart$chartRend = this.chart.chartRenderer.chartJs) === null || _this$chart$chartRend === void 0 || _this$chart$chartRend.resize();
    }
    this.chart.updateChart(opts);
  }
}

/***/ }),

/***/ "./src/chart/ChartModel.ts":
/*!*********************************!*\
  !*** ./src/chart/ChartModel.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/chart/FulfillmentChartRenderer.ts":
/*!***********************************************!*\
  !*** ./src/chart/FulfillmentChartRenderer.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   FulfillmentChartRenderer: () => (/* binding */ FulfillmentChartRenderer)
/* harmony export */ });
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_2__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */



class FulfillmentChartRenderer extends _index__WEBPACK_IMPORTED_MODULE_1__.AbstractSvgChartRenderer {
  constructor(chart) {
    super(chart);
    _defineProperty(this, "animationTriggered", void 0);
    _defineProperty(this, "segmentSelectorForAnimation", void 0);
    _defineProperty(this, "r", void 0);
    _defineProperty(this, "fullR", void 0);
    this.animationTriggered = false;
    this.segmentSelectorForAnimation = '.fulfillment-chart';
    this.suppressLegendBox = true;
    let defaultConfig = {
      options: {
        fulfillment: {
          startValue: undefined
        }
      }
    };
    chart.config = jquery__WEBPACK_IMPORTED_MODULE_2___default().extend(true, {}, defaultConfig, chart.config);
  }
  _validate() {
    let chartValueGroups = this.chart.data.chartValueGroups;
    if (chartValueGroups.length !== 2 || chartValueGroups[0].values.length !== 1 || chartValueGroups[1].values.length !== 1) {
      return false;
    }
    return true;
  }
  _renderInternal() {
    // Calculate percentage
    let chartData = this.chart.data;
    let value = chartData.chartValueGroups[0].values[0];
    let total = chartData.chartValueGroups[1].values[0];
    this.fullR = Math.min(this.chartBox.height, this.chartBox.width) / 2 - 2;
    this._renderInnerCircle();
    this._renderPercentage(value, total);
  }
  _renderPercentage(value, total) {
    // arc segment
    let arcClass = 'fulfillment-chart',
      color = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(this.chart.data.chartValueGroups[0].colorHexValue)[0],
      chartGroupCss = this.chart.data.chartValueGroups[0].cssClass;
    if (this.chart.config.options.autoColor) {
      arcClass += ' auto-color';
    } else if (chartGroupCss) {
      arcClass += ' ' + chartGroupCss;
    }
    let startValue = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scout.nvl(this.chart.config.options.fulfillment.startValue, 0);
    let end = 0;
    let lastEnd = 0;
    if (total) {
      // use slightly less than 1.0 as max value because otherwise, the SVG element would not be drawn correctly.
      end = Math.min(value / total, 0.999999);
      lastEnd = Math.min(startValue / total, 0.999999);
    }
    this.r = this.fullR;
    let that = this;
    let tweenInFunc = function (now, fx) {
      let $this = jquery__WEBPACK_IMPORTED_MODULE_2___default()(this);
      let start = $this.data('animation-start'),
        end = $this.data('animation-end');
      $this.attr('d', that.pathSegment(start * fx.pos, lastEnd + (end - lastEnd) * fx.pos));
    };
    let $arc = this.$svg.appendSVG('path', arcClass).data('animation-start', 0).data('animation-end', end);
    let radius2 = this.fullR / 8 * 6.7;
    let $transparentCircle = this._renderCirclePath('fulfillment-chart-inner-circle-transparent', 'InnerCircle3', radius2);
    $transparentCircle.css('fill', this.firstOpaqueBackgroundColor);
    // Label
    let percentage = total ? Math.round(value / total * 100) : 0;
    let $label = this.$svg.appendSVG('text', 'fulfillment-chart-label ').attr('x', this.chartBox.mX()).attr('y', this.chartBox.mY()).css('font-size', this.fullR / 2 + 'px') // font of label in center relative to circle radius
    .attr('dy', '0.3em') // workaround for 'dominant-baseline: central' which is not supported in IE
    .attrXLINK('href', '#InnerCircle').text(percentage + '%');
    if (this.chart.config.options.clickable) {
      $arc.on('click', this._createClickObject(null, null), e => this.chart.handleValueClick(e.data));
    }
    if (!this.chart.config.options.autoColor && !chartGroupCss) {
      $arc.attr('fill', color);
    }
    if (this.animationDuration) {
      $arc.attr('d', this.pathSegment(0, lastEnd)).animate({
        tabIndex: 0
      }, this._createAnimationObjectWithTabIndexRemoval(tweenInFunc, this.animationDuration));
      $label.attr('opacity', 0).animateSVG('opacity', 1, this.animationDuration, null, true);
    } else {
      $arc.attr('d', this.pathSegment(0, end));
    }
    _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.aria.description(this.$svg, this.session.text('ui.FulfillmentChartAriaDescription', percentage));
  }
  pathSegment(start, end) {
    let s = start * 2 * Math.PI,
      e = end * 2 * Math.PI,
      pathString = '';
    pathString += 'M' + (this.chartBox.mX() + this.r * Math.sin(s)) + ',' + (this.chartBox.mY() - this.r * Math.cos(s));
    pathString += 'A' + this.r + ', ' + this.r;
    pathString += end - start < 0.5 ? ' 0 0,1 ' : ' 0 1,1 ';
    pathString += this.chartBox.mX() + this.r * Math.sin(e) + ',' + (this.chartBox.mY() - this.r * Math.cos(e));
    pathString += 'L' + this.chartBox.mX() + ',' + this.chartBox.mY() + 'Z';
    return pathString;
  }
  _renderCirclePath(cssClass, id, radius) {
    let chartGroupCss = this.chart.data.chartValueGroups[0].cssClass;
    let color = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(this.chart.data.chartValueGroups[1].colorHexValue)[0];
    if (this.chart.config.options.autoColor) {
      cssClass += ' auto-color';
    } else if (chartGroupCss) {
      cssClass += ' ' + chartGroupCss;
    }
    let radius2 = radius * 2;
    let $path = this.$svg.appendSVG('path', cssClass).attr('id', id).attr('d', 'M ' + this.chartBox.mX() + ' ' + this.chartBox.mY() + ' m 0, ' + -radius + ' a ' + radius + ',' + radius + ' 0 1, 1 0,' + radius2 + ' a ' + radius + ',' + radius + ' 0 1, 1 0,' + -radius2);
    if (!this.chart.config.options.autoColor && !chartGroupCss) {
      $path.attr('fill', color).attr('stroke', color);
    }
    return $path;
  }
  _renderInnerCircle() {
    let radius = this.fullR / 8 * 7.5,
      radius2 = this.fullR / 8 * 7.2;
    this._renderCirclePath('fulfillment-chart-inner-circle', 'InnerCircle', radius);
    let $transparentCircle = this._renderCirclePath('fulfillment-chart-inner-circle-transparent', 'InnerCircle2', radius2);
    $transparentCircle.css('fill', this.firstOpaqueBackgroundColor);
  }
  /**
   * Do not animate the removal of the chart if the chart data has been updated and the startValue option is set.
   * If startValue is not set use default implementation.
   */
  shouldAnimateRemoveOnUpdate(opts) {
    let startValue = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.objects.optProperty(this.chart, 'config', 'options', 'fulfillment', 'startValue');
    if (!_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(startValue)) {
      return false;
    }
    return super.shouldAnimateRemoveOnUpdate(opts);
  }
  _removeAnimated(afterRemoveFunc) {
    if (this.animationTriggered) {
      return;
    }
    let that = this;
    let tweenOut = function (now, fx) {
      let $this = jquery__WEBPACK_IMPORTED_MODULE_2___default()(this);
      let start = $this.data('animation-start'),
        end = $this.data('animation-end');
      $this.attr('d', that.pathSegment(start * (1 - fx.pos), end * (1 - fx.pos)));
    };
    this.animationTriggered = true;
    this.$svg.children(this.segmentSelectorForAnimation).animate({
      tabIndex: 0
    }, this._createAnimationObjectWithTabIndexRemoval(tweenOut)).promise().done(() => {
      this._remove(afterRemoveFunc);
      this.animationTriggered = false;
    });
  }
}

/***/ }),

/***/ "./src/chart/SalesfunnelChartRenderer.ts":
/*!***********************************************!*\
  !*** ./src/chart/SalesfunnelChartRenderer.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SalesfunnelChartRenderer: () => (/* binding */ SalesfunnelChartRenderer)
/* harmony export */ });
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_2__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */



class SalesfunnelChartRenderer extends _index__WEBPACK_IMPORTED_MODULE_1__.AbstractSvgChartRenderer {
  constructor(chart) {
    super(chart);
    _defineProperty(this, "segmentSelectorForAnimation", void 0);
    _defineProperty(this, "widthThresholdMedium", void 0);
    _defineProperty(this, "widthThresholdSmall", void 0);
    /**
     * Constants for "normalized mode"
     * Width of a bar is calculated by multiplying this value with the previous bar's width
     */
    _defineProperty(this, "barDeltaPercentage", void 0);
    /**
     * Factor to be multiplied with the last bar's width. This will create a funnel effect, because
     * the last bar is considerably smaller than the other bars.
     */
    _defineProperty(this, "lastBarAdditionalPercentage", void 0);
    /** Percentage of the total width the last bar always has (delta might get smaller due to this constraint). */
    _defineProperty(this, "lastBarMinWidthPercentage", void 0);
    _defineProperty(this, "paddingBetweenLabel", void 0);
    _defineProperty(this, "dataAnalyzeResult", void 0);
    _defineProperty(this, "barHeight", void 0);
    _defineProperty(this, "barAreaWidth", void 0);
    _defineProperty(this, "centerX", void 0);
    _defineProperty(this, "animationTriggered", void 0);
    this.segmentSelectorForAnimation = '.salesfunnel-chart-bar';
    this.widthThresholdMedium = 400;
    this.widthThresholdSmall = 200;
    this.barDeltaPercentage = 0.95;
    this.lastBarAdditionalPercentage = 0.7;
    this.lastBarMinWidthPercentage = 0.4;
    this.suppressLegendBox = true;
    let defaultConfig = {
      options: {
        salesfunnel: {
          normalized: undefined,
          calcConversionRate: undefined
        }
      }
    };
    chart.config = jquery__WEBPACK_IMPORTED_MODULE_2___default().extend(true, {}, defaultConfig, chart.config);
  }
  _validate() {
    let chartData = this.chart.data;
    let chartConfig = this.chart.config;
    if (!chartData || !chartConfig || chartData.axes.length !== chartData.chartValueGroups.length || chartData.chartValueGroups.length === 0 || chartData.chartValueGroups[0].values.length === 0 || chartConfig.options.salesfunnel.normalized === undefined || chartConfig.options.salesfunnel.calcConversionRate === undefined) {
      return false;
    }
    return true;
  }
  _renderInternal() {
    let chartData = this.chart.data,
      bars = chartData.chartValueGroups.length;
    let conversionRateWidth = this._dynamicConversionRateWidth();
    this.paddingBetweenLabel = 20;
    this.dataAnalyzeResult = this._analyzeData(chartData.chartValueGroups);
    this.barHeight = this.chartBox.height / bars;
    this.barAreaWidth = this.chartBox.width - this.dataAnalyzeResult.maxLengthFirstValueRow - this.paddingBetweenLabel * this.dataAnalyzeResult.labelCount - this.dataAnalyzeResult.maxLengthSecondValueRow - conversionRateWidth;
    this.centerX = this.barAreaWidth / 2;
    if (this.chart.config.options.salesfunnel.normalized) {
      this._renderBarsNormalized(chartData.chartValueGroups);
    } else {
      this._renderBarsAccordingToValues(chartData.chartValueGroups);
    }
    this._addClipping('salesfunnel-chart-bar');
  }
  _renderBarsNormalized(chartValueGroups) {
    let barCount = chartValueGroups.length;
    let startPointX = this.barAreaWidth + this.dataAnalyzeResult.maxLengthFirstValueRow + this.dataAnalyzeResult.maxLengthSecondValueRow + this.paddingBetweenLabel * (this.dataAnalyzeResult.labelCount + 1);
    let delta = this.barAreaWidth * (1 - this.barDeltaPercentage);
    let minLastWidth = this.barAreaWidth * this.lastBarMinWidthPercentage;
    let secondLastWidth = minLastWidth / this.lastBarAdditionalPercentage;
    delta = Math.min(delta, (this.barAreaWidth - secondLastWidth) / (barCount - 1));
    for (let i = 0; i < barCount; i++) {
      let width = this.barAreaWidth - i * delta,
        barLabel = chartValueGroups[i].groupName,
        widthBottom = this.barAreaWidth - (i + 1) * delta,
        yCoord = i * this.barHeight;
      let renderPolyOptions = {
        xStart: this.centerX,
        yStart: yCoord,
        rect: true,
        width: width,
        widthBottom: widthBottom,
        cssClass: 'salesfunnel-chart-bar',
        fill: _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(chartValueGroups[i].colorHexValue)[0],
        label: chartValueGroups[i].groupName,
        clickObject: this._createClickObject(null, i)
      };
      if (this.chart.config.options.autoColor) {
        renderPolyOptions.cssClass += ' auto-color color0';
      } else if (this.chart.data.chartValueGroups[i].cssClass) {
        renderPolyOptions.cssClass += ' ' + this.chart.data.chartValueGroups[i].cssClass;
      }
      // Adjust last widths to look like funnel.
      if (i === barCount - 1) {
        renderPolyOptions.width = renderPolyOptions.width * this.lastBarAdditionalPercentage;
        renderPolyOptions.widthBottom = renderPolyOptions.widthBottom * this.lastBarAdditionalPercentage;
      }
      this._renderPolygon(renderPolyOptions);
      this._renderLabel(chartValueGroups[i].values[0], false, i);
      this._renderBarLabel(barLabel, i, renderPolyOptions.widthBottom);
      let labelLineWidth = this.dataAnalyzeResult.maxLengthFirstValueRow + this.paddingBetweenLabel;
      if (chartValueGroups[i].values.length > 1) {
        this._renderLabel(chartValueGroups[i].values[1], true, i);
        labelLineWidth += this.dataAnalyzeResult.maxLengthSecondValueRow + this.paddingBetweenLabel;
      }
      if (i > 0) {
        this._renderLabelSeparatorLine(yCoord, labelLineWidth);
        if (this.chart.config.options.salesfunnel.calcConversionRate) {
          this._renderConversionRate(i, startPointX, this._calcConversionRate(chartValueGroups[i - 1].values[0], chartValueGroups[i].values[0]));
        }
      }
    }
  }
  _renderLabel(label, secondLabel, barIndexFromTop) {
    if (label === null) {
      return;
    }
    let y = barIndexFromTop * this.barHeight + this.barHeight / 2,
      labelOffset = this.dataAnalyzeResult.maxLengthFirstValueRow + (secondLabel ? this.dataAnalyzeResult.maxLengthSecondValueRow : 0),
      labelIndex = secondLabel ? 2 : 1,
      x = this.barAreaWidth + labelOffset + labelIndex * this.paddingBetweenLabel,
      labelClass = this._dynamicCssClass('salesfunnel-label');
    let $label = this.$svg.appendSVG('text', labelClass).attr('x', x).attr('y', y).text(this.session.locale.decimalFormat.format(label));
    if (this.animationDuration) {
      $label.attr('opacity', 0).animateSVG('opacity', 1, this.animationDuration, null, true);
    }
    if (this.chart.config.options.plugins.tooltip.enabled && this.chart.data.axes.length > 0) {
      let desc = this.chart.data.axes[barIndexFromTop][secondLabel ? 1 : 0].label,
        textBounds = this._measureText('' + label, labelClass);
      this._renderWireLabels(desc, $label, x - textBounds.width / 2, y - textBounds.height);
    }
  }
  _renderWireLabels(label, $text, x1, y1) {
    let legendPositions = {
      x1: x1,
      x2: x1 - 10,
      y1: y1,
      y2: y1 - 10,
      v: -1,
      h: -1
    };
    // calculate opening direction
    let labelPositionFunc = (labelWidth, labelHeight) => {
      if (legendPositions.y2 - labelHeight < 0) {
        legendPositions.v = 1;
        legendPositions.y1 = legendPositions.y1 + labelHeight * 1.5;
        legendPositions.y2 = legendPositions.y1 + 10;
      }
      return legendPositions;
    };
    legendPositions.autoPosition = true;
    legendPositions.posFunc = labelPositionFunc;
    let legend = this._renderWireLegend(label, legendPositions, 'line-chart-wire-label', true),
      mouseIn = legend.attachFunc.bind(legend),
      mouseOut = legend.detachFunc.bind(legend);
    legend.detachFunc();
    $text.on('mouseenter', mouseIn).on('mouseleave', mouseOut);
  }
  _renderBarLabel(label, barIndexFromTop, barWidth) {
    let y = barIndexFromTop * this.barHeight + this.barHeight / 2,
      x = this.centerX,
      labelClass = this._dynamicCssClass('salesfunnel-bar-label');
    this._renderLineLabel(x, y, label, labelClass, true);
  }
  _renderConversionRate(barIndexFromTop, startPointX, conversionRate) {
    if (conversionRate === undefined) {
      return;
    }
    let ctrlY = barIndexFromTop * this.barHeight,
      labelClass = this._dynamicCssClass('salesfunnel-conversionrate-label');
    let $label = this.$svg.appendSVG('text', labelClass).attr('x', startPointX).attr('y', ctrlY).text('↓ ' + conversionRate + '%');
    if (this.animationDuration) {
      $label.attr('opacity', 0).animateSVG('opacity', 1, this.animationDuration, null, true);
    }
  }
  _renderPolygon(renderPolyOptions) {
    let that = this,
      points = this._calcPolygonPoints(true, this.animationDuration ? 0 : 1, renderPolyOptions.xStart, renderPolyOptions.yStart, renderPolyOptions.width, renderPolyOptions.widthBottom, this.barHeight - 1);
    let $poly = this.$svg.appendSVG('polygon', renderPolyOptions.cssClass, '', renderPolyOptions.id).attr('points', points).data('xStart', renderPolyOptions.xStart).data('yStart', renderPolyOptions.yStart).data('widthBar', renderPolyOptions.width).data('widthBottom', renderPolyOptions.widthBottom).data('heightBar', this.barHeight);
    if (!this.chart.config.options.autoColor && renderPolyOptions.fill) {
      $poly.attr('fill', renderPolyOptions.fill);
    }
    $poly.css('stroke', this.firstOpaqueBackgroundColor);
    let expandFunc = function (now, fx) {
      let $this = jquery__WEBPACK_IMPORTED_MODULE_2___default()(this);
      let xStart = $this.data('xStart'),
        yStart = $this.data('yStart'),
        width = $this.data('widthBar'),
        height = $this.data('heightBar'),
        widthBottom = $this.data('widthBottom');
      $this.attr('points', that._calcPolygonPoints(true, fx.pos, xStart, yStart, width, widthBottom, height));
    };
    if (this.animationDuration) {
      $poly.animate({
        tabIndex: 0
      }, this._createAnimationObjectWithTabIndexRemoval(expandFunc, this.animationDuration));
    }
    if (this.chart.config.options.clickable) {
      $poly.on('click', renderPolyOptions.clickObject, e => this.chart.handleValueClick(e.data));
    }
    if (renderPolyOptions.fill) {
      $poly.attr('fill', renderPolyOptions.fill);
    }
    return $poly;
  }
  _calcPolygonPoints(expand, fxPos, xStart, yStart, width, widthBottom, height) {
    let xOffsetTop = 0,
      xOffsetBottom = 0;
    if (expand) {
      xOffsetTop = width / 2 * fxPos;
      xOffsetBottom = widthBottom / 2 * fxPos;
    } else {
      xOffsetTop = width / 2 - width / 2 * fxPos;
      xOffsetBottom = widthBottom / 2 - widthBottom / 2 * fxPos;
    }
    return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', xStart - xOffsetTop + ',' + yStart,
    // x1, y1
    xStart + xOffsetTop + ',' + yStart,
    // x2, y2
    xStart + xOffsetBottom + ',' + (yStart + height),
    // x3, y3
    xStart - xOffsetBottom + ',' + (yStart + height) // x4, y4
    );
  }
  _renderBarsAccordingToValues(chartValueGroups) {
    let widthPerN = this.dataAnalyzeResult.maxValue ? this.barAreaWidth * 0.8 / this.dataAnalyzeResult.maxValue : 0,
      startPointX = this.barAreaWidth + this.dataAnalyzeResult.maxLengthFirstValueRow + this.dataAnalyzeResult.maxLengthSecondValueRow + this.paddingBetweenLabel * this.dataAnalyzeResult.labelCount + 2 * this.paddingBetweenLabel,
      barCount = chartValueGroups.length;
    for (let i = 0; i < barCount; i++) {
      let width = chartValueGroups[i].values[0] * widthPerN + this.barAreaWidth * 0.2,
        barLabel = chartValueGroups[i].groupName,
        yCoord = i * this.barHeight;
      let renderPolyOptions = {
        xStart: this.centerX,
        yStart: yCoord,
        rect: true,
        width: width,
        widthBottom: width,
        cssClass: 'salesfunnel-chart-bar',
        fill: _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.arrays.ensure(chartValueGroups[i].colorHexValue)[0],
        label: chartValueGroups[i].groupName,
        clickObject: this._createClickObject(null, i)
      };
      if (this.chart.config.options.autoColor) {
        renderPolyOptions.cssClass += ' auto-color color0';
      } else if (this.chart.data.chartValueGroups[i].cssClass) {
        renderPolyOptions.cssClass += ' ' + this.chart.data.chartValueGroups[i].cssClass;
      }
      this._renderPolygon(renderPolyOptions);
      this._renderLabel(chartValueGroups[i].values[0], false, i);
      this._renderBarLabel(barLabel, i, renderPolyOptions.widthBottom);
      let labelLineWidth = this.dataAnalyzeResult.maxLengthFirstValueRow + this.paddingBetweenLabel;
      if (chartValueGroups[i].values.length > 1) {
        this._renderLabel(chartValueGroups[i].values[1], true, i);
        labelLineWidth += this.dataAnalyzeResult.maxLengthSecondValueRow + this.paddingBetweenLabel;
      }
      if (i > 0) {
        this._renderLabelSeparatorLine(yCoord, labelLineWidth);
        if (this.chart.config.options.salesfunnel.calcConversionRate) {
          this._renderConversionRate(i, startPointX, this._calcConversionRate(chartValueGroups[i - 1].values[0], chartValueGroups[i].values[0]));
        }
      }
    }
  }
  _renderLabelSeparatorLine(yCoord, labelLineWidth) {
    let $line = this.$svg.appendSVG('line', 'label-separator').attr('x1', this.barAreaWidth + this.paddingBetweenLabel).attr('y1', yCoord).attr('x2', this.barAreaWidth + labelLineWidth).attr('y2', yCoord);
    if (this.animationDuration) {
      $line.attr('opacity', 0).animateSVG('opacity', 1, this.animationDuration, null, true);
    }
  }
  _calcConversionRate(valueBefore, value) {
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(valueBefore) || _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(value) || valueBefore === 0) {
      return undefined;
    }
    return Math.round(value / valueBefore * 100);
  }
  _analyzeData(valueGroups) {
    let result = {
        labelCount: 0,
        maxValue: null,
        maxLengthFirstValueRow: 0,
        maxLengthSecondValueRow: 0
      },
      labelClass = this._dynamicCssClass('salesfunnel-label');
    for (let i = 0; i < valueGroups.length; i++) {
      let valueGroup = valueGroups[i];
      result.labelCount = Math.max(result.labelCount, valueGroup.values.length);
      // only first value is relevant for bar
      if (valueGroup.values.length > 0 && valueGroup.values[0]) {
        if (result.maxValue === null) {
          result.maxValue = valueGroup.values[0];
        } else {
          result.maxValue = Math.max(result.maxValue, valueGroup.values[0]);
        }
        result.maxLengthFirstValueRow = Math.max(result.maxLengthFirstValueRow, this._measureText(this.session.locale.decimalFormat.format(valueGroup.values[0]), labelClass).width);
      }
      if (valueGroup.values.length > 1 && valueGroup.values[1]) {
        result.maxLengthSecondValueRow = Math.max(result.maxLengthSecondValueRow, this._measureText(this.session.locale.decimalFormat.format(valueGroup.values[1]), labelClass).width);
      }
    }
    return result;
  }
  _removeAnimated(afterRemoveFunc) {
    if (this.animationTriggered) {
      return;
    }
    this.animationTriggered = true;
    let that = this,
      shrink = function (now, fx) {
        let $this = jquery__WEBPACK_IMPORTED_MODULE_2___default()(this);
        let xStart = $this.data('xStart'),
          yStart = $this.data('yStart'),
          width = $this.data('widthBar'),
          height = $this.data('heightBar'),
          widthBottom = $this.data('widthBottom');
        $this.attr('points', that._calcPolygonPoints(false, fx.pos, xStart, yStart, width, widthBottom, height));
      };
    this.$svg.children(this.segmentSelectorForAnimation).animate({
      tabIndex: 0
    }, this._createAnimationObjectWithTabIndexRemoval(shrink)).promise().done(() => {
      this._remove(afterRemoveFunc);
      this.animationTriggered = false;
    });
  }
  _dynamicCssClass(cssClass) {
    let small = '';
    if (this.chartBox.width <= this.widthThresholdSmall) {
      small = 'small';
    } else if (this.chartBox.width <= this.widthThresholdMedium) {
      small = 'medium';
    }
    return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.strings.join(' ', cssClass, small);
  }
  _dynamicConversionRateWidth() {
    if (!this.chart.config.options.salesfunnel.calcConversionRate) {
      return 0; // don't show conversion rate
    }
    if (this.chartBox.width <= this.widthThresholdSmall) {
      return 60;
    }
    if (this.chartBox.width <= this.widthThresholdMedium) {
      return 80;
    }
    return 100;
  }
}

/***/ }),

/***/ "./src/chart/SpeedoChartRenderer.ts":
/*!******************************************!*\
  !*** ./src/chart/SpeedoChartRenderer.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   SpeedoChartRenderer: () => (/* binding */ SpeedoChartRenderer)
/* harmony export */ });
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../index */ "./src/index.ts");
var _SpeedoChartRenderer;
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */


class SpeedoChartRenderer extends _index__WEBPACK_IMPORTED_MODULE_1__.AbstractSvgChartRenderer {
  constructor(chart) {
    super(chart);
    _defineProperty(this, "segmentSelectorForAnimation", void 0);
    _defineProperty(this, "r", void 0);
    _defineProperty(this, "scaleWeight", void 0);
    _defineProperty(this, "my", void 0);
    _defineProperty(this, "parts", void 0);
    _defineProperty(this, "numSegmentsPerPart", void 0);
    _defineProperty(this, "segmentWidth", void 0);
    _defineProperty(this, "widthOfSegmentWithGap", void 0);
    _defineProperty(this, "animationTriggered", void 0);
    _defineProperty(this, "$filledParts", void 0);
    _defineProperty(this, "$pointer", void 0);
    this.segmentSelectorForAnimation = '.pointer';
    this.suppressLegendBox = true;
    let defaultConfig = {
      options: {
        speedo: {
          greenAreaPosition: undefined
        }
      }
    };
    chart.config = $.extend(true, {}, defaultConfig, chart.config);
  }
  // space between two segments (lines)
  _validate() {
    let chartData = this.chart.data;
    let chartConfig = this.chart.config;
    if (!chartData || !chartConfig || chartData.axes.length > 0 || chartData.chartValueGroups.length !== 1 || chartData.chartValueGroups[0].values.length !== 3 || chartConfig.options.speedo.greenAreaPosition === undefined) {
      return false;
    }
    return true;
  }
  _renderInternal() {
    let chartData = this.chart.data,
      minValue = chartData.chartValueGroups[0].values[0],
      maxValue = chartData.chartValueGroups[0].values[2],
      value = chartData.chartValueGroups[0].values[1];
    // radius of the scale
    this.r = Math.min(this.chartBox.height, this.chartBox.width / 2) * 0.7;
    // width (thickness) of the scale
    this.scaleWeight = this.r * 0.27;
    this.my = this.chartBox.yOffset + this.chartBox.height - (this.chartBox.height - this.r * 1.12) / 2;
    // number of parts in the scale
    this.parts = this.chart.config.options.speedo.greenAreaPosition === SpeedoChartRenderer.Position.CENTER ? SpeedoChartRenderer.NUM_PARTS_GREEN_CENTER : SpeedoChartRenderer.NUM_PARTS_GREEN_EDGE;
    // number of lines per part
    this.numSegmentsPerPart = this.parts === SpeedoChartRenderer.NUM_PARTS_GREEN_CENTER ? 5 : 8;
    // to remember 'filled' parts
    this.$filledParts = [];
    let numTotalSegments = this.parts * this.numSegmentsPerPart; // total number of lines in the whole chart (all colors)
    let numTotalGaps = numTotalSegments - 1;
    // width of one segment (line)
    this.segmentWidth = (SpeedoChartRenderer.ARC_RANGE - numTotalGaps * SpeedoChartRenderer.SEGMENT_GAP) / numTotalSegments;
    // width of one segment including the gap to the next segment.
    this.widthOfSegmentWithGap = this.segmentWidth + SpeedoChartRenderer.SEGMENT_GAP;
    // pointer value in range [0,1]
    let valuePercentage = this._getValuePercentage(value, minValue, maxValue);
    // value in the range [0,numTotalSegments - 1] rounded to one segment
    let segmentToPointAt = this._getSegmentToPointAt(valuePercentage, numTotalSegments);
    // value rounded to the closest segment so that the pointer never stays "in between" two segments but always on a segment
    let valuePercentageRounded = this._getPercentageValueOfSegment(segmentToPointAt % this.numSegmentsPerPart, this._getPartForValue(valuePercentage));
    for (let i = 0; i < this.parts; i++) {
      this._renderCirclePart(i);
    }
    this._renderPointer(valuePercentageRounded);
    this._renderLegend(minValue, value, maxValue, chartData.chartValueGroups[0].groupName);
    this.$svg.addClass('speedo-chart-svg');
    if (this.chart.config.options.clickable) {
      this.$svg.on('click', this._createClickObject(null, null), e => this.chart.handleValueClick(e.data));
    }
  }
  _getValuePercentage(value, minValue, maxValue) {
    return this._limitValue((value - minValue) / (maxValue - minValue), 1);
  }
  _getSegmentToPointAt(valuePercentage, numTotalSegments) {
    return this._limitValue(Math.floor(valuePercentage * numTotalSegments), numTotalSegments - 1);
  }
  _limitValue(value, maxValue) {
    value = Math.max(value, 0); // cannot be < 0
    value = Math.min(value, maxValue); // cannot be > maxValue
    return value;
  }
  /**
   * Gets the percentage value in range [0,1] of the specified segment.
   */
  _getPercentageValueOfSegment(segmentIndexInPart, part) {
    // get the segment position
    let pointerRange = this._calcSegmentPos(segmentIndexInPart, part);
    // calculate the center position in the Arc range [0, 0.5] of the segment
    let pointerPos = pointerRange.from - SpeedoChartRenderer.ARC_MIN + (pointerRange.to - pointerRange.from) / 2;
    // calculate the percentage value of the center of the segment in range [0,1]
    return this._limitValue(pointerPos / SpeedoChartRenderer.ARC_RANGE, 1);
  }
  /**
   * Renders the pointer line and registers animation to move the pointer and the corresponding filling of the segments
   */
  _renderPointer(valuePercentage) {
    this.$pointer = this.$svg.appendSVG('path', 'pointer').attr('d', this._pathPointer(0)).attr('data-end', valuePercentage).attr('stroke-width', this.scaleWeight / 6 + 'px') // width of the pointer bar depends on size of chart
    .attr('fill', 'none');
    if (this.animationDuration) {
      let that = this;
      let tweenIn = function (now, fx) {
        let val = this.getAttribute('data-end') * fx.pos;
        that._updatePointer(val);
        that._updatePartsFill(val);
      };
      this.$pointer.animate({
        tabIndex: 0
      }, this._createAnimationObjectWithTabIndexRemoval(tweenIn, this.animationDuration));
    } else {
      this._updatePointer(valuePercentage);
      this._updatePartsFill(valuePercentage);
    }
  }
  /**
   * renders a single segment line.
   */
  _renderSegment(from, to, colorClass) {
    return this.$svg.appendSVG('path', 'speedo-chart-arc ' + colorClass).attr('id', 'ArcAxisWide' + this.chart.id).attr('fill', 'none').attr('stroke-width', this.scaleWeight + 'px').attr('d', this._pathSegment(from, to));
  }
  _renderCirclePart(part) {
    let colorClass = this._getColorForPart(part);
    // render 'empty' segments
    for (let i = 0; i < this.numSegmentsPerPart; i++) {
      let segPos = this._calcSegmentPos(i, part);
      this._renderSegment(segPos.from, segPos.to, colorClass);
    }
    // render and remember 'filled' segments (not visible by default).
    this.$filledParts.push(this._renderSegment(SpeedoChartRenderer.ARC_MIN, SpeedoChartRenderer.ARC_MIN, colorClass)); // 'filled' segments. invisible by default
  }
  _renderLegend(minValue, value, maxValue, groupName) {
    let minMaxLegendFontSize = this.scaleWeight * 0.8,
      padding = 5,
      // same as in AbstractChartRenderer#_renderWireLegend
      labelYPos = this.my + padding,
      labelMinMaxYPos = labelYPos + minMaxLegendFontSize * 0.8,
      positions = {
        x1: null,
        x2: this.chartBox.mX() - padding,
        y1: null,
        y2: labelYPos,
        v: -1,
        h: 1
      },
      minLegendValue = minValue ? this._formatValue(minValue) : 0,
      legendValue = value ? this._formatValue(value) : '' + 0,
      maxLegendValue = maxValue ? this._formatValue(maxValue) : 0;
    // tooltip for min/max value
    if (this.chart.config.options.plugins.tooltip.enabled) {
      // min value
      let $minLegend = this.$svg.appendSVG('text', 'line-label line-chart-wire-label').attr('x', this.chartBox.mX() - this.r).attr('y', labelMinMaxYPos).text(minLegendValue).attr('style', 'font-size: ' + minMaxLegendFontSize + 'px; text-anchor: middle');
      // max value
      let $maxLegend = this.$svg.appendSVG('text', 'line-label line-chart-wire-label').attr('x', this.chartBox.mX() + this.r).attr('y', labelMinMaxYPos).text(maxLegendValue).attr('style', 'font-size: ' + minMaxLegendFontSize + 'px; text-anchor: middle');
      let mouseIn = function () {
        this.$svg.append($minLegend);
        this.$svg.append($maxLegend);
      }.bind(this);
      let mouseOut = () => {
        $minLegend.detach();
        $maxLegend.detach();
      };
      mouseOut();
      this.$svg.on('mouseenter', mouseIn).on('mouseleave', mouseOut);
    }
    // actual value
    if (this.chart.config.options.plugins.legend.display) {
      this._renderLineLabel(positions.x2 + padding, positions.y2 + positions.v * padding, legendValue, '', false).addClass('speedo-chart-label').attr('style', 'font-size: ' + this.scaleWeight * 1.55 + 'px;');
    }
    _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.aria.description(this.$svg, this.session.text('ui.SpeedoChartAriaDescription', legendValue, minLegendValue, maxLegendValue));
  }
  /**
   * returns the part index for the specified valuePercentage. The valuePercentage must be in the range [0,1].
   */
  _getPartForValue(valuePercentage) {
    let part = Math.floor(valuePercentage * this.parts);
    return this._limitValue(part, this.parts - 1);
  }
  /**
   * Formats the speedo-values in a compact way:
   * 0 - 999: as is
   * 1 to 9'999: as is, with grouping separators
   * 10 to 999 thousand: 123k
   * >= 1 million: millions with max. two fraction digits -> 1.23M
   */
  _formatValue(value) {
    if (value < SpeedoChartRenderer.TEN_THOUSAND) {
      return this.session.locale.decimalFormat.format(value);
    }
    if (value < SpeedoChartRenderer.ONE_MILLION) {
      return Math.floor(value / SpeedoChartRenderer.ONE_THOUSAND) + 'k';
    }
    let millions = value / SpeedoChartRenderer.ONE_MILLION;
    millions = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.numbers.round(millions, _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.RoundingMode.HALF_UP, 2);
    return this.session.locale.decimalFormat.format(millions) + 'M';
  }
  /**
   * Updates the pointer position to point to the specified valuePercentage in range [0,1].
   */
  _updatePointer(valuePercentage) {
    this.$pointer.attr('d', this._pathPointer(valuePercentage)).removeClass('red yellow light-green dark-green').addClass(this._getColorForPart(this._getPartForValue(valuePercentage)));
  }
  /**
   * Updates the filling of the 'filled' segments to be filled up to the specified valuePercentage in range [0,1].
   */
  _updatePartsFill(valuePercentage) {
    let from, to;
    for (let part = 0; part < this.$filledParts.length; part++) {
      from = this._calcSegmentPos(0, part).from;
      if ((part + 1) / this.parts < valuePercentage) {
        // the current part is smaller than the value: completely filled part
        to = this._calcSegmentPos(this.numSegmentsPerPart - 1, part).to;
      } else if (part / this.parts > valuePercentage) {
        // the current part is bigger than the speedo-value: hide element
        from = SpeedoChartRenderer.ARC_MIN;
        to = SpeedoChartRenderer.ARC_MIN;
      } else {
        // the value is within the current part
        to = SpeedoChartRenderer.ARC_RANGE * valuePercentage - SpeedoChartRenderer.ARC_MAX; // fill part exactly to the value
      }
      this.$filledParts[part].attr('d', this._pathSegment(from, to));
    }
  }
  /**
   * Calculates the positions (from, to) of a single segment line.
   * @param segmentIndexInPart the index of the segment line within the part.
   * @param part the part index.
   */
  _calcSegmentPos(segmentIndexInPart, part) {
    let result = {
      from: 0,
      to: 0
    };
    let segmentNum = segmentIndexInPart + part * this.numSegmentsPerPart;
    result.from = segmentNum * this.widthOfSegmentWithGap - SpeedoChartRenderer.ARC_MAX;
    result.to = result.from + this.segmentWidth;
    return result;
  }
  _getColorForPart(part) {
    let position = this.chart.config.options.speedo.greenAreaPosition;
    switch (position) {
      case SpeedoChartRenderer.Position.LEFT:
        // only four parts
        if (part === 0) {
          return 'dark-green';
        } else if (part === 1) {
          return 'light-green';
        } else if (part === 2) {
          return 'yellow';
        } else if (part === 3) {
          return 'red';
        }
        break;
      case SpeedoChartRenderer.Position.RIGHT:
        // only four parts
        if (part === 0) {
          return 'red';
        } else if (part === 1) {
          return 'yellow';
        } else if (part === 2) {
          return 'light-green';
        } else if (part === 3) {
          return 'dark-green';
        }
        break;
      case SpeedoChartRenderer.Position.CENTER:
        if (part === 0) {
          return 'red';
        } else if (part === 1) {
          return 'yellow';
        } else if (part === 2) {
          return 'light-green';
        } else if (part === 3) {
          return 'dark-green';
        } else if (part === 4) {
          return 'light-green';
        } else if (part === 5) {
          return 'yellow';
        } else if (part === 6) {
          return 'red';
        }
        break;
      default:
        break;
    }
  }
  /**
   * calculates the path-values to be used in the 'd' attribute of the path tag for a segment.
   */
  _pathSegment(start, end) {
    let s = start * 2 * Math.PI,
      e = end * 2 * Math.PI,
      pathString = '';
    pathString += 'M ' + (this.chartBox.mX() + this.r * Math.sin(s)) + ' ' + (this.my - this.r * Math.cos(s)) + ' ';
    // http://www.w3.org/TR/SVG/paths.html#PathDataEllipticalArcCommands
    // A rx ry
    //   x-axis-rotation large-arc-flag sweep-flag
    //   x y
    pathString += 'A ' + this.r + ' ' + this.r + ' ';
    pathString += '0 ' + (end - start < 0.5 ? '0' : '1') + ' 1 ';
    pathString += this.chartBox.mX() + this.r * Math.sin(e) + ' ' + (this.my - this.r * Math.cos(e));
    return pathString;
  }
  /**
   * calculates the path-values to be used in the 'd' attribute of the path tag for the pointer
   */
  _pathPointer(valuePercentage) {
    let point = SpeedoChartRenderer.ARC_RANGE * valuePercentage - SpeedoChartRenderer.ARC_MAX;
    let s = point * 2 * Math.PI,
      pointerOuterR = this.r - 1.4 * this.scaleWeight,
      pointerInnerR = this.r + 1.37 * this.scaleWeight,
      pathString = '';
    pathString += 'M ' + (this.chartBox.mX() + pointerInnerR * Math.sin(s)) + ' ' + (this.my - pointerInnerR * Math.cos(s)) + ' ';
    pathString += 'L ' + (this.chartBox.mX() + pointerOuterR * Math.sin(s)) + ' ' + (this.my - pointerOuterR * Math.cos(s)) + ' ';
    pathString += 'Z';
    return pathString;
  }
  _removeAnimated(afterRemoveFunc) {
    if (this.animationTriggered) {
      return;
    }
    let that = this,
      tweenOut = function (now, fx) {
        let val = this.getAttribute('data-end') * (1 - fx.pos);
        that._updatePointer(val);
        that._updatePartsFill(val);
      };
    this.animationTriggered = true;
    this.$svg.children(this.segmentSelectorForAnimation).animate({
      tabIndex: 0
    }, this._createAnimationObjectWithTabIndexRemoval(tweenOut)).promise().done(() => {
      this._remove(afterRemoveFunc);
      this.animationTriggered = false;
    });
  }
}
_SpeedoChartRenderer = SpeedoChartRenderer;
_defineProperty(SpeedoChartRenderer, "Position", {
  LEFT: 'left',
  CENTER: 'center',
  RIGHT: 'right'
});
_defineProperty(SpeedoChartRenderer, "NUM_PARTS_GREEN_CENTER", 7);
_defineProperty(SpeedoChartRenderer, "NUM_PARTS_GREEN_EDGE", 4);
_defineProperty(SpeedoChartRenderer, "ONE_THOUSAND", 1000);
_defineProperty(SpeedoChartRenderer, "TEN_THOUSAND", 10000);
_defineProperty(SpeedoChartRenderer, "ONE_MILLION", 1000000);
_defineProperty(SpeedoChartRenderer, "ARC_MIN", -0.25);
_defineProperty(SpeedoChartRenderer, "ARC_MAX", 0.25);
_defineProperty(SpeedoChartRenderer, "ARC_RANGE", _SpeedoChartRenderer.ARC_MAX - _SpeedoChartRenderer.ARC_MIN);
_defineProperty(SpeedoChartRenderer, "SEGMENT_GAP", 0.0103);

/***/ }),

/***/ "./src/chart/VennAsync3Calculator.ts":
/*!*******************************************!*\
  !*** ./src/chart/VennAsync3Calculator.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   VennAsync3Calculator: () => (/* binding */ VennAsync3Calculator)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
class VennAsync3Calculator {
  constructor(helper, venn1, venn2, venn3, u, v, w, uv, uw, vw, uvw, d12, d13, d23) {
    _defineProperty(this, "helper", void 0);
    _defineProperty(this, "venn1", void 0);
    _defineProperty(this, "venn2", void 0);
    _defineProperty(this, "venn3", void 0);
    _defineProperty(this, "u", void 0);
    _defineProperty(this, "v", void 0);
    _defineProperty(this, "w", void 0);
    _defineProperty(this, "uv", void 0);
    _defineProperty(this, "uw", void 0);
    _defineProperty(this, "vw", void 0);
    _defineProperty(this, "uvw", void 0);
    _defineProperty(this, "maxD", void 0);
    _defineProperty(this, "dStep", void 0);
    _defineProperty(this, "rStep", void 0);
    _defineProperty(this, "alphaStep", void 0);
    _defineProperty(this, "alphaBest", void 0);
    _defineProperty(this, "dBest", void 0);
    _defineProperty(this, "rBest", void 0);
    _defineProperty(this, "errorBest", void 0);
    _defineProperty(this, "callback", void 0);
    _defineProperty(this, "cancelled", void 0);
    // if circles are empty, they are drawn as small circle, so: adjust u v w to find better errors
    if (u === 0 && uv === 0 && uw === 0 && uvw === 0) {
      u = 1;
    }
    if (v === 0 && uv === 0 && vw === 0 && uvw === 0) {
      v = 1;
    }
    if (w === 0 && uw === 0 && vw === 0 && uvw === 0) {
      w = 1;
    }
    this.helper = helper;
    this.venn1 = venn1;
    this.venn2 = venn2;
    this.venn3 = venn3;
    this.u = u;
    this.v = v;
    this.w = w;
    this.uv = uv;
    this.uw = uw;
    this.vw = vw;
    this.uvw = uvw;
    /** step and ranges for loops */
    this.maxD = this.venn1.r + 2 * this.venn2.r + 2 * this.venn1.r + this.helper.distR;
    this.dStep = this.maxD / 30;
    this.rStep = venn3.r / 4;
    this.alphaStep = Math.PI / 30;
    /** best vars (initialize with 0 so the optimizer knows that they are numbers) */
    this.alphaBest = 0;
    this.dBest = 0;
    this.rBest = 0;
    this.errorBest = 0;
    this.callback = null;
    this.cancelled = false;
  }
  start(callback) {
    this.callback = callback;
    setTimeout(this._next.bind(this, 0));
  }
  cancel() {
    this.cancelled = true;
  }
  _end() {
    // set  x and y and r of  venn3
    this.venn3.x = this.venn1.x + this.dBest * Math.cos(this.alphaBest);
    this.venn3.y = this.venn1.y - this.dBest * Math.sin(this.alphaBest);
    this.venn3.r = this.rBest;
    this.callback();
  }
  _next(alpha) {
    if (!this.cancelled) {
      // iterate
      this._iteration(alpha);
    }
    if (this.cancelled) {
      return; // stop loop if interrupted
    }
    alpha += this.alphaStep;
    if (alpha < Math.PI) {
      // schedule next loop iteration
      setTimeout(this._next.bind(this, alpha));
    } else {
      // end loop
      this._end();
    }
  }
  _iteration(alpha) {
    // optimize speed: no var lookup (should help the optimizer in general, and IE in particular)
    let maxD = this.maxD,
      dStep = this.dStep,
      minR = this.helper.minR,
      rStep = this.rStep,
      total = this.helper.total,
      x1 = this.venn1.x,
      y1 = this.venn1.y,
      r1 = this.venn1.r,
      x2 = this.venn2.x,
      y2 = this.venn2.y,
      r2 = this.venn2.r,
      r3 = this.venn3.r,
      u = this.u,
      v = this.v,
      w = this.w,
      uv = this.uv,
      uw = this.uw,
      vw = this.vw,
      uvw = this.uvw,
      alphaBest = this.alphaBest,
      dBest = this.dBest,
      rBest = this.rBest,
      errorBest = this.errorBest;
    for (let d = 0; d < maxD; d += dStep) {
      // calc x, y
      let x = x1 + d * Math.cos(alpha);
      let y = y1 - d * Math.sin(alpha);
      for (let r = Math.max(minR, r3 * 0.75); r <= r3 * 1.25; r += rStep) {
        // find areas with monte carlo, do not laugh! i tried even this:
        // http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.507.1195&rep=rep1&type=pdf
        let minX = Math.min(x1 - r1, x2 - r2, x - r);
        let maxX = Math.max(x1 + r1, x2 + r2, x + r);
        let minY = Math.min(y1 - r1, y2 - r2, y - r);
        let maxY = Math.max(y1 + r1, y2 + r2, y + r);
        let stepX = (maxX - minX) / 100;
        let stepY = (maxY - minY) / 100;
        // areas of venn
        let a1 = 0,
          a2 = 0,
          a3 = 0,
          a12 = 0,
          a13 = 0,
          a23 = 0,
          a123 = 0;
        for (let testX = minX; testX < maxX; testX += stepX) {
          for (let testY = minY; testY < maxY; testY += stepY) {
            // optimize speed for ie: no function call
            let t1 = (testX - x1) * (testX - x1) + (testY - y1) * (testY - y1) < r1 * r1;
            let t2 = (testX - x2) * (testX - x2) + (testY - y2) * (testY - y2) < r2 * r2;
            let t3 = (testX - x) * (testX - x) + (testY - y) * (testY - y) < r * r;
            // check if inside
            if (t1 && t2 && t3) {
              a123++;
            } else if (t1 && t2 && !t3) {
              a12++;
            } else if (t1 && !t2 && !t3) {
              a1++;
            } else if (!t1 && t2 && !t3) {
              a2++;
            } else if (t1 && !t2 && t3) {
              a13++;
            } else if (!t1 && t2 && t3) {
              a23++;
            } else if (!t1 && !t2 && t3) {
              a3++;
            }
          }
        }
        let aTotal = a1 + a2 + a3 + a12 + a13 + a23 + a123;
        // calc error
        let error = d / maxD;
        error += this._error(uvw, total, a123, aTotal);
        error += this._error(uv, total, a12, aTotal);
        error += this._error(uw, total, a13, aTotal);
        error += this._error(vw, total, a23, aTotal);
        error += this._error(u, total, a1, aTotal);
        error += this._error(v, total, a2, aTotal);
        error += this._error(w, total, a3, aTotal);
        // better than before?
        if (alpha === 0 || error < errorBest) {
          alphaBest = alpha;
          dBest = d;
          rBest = r;
          errorBest = error;
        }
      }
    }
    this.alphaBest = alphaBest;
    this.dBest = dBest;
    this.rBest = rBest;
    this.errorBest = errorBest;
  }
  _error(u, total, a, aTotal) {
    // be brutal if basic error
    if (u === 0 && a !== 0 || u !== 0 && a === 0) {
      return 1000;
    }
    return Math.abs(u / total - a / aTotal) * 100;
  }
}

/***/ }),

/***/ "./src/chart/VennChartRenderer.ts":
/*!****************************************!*\
  !*** ./src/chart/VennChartRenderer.ts ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   VennChartRenderer: () => (/* binding */ VennChartRenderer)
/* harmony export */ });
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */



class VennChartRenderer extends _index__WEBPACK_IMPORTED_MODULE_0__.AbstractSvgChartRenderer {
  constructor(chart) {
    super(chart);
    _defineProperty(this, "animationTriggered", void 0);
    _defineProperty(this, "data", void 0);
    _defineProperty(this, "centerX", void 0);
    _defineProperty(this, "centerY", void 0);
    _defineProperty(this, "numberOfCircles", void 0);
    _defineProperty(this, "readyToDraw", void 0);
    _defineProperty(this, "wasCircle", void 0);
    _defineProperty(this, "vennCircleHelper", void 0);
    _defineProperty(this, "async3Calculator", void 0);
    _defineProperty(this, "vennNumber1", void 0);
    _defineProperty(this, "vennReal1", void 0);
    _defineProperty(this, "vennNumber2", void 0);
    _defineProperty(this, "vennReal2", void 0);
    _defineProperty(this, "vennNumber3", void 0);
    _defineProperty(this, "vennReal3", void 0);
    _defineProperty(this, "$v1", void 0);
    _defineProperty(this, "$v2", void 0);
    _defineProperty(this, "$v3", void 0);
    this.animationTriggered = false;
    this.suppressLegendBox = true;
    let defaultConfig = {
      options: {
        venn: {
          numberOfCircles: undefined
        }
      }
    };
    chart.config = jquery__WEBPACK_IMPORTED_MODULE_1___default().extend(true, {}, defaultConfig, chart.config);
  }
  _validate() {
    let chartData = this.chart.data;
    if (!chartData || chartData.axes.length !== 0 || chartData.chartValueGroups.length === 0 || chartData.chartValueGroups[0].values.length === 0) {
      return false;
    }
    return true;
  }
  _renderInternal() {
    this.centerX = this.width / 2;
    this.centerY = this.height / 2;
    if (this.centerX === 0 || this.centerY === 0) {
      return;
    }
    // basic values
    this.data = this.chart.data.chartValueGroups;
    this.numberOfCircles = this.chart.config.options.venn.numberOfCircles;
    // render parameter
    let distR = 10,
      maxR = Math.min(this.centerX, this.centerY),
      minR = maxR / 15,
      total = this.data.reduce((s, e) => {
        return s + e.values[0];
      }, 1);
    this.vennCircleHelper = new _index__WEBPACK_IMPORTED_MODULE_0__.VennCircleHelper(distR, maxR, minR, total);
    // create svg elements and venns
    if (this.numberOfCircles > 0) {
      this.$v1 = this._createCircle(0, _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.ensure(this.data[0].colorHexValue)[0], this.data[0].cssClass);
      this.vennNumber1 = new _index__WEBPACK_IMPORTED_MODULE_0__.VennCircle(this.$v1);
      this.vennReal1 = new _index__WEBPACK_IMPORTED_MODULE_0__.VennCircle(this.$v1);
    }
    if (this.numberOfCircles > 1) {
      this.$v2 = this._createCircle(1, _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.ensure(this.data[1].colorHexValue)[0], this.data[1].cssClass);
      this.vennNumber2 = new _index__WEBPACK_IMPORTED_MODULE_0__.VennCircle(this.$v2);
      this.vennReal2 = new _index__WEBPACK_IMPORTED_MODULE_0__.VennCircle(this.$v2);
    }
    if (this.numberOfCircles > 2) {
      this.$v3 = this._createCircle(2, _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_2__.arrays.ensure(this.data[2].colorHexValue)[0], this.data[2].cssClass);
      this.vennNumber3 = new _index__WEBPACK_IMPORTED_MODULE_0__.VennCircle(this.$v3);
      this.vennReal3 = new _index__WEBPACK_IMPORTED_MODULE_0__.VennCircle(this.$v3);
    }
    // Final callback
    // In the case of 3 circles, draw will be called async after render is completed. Therefore, the current animationDuration needs to be set again when _draw is finally called.
    const animationDurationRender = this.animationDuration;
    let draw = function () {
      this.readyToDraw = true;
      if (!this.$svg.isAttached()) {
        // user navigated away. do not try to render-> error
        return;
      }
      this.readyToDraw = false;
      const animationDuration = this.animationDuration;
      this.setAnimationDuration(animationDurationRender);
      this._draw(true, true);
      this.setAnimationDuration(animationDuration);
    }.bind(this);
    // save callback if user navigated away while calculating and _draw is not executed.
    this.readyToDraw = false;
    // calc venns and set legend
    if (this.numberOfCircles === 1) {
      this._calc1(this.vennNumber1);
      this._calc1(this.vennReal1);
      draw();
    } else if (this.numberOfCircles === 2) {
      this._calc2(this.vennNumber1, this.vennNumber2, false);
      this._calc2(this.vennReal1, this.vennReal2, true);
      draw();
    } else if (this.numberOfCircles === 3) {
      this._calc3(this.vennNumber1, this.vennNumber2, this.vennNumber3, false, () => {
        if (this.rendering || this.rendered) {
          this._calc3(this.vennReal1, this.vennReal2, this.vennReal3, true, draw);
        }
      });
    }
  }
  remove() {
    let requestAnimation = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
    let afterRemoveFunc = arguments.length > 1 ? arguments[1] : undefined;
    this._cancelAsync3Calculator();
    super.remove(requestAnimation, afterRemoveFunc);
  }
  // calculation
  _calc1(v1) {
    // set basic data
    let a = this.data[0].values[0];
    // calc sizes
    if (a > 0) {
      v1.r = this.vennCircleHelper.calcR(a, 0.8);
    } else {
      v1.r = this.vennCircleHelper.calcR(a, 0);
    }
    v1.x = 0;
    v1.y = 0;
    // place legend and label
    v1.setLegend(this.data[0].groupName, 1, -1);
    v1.addLabel(a, v1.x, v1.y);
  }
  _calc2(v1, v2, real) {
    // set basic data
    let a = this.data[0].values[0];
    let b = this.data[1].values[0];
    let ab = this.data[2].values[0];
    let d12;
    if (real) {
      // basics calculation
      v1.r = this.vennCircleHelper.calcR(a + ab, 0.8);
      v2.r = this.vennCircleHelper.calcR(b + ab, 0.8);
      d12 = this.vennCircleHelper.calcD(v1, v2, a, b, ab, true);
      // calc x
      v1.x = 0;
      v2.x = d12;
    } else {
      // eslint-disable-next-line no-multi-assign
      v1.r = v2.r = this.vennCircleHelper.calcR(-1, 0.7);
      v1.x = -v1.r * 0.6;
      v2.x = v2.r * 0.6;
    }
    // calc y ;)
    v1.y = 0;
    v2.y = 0;
    // balance circles
    this.vennCircleHelper.findBalance2(v1, v2);
    // prepare legend
    v1.setLegend(this.data[0].groupName, -1, -1);
    v2.setLegend(this.data[1].groupName, 1, -1);
    // draw labels, and fix legend
    if (real) {
      if (ab === 0) {
        v1.addLabel(a, v1.x, v1.y);
        v2.addLabel(b, v2.x, v2.y);
      } else if (a === 0 && b === 0) {
        v1.addLabel(ab, v1.x, v1.y);
      } else if (a === 0) {
        v2.addLabel(ab, v1.x, v1.y);
        v2.addLabel(b, v2.x - (d12 - v2.r - v1.r) / 2, v2.y);
        v1.legendR = v2.r - d12;
      } else if (b === 0) {
        v1.addLabel(ab, v2.x, v2.y);
        v1.addLabel(a, v1.x + (d12 - v2.r - v1.r) / 2, v1.y);
        v2.legendR = v1.r - d12;
      } else {
        v1.addLabel(a, v1.x + (d12 - v2.r - v1.r) / 2, v1.y);
        v1.addLabel(b, v2.x - (d12 - v2.r - v1.r) / 2, v2.y);
        v2.addLabel(ab, v1.x + v1.r + (d12 - v2.r - v1.r) / 2, v1.y);
      }
    } else {
      v1.addLabel(a, -v1.r * 0.9, 0);
      v1.addLabel(b, v1.r * 0.9, 0);
      v2.addLabel(ab, 0, 0);
    }
  }
  _calc3(v1, v2, v3, real, callback) {
    // set basic data
    let a = this.data[0].values[0];
    let b = this.data[1].values[0];
    let c = this.data[2].values[0];
    let ab = this.data[3].values[0];
    let ac = this.data[4].values[0];
    let bc = this.data[5].values[0];
    let abc = this.data[6].values[0];
    let d12, d13, d23;
    // calc sizes
    if (real) {
      // basics calculation
      v1.r = this.vennCircleHelper.calcR(a + ab + ac + abc, 0.55);
      v2.r = this.vennCircleHelper.calcR(b + ab + bc + abc, 0.55);
      v3.r = this.vennCircleHelper.calcR(c + ac + bc + abc, 0.55);
      // find distance between a; may reduce r
      d12 = this.vennCircleHelper.calcD(v1, v2, a + ac, b + bc, ab + abc, true);
      d13 = this.vennCircleHelper.calcD(v1, v3, a + ab, c + bc, ab + abc, false);
      d23 = this.vennCircleHelper.calcD(v2, v3, b + ab, c + ac, ab + abc, false);
      // find coordinates of a and b
      v1.x = 0;
      v2.x = d12;
      v3.x = d13;
      v1.y = 0;
      v2.y = 0;
      v3.y = 0;
      // c is much more difficult..., only changes v3
      this._cancelAsync3Calculator();
      this.async3Calculator = new _index__WEBPACK_IMPORTED_MODULE_0__.VennAsync3Calculator(this.vennCircleHelper, v1, v2, v3, a, b, c, ab, ac, bc, abc, d12, d13, d23);
      this.async3Calculator.start(() => {
        this.async3Calculator = null;
        // balance circles
        this.vennCircleHelper.findBalance3(v1, v2, v3);
        // prepare legend
        v1.setLegend(this.data[0].groupName, -1, 1);
        v2.setLegend(this.data[1].groupName, 1, 1);
        v3.setLegend(this.data[2].groupName, 1, -1);
        callback();
      });
    } else {
      // draw label
      // eslint-disable-next-line no-multi-assign
      v1.r = v2.r = v3.r = this.vennCircleHelper.calcR(-1, 0.55);
      v1.x = -v1.r * 0.73;
      v2.x = v2.r * 0.73;
      v3.x = 0;
      v1.y = v1.r * 0.58;
      v2.y = v2.r * 0.58;
      v3.y = -v3.r * 0.58;
      // prepare legend
      v1.setLegend(this.data[0].groupName, -1, 1);
      v2.setLegend(this.data[1].groupName, 1, 1);
      v3.setLegend(this.data[2].groupName, 1, -1);
      v1.addLabel(a, -v1.r, v1.r * 0.76);
      v2.addLabel(b, v1.r, v1.r * 0.76);
      v3.addLabel(c, 0, -v1.r * 0.82);
      v1.addLabel(ab, 0, v1.r * 0.76);
      v1.addLabel(ac, -v1.r * 0.49, -v1.r * 0.05);
      v2.addLabel(bc, v1.r * 0.49, -v1.r * 0.05);
      v1.addLabel(abc, 0, v1.r * 0.22);
      callback();
    }
  }
  _cancelAsync3Calculator() {
    if (this.async3Calculator) {
      this.async3Calculator.cancel();
      this.async3Calculator = null;
    }
  }
  // drawing
  _draw(animated, real) {
    if (!this.rendered && !this.rendering) {
      // additional check, because this method might be called from a setTimeout()
      return;
    }
    if (this.animationTriggered) {
      return;
    }
    this.animationTriggered = true;
    // remove labels and legends
    let that = this;
    this.$svg.children('.venn-legend, .venn-label, .venn-axis-white, .label-line').stop().animateSVG('opacity', 1, 0, null, true).promise().done(function () {
      this.remove();
      that.animationTriggered = false;
    });
    // find venns we will update
    let showVenn = [];
    if (this.numberOfCircles > 0) {
      showVenn.push(real ? this.vennReal1 : this.vennNumber1);
    }
    if (this.numberOfCircles > 1) {
      showVenn.push(real ? this.vennReal2 : this.vennNumber2);
    }
    if (this.numberOfCircles > 2) {
      showVenn.push(real ? this.vennReal3 : this.vennNumber3);
    }
    // update venn and draw labels
    for (let i = 0; i < showVenn.length; i++) {
      let venn = showVenn[i];
      this._updateVenn(venn, animated);
      for (let j = 0; j < venn.labels.length; j++) {
        let label = venn.labels[j];
        this._drawLabel(label.text, label.x, label.y, animated);
      }
    }
  }
  // handling of circles
  _createCircle(circleIndex, color, cssClass) {
    let $circle = this.$svg.appendSVG('circle', 'venn-circle').attr('cx', this.centerX).attr('cy', this.centerY).attr('r', 0).on('mouseenter', {
      showReal: false
    }, this._show.bind(this)).on('mouseleave', {
      showReal: true
    }, this._show.bind(this));
    if (this.chart.config.options.autoColor) {
      $circle.addClass('auto-color color0');
    } else if (cssClass) {
      $circle.addClass(cssClass);
    } else {
      $circle.attr('fill', color);
    }
    if (this.chart.config.options.clickable) {
      $circle.on('click', this._createClickObject(null, circleIndex), e => this.chart.handleValueClick(e.data));
    }
    return $circle;
  }
  // handling of venn, label and legend
  _updateVenn(venn, animated) {
    // move circle
    venn.$circle.animateSVG('cx', this.centerX + venn.x, animated ? this.animationDuration : 0, null, true).animateSVG('cy', this.centerY + venn.y, animated ? this.animationDuration : 0, null, true).animateSVG('r', venn.r, animated ? this.animationDuration : 0, null, true);
    // set up position legend
    let minR = this.vennCircleHelper.minR,
      x1 = this.centerX + venn.x + venn.legendH * Math.sin(Math.PI / 5) * venn.r,
      y1 = this.centerY + venn.y + venn.legendV * Math.cos(Math.PI / 5) * venn.r,
      x2 = this.centerX + venn.x + venn.legendH * Math.sin(Math.PI / 5) * (venn.legendR + minR * 1.5),
      y2 = this.centerY + venn.y + venn.legendV * Math.cos(Math.PI / 5) * (venn.legendR + minR * 1.5);
    let legendPositions = {
      x1: x1,
      x2: x2,
      y1: y1,
      y2: y2,
      v: venn.legendV,
      h: venn.legendH
    };
    this._renderWireLegend(venn.legend, legendPositions, 'venn-legend');
  }
  _drawLabel(text, dx, dy, animated) {
    // draw label
    let $label = this.$svg.appendSVG('text', 'venn-label').attr('x', this.centerX + dx).attr('y', this.centerY + dy).text(text);
    // animate if needed
    if (animated && this.animationDuration) {
      $label.attr('opacity', 0).animateSVG('opacity', 1, this.animationDuration, null, true);
    }
  }
  // handling of show/hide numbers
  _show(event) {
    if (this.numberOfCircles === 1) {
      return; // Nothing to do for only one circle
    }
    // target contains element that is entered, relatedTarget contains element that is left
    let toElement = event.type === 'mouseenter' ? event.target : event.relatedTarget;
    // check if true enter or just from one circle to another
    let isCircle = toElement && jquery__WEBPACK_IMPORTED_MODULE_1___default()(toElement).hasClass('venn-circle');
    if (this.wasCircle && isCircle) {
      return;
    }
    this.wasCircle = isCircle;
    // draw animated in every case
    this._draw(true, event.data.showReal);
  }
}

/***/ }),

/***/ "./src/chart/VennCircle.ts":
/*!*********************************!*\
  !*** ./src/chart/VennCircle.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   VennCircle: () => (/* binding */ VennCircle)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */
class VennCircle {
  constructor($circle) {
    _defineProperty(this, "labels", void 0);
    _defineProperty(this, "$circle", void 0);
    _defineProperty(this, "x", void 0);
    _defineProperty(this, "y", void 0);
    _defineProperty(this, "r", void 0);
    _defineProperty(this, "legend", void 0);
    _defineProperty(this, "legendR", void 0);
    _defineProperty(this, "legendH", void 0);
    _defineProperty(this, "legendV", void 0);
    this.$circle = $circle;
    this.labels = [];
  }
  setLegend(legend, horizontal, vertical, r) {
    this.legend = legend;
    this.legendH = horizontal;
    this.legendV = vertical;
    this.legendR = r || this.r;
  }
  addLabel(text, x, y) {
    this.labels.push({
      text: text,
      x: x,
      y: y
    });
  }
}

/***/ }),

/***/ "./src/chart/VennCircleHelper.ts":
/*!***************************************!*\
  !*** ./src/chart/VennCircleHelper.ts ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   VennCircleHelper: () => (/* binding */ VennCircleHelper)
/* harmony export */ });
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
class VennCircleHelper {
  constructor(distR, maxR, minR, total) {
    _defineProperty(this, "distR", void 0);
    _defineProperty(this, "maxR", void 0);
    _defineProperty(this, "minR", void 0);
    _defineProperty(this, "total", void 0);
    this.distR = distR;
    this.maxR = maxR;
    this.minR = minR;
    this.total = total;
  }
  findBalance2(venn1, venn2) {
    // find center
    let midX = (venn1.r * venn1.x + venn2.r * venn2.x) / (venn1.r + venn2.r);
    let midY = (venn1.r * venn1.y + venn2.r * venn2.y) / (venn1.r + venn2.r);
    // move to center
    venn1.x = venn1.x - midX;
    venn2.x = venn2.x - midX;
    venn1.y = venn1.y - midY;
    venn2.y = venn2.y - midY;
  }
  findBalance3(venn1, venn2, venn3) {
    // find center
    let midX = (venn1.r * venn1.x + venn2.r * venn2.x + venn3.r * venn3.x) / (venn1.r + venn2.r + venn3.r);
    let midY = (venn1.r * venn1.y + venn2.r * venn2.y + venn3.r * venn3.y) / (venn1.r + venn2.r + venn3.r);
    // move to center
    venn1.x = venn1.x - midX;
    venn2.x = venn2.x - midX;
    venn3.x = venn3.x - midX;
    venn1.y = venn1.y - midY;
    venn2.y = venn2.y - midY;
    venn3.y = venn3.y - midY;
  }
  calcR(count, factorMax) {
    if (count === -1) {
      return this.maxR * factorMax;
    }
    return Math.max(this.minR, Math.sqrt(count / this.total) * this.maxR * factorMax);
  }
  calcD(venn1, venn2, u, v, uv, changeR) {
    let ret;
    if (uv === 0) {
      // separated circles
      ret = venn1.r + venn2.r + this.distR * 2;
    } else if (u === 0 && v === 0) {
      // same circle
      ret = 0;
    } else if (u === 0) {
      // a part of b
      ret = Math.max(0, venn2.r - venn1.r - this.distR);
      // check if inner circle is to large
      if (ret < 1.5 * this.distR && changeR) {
        ret = 1.5 * this.distR;
        venn1.r = venn2.r - ret;
      }
    } else if (v === 0) {
      // b part of a
      ret = Math.max(0, venn1.r - venn2.r - this.distR);
      // check if inner circle is to large
      if (ret < 1.5 * this.distR && changeR) {
        ret = 1.5 * this.distR;
        venn2.r = venn1.r - ret;
      }
    } else {
      //  this is pure magic ;) please do not touch!
      let ri = Math.min(venn1.r, venn2.r);
      let ra = Math.max(venn1.r, venn2.r);
      let q = Math.min(u, v) / (Math.min(u, v) + uv);
      // unfortunately, there is no closed solution for cricles, so handle as squares
      ret = 2 * q * ri - ri + ra;
      // check and fix
      ret = Math.max(3 * this.distR, ret);
      ret = Math.min(ri + ra - 3 * this.distR, ret);
      ret = Math.max(ra - ri + 3 * this.distR, ret);
    }
    return ret;
  }
}

/***/ }),

/***/ "./src/chart/chartJsDateAdapter.ts":
/*!*****************************************!*\
  !*** ./src/chart/chartJsDateAdapter.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   chartJsDateAdapter: () => (/* binding */ chartJsDateAdapter)
/* harmony export */ });
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__);

const chartJsDateAdapter = {
  getAdapter(session) {
    return {
      formats: () => _getFormats(session.locale),
      parse: (value, format) => {
        if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(value)) {
          return null;
        }
        if (value instanceof Date) {
          return value.getTime();
        }
        if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.objects.isString(value)) {
          if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.objects.isString(format) && _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(format)) {
            let dateFormat = new _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.DateFormat(session.locale, format);
            value = dateFormat.parse(value);
            return value instanceof Date ? value.getTime() : null;
          }
          value = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.parseJsonDate(value);
          return value instanceof Date ? value.getTime() : null;
        }
        return null;
      },
      format: (timestamp, format) => {
        if (format === 'quarter') {
          // Quarters are not supported by DateFormat, but Chart.js anyway never uses this time unit for formatting by default, because it is not very common.
          // See the function "determineUnitForFormatting" in scale.time.js for more details. Therefore, we refrain from supporting this here.
          throw new Error('The time unit "quarter" is not supported for formatting.');
        }
        return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.format(new Date(timestamp), session.locale, format);
      },
      add: (timestamp, amount, unit) => {
        let date = new Date(timestamp);
        switch (unit) {
          case 'millisecond':
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.shiftTime(date, 0, 0, 0, amount).getTime();
          case 'second':
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.shiftTime(date, 0, 0, amount, 0).getTime();
          case 'minute':
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.shiftTime(date, 0, amount, 0, 0).getTime();
          case 'hour':
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.shiftTime(date, amount, 0, 0, 0).getTime();
          case 'day':
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.shift(date, 0, 0, amount).getTime();
          case 'week':
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.shift(date, 0, 0, amount * 7).getTime();
          case 'month':
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.shift(date, 0, amount, 0).getTime();
          case 'quarter':
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.shift(date, 0, amount * 3, 0).getTime();
          case 'year':
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.shift(date, amount, 0, 0).getTime();
          default:
            return timestamp;
        }
      },
      diff: (a, b, unit) => {
        switch (unit) {
          case 'millisecond':
            return a - b;
          case 'second':
            return (a - b) / 1000;
          case 'minute':
            return (a - b) / 1000 / 60;
          case 'hour':
            return (a - b) / 1000 / 60 / 60;
          case 'day':
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.compareDays(new Date(a), new Date(b));
          case 'week':
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.compareDays(new Date(a), new Date(b)) / 7;
          case 'month':
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.compareMonths(new Date(a), new Date(b));
          case 'quarter':
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.compareMonths(new Date(a), new Date(b)) / 3;
          case 'year':
            return new Date(a).getFullYear() - new Date(b).getFullYear();
          default:
            return 0;
        }
      },
      startOf: (timestamp, unit, weekday) => {
        let date = new Date(timestamp);
        switch (unit) {
          case 'second':
            return date.setMilliseconds(0);
          case 'minute':
            return date.setSeconds(0, 0);
          case 'hour':
            return date.setMinutes(0, 0, 0);
          case 'day':
            return date.setHours(0, 0, 0, 0);
          case 'week':
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.firstDayOfWeek(date, 0).getTime();
          case 'isoWeek':
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.firstDayOfWeek(date, weekday).getTime();
          case 'month':
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(date).setDate(0);
          case 'quarter':
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(date).setMonth(date.getMonth() % 4, 1);
          case 'year':
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.trunc(date).setMonth(0, 1);
          default:
            return timestamp;
        }
      },
      endOf: (timestamp, unit) => {
        let date = new Date(timestamp);
        switch (unit) {
          case 'second':
            return date.setMilliseconds(999);
          case 'minute':
            return date.setSeconds(59, 999);
          case 'hour':
            return date.setMinutes(59, 59, 999);
          case 'day':
            return date.setHours(23, 59, 59, 999);
          case 'week':
            {
              date.setHours(23, 59, 59, 999);
              let firstDayOfWeek = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.firstDayOfWeek(date, 0);
              return firstDayOfWeek.setDate(firstDayOfWeek.getDate() + 7);
            }
          case 'month':
            {
              date.setHours(23, 59, 59, 999);
              return date.setDate(_getNumberOfDays(date.getMonth(), date.getFullYear()));
            }
          case 'quarter':
            {
              date.setHours(23, 59, 59, 999);
              let endOfQuarterMonth = date.getMonth() % 4 + 2;
              return date.setMonth(endOfQuarterMonth, _getNumberOfDays(endOfQuarterMonth, date.getFullYear()));
            }
          case 'year':
            {
              date.setHours(23, 59, 59, 999);
              return date.setMonth(11, 31);
            }
          default:
            return timestamp;
        }
      }
    };
  }
};
function _getFormats(locale) {
  return {
    datetime: locale.dateFormatPatternDefault + ' ' + locale.timeFormatPatternDefault,
    millisecond: 'HH:mm:ss.SSS',
    second: 'HH:mm:ss',
    minute: locale.timeFormatPatternDefault,
    hour: locale.timeFormatPatternDefault,
    day: locale.dateFormatPatternDefault,
    week: 'ww',
    month: 'MMM yyyy',
    quarter: 'qqq - yyyy',
    year: 'yyyy'
  };
}
/**
 * @param month 0 = january, 11 = december
 * @returns the number of days in the given month and year.
 */
function _getNumberOfDays(month, year) {
  if (month in [3, 5, 8, 10]) {
    // april, june, september, november
    return 30;
  } else if (month === 1) {
    // february
    return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.dates.isLeapYear(year) ? 29 : 28;
  }
  // january, march, may, july, august, october, december
  return 31;
}

/***/ }),

/***/ "./src/form/fields/chartfield/ChartField.ts":
/*!**************************************************!*\
  !*** ./src/form/fields/chartfield/ChartField.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ChartField: () => (/* binding */ ChartField)
/* harmony export */ });
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ChartField extends _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.FormField {
  constructor() {
    super();
    _defineProperty(this, "chart", void 0);
    this._addWidgetProperties(['chart']);
    this.chart = null;
  }
  _render() {
    this.addContainer(this.$parent, 'chart-field');
    this.addLabel();
    this.addMandatoryIndicator();
    this.addStatus();
    this._renderChart();
  }
  _renderChart() {
    if (this.chart) {
      this.chart.render();
      this.addField(this.chart.$container);
    }
  }
  _removeChart() {
    this.chart.remove();
    this._removeField();
  }
  _linkWithLabel($element) {
    // nop, the chart renderers will take care of labeling and describing the chart
  }
}

/***/ }),

/***/ "./src/form/fields/chartfield/ChartFieldAdapter.ts":
/*!*********************************************************!*\
  !*** ./src/form/fields/chartfield/ChartFieldAdapter.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ChartFieldAdapter: () => (/* binding */ ChartFieldAdapter)
/* harmony export */ });
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ChartFieldAdapter extends _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.FormFieldAdapter {}

/***/ }),

/***/ "./src/form/fields/chartfield/ChartFieldModel.ts":
/*!*******************************************************!*\
  !*** ./src/form/fields/chartfield/ChartFieldModel.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/index.ts":
/*!**********************!*\
  !*** ./src/index.ts ***!
  \**********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   AbstractChartRenderer: () => (/* reexport safe */ _chart_AbstractChartRenderer__WEBPACK_IMPORTED_MODULE_7__.AbstractChartRenderer),
/* harmony export */   AbstractSvgChartRenderer: () => (/* reexport safe */ _chart_AbstractSvgChartRenderer__WEBPACK_IMPORTED_MODULE_8__.AbstractSvgChartRenderer),
/* harmony export */   Chart: () => (/* reexport safe */ _chart_Chart__WEBPACK_IMPORTED_MODULE_2__.Chart),
/* harmony export */   ChartAdapter: () => (/* reexport safe */ _chart_ChartAdapter__WEBPACK_IMPORTED_MODULE_3__.ChartAdapter),
/* harmony export */   ChartColorMode: () => (/* reexport safe */ _chart_Chart__WEBPACK_IMPORTED_MODULE_2__.ChartColorMode),
/* harmony export */   ChartField: () => (/* reexport safe */ _form_fields_chartfield_ChartField__WEBPACK_IMPORTED_MODULE_18__.ChartField),
/* harmony export */   ChartFieldAdapter: () => (/* reexport safe */ _form_fields_chartfield_ChartFieldAdapter__WEBPACK_IMPORTED_MODULE_19__.ChartFieldAdapter),
/* harmony export */   ChartFieldTile: () => (/* reexport safe */ _tile_ChartFieldTile__WEBPACK_IMPORTED_MODULE_21__.ChartFieldTile),
/* harmony export */   ChartFieldTileAdapter: () => (/* reexport safe */ _tile_ChartFieldTileAdapter__WEBPACK_IMPORTED_MODULE_22__.ChartFieldTileAdapter),
/* harmony export */   ChartJsRenderer: () => (/* reexport safe */ _chart_ChartJsRenderer__WEBPACK_IMPORTED_MODULE_10__.ChartJsRenderer),
/* harmony export */   ChartLayout: () => (/* reexport safe */ _chart_ChartLayout__WEBPACK_IMPORTED_MODULE_5__.ChartLayout),
/* harmony export */   ChartTableControl: () => (/* reexport safe */ _table_controls_ChartTableControl__WEBPACK_IMPORTED_MODULE_24__.ChartTableControl),
/* harmony export */   ChartTableControlAdapter: () => (/* reexport safe */ _table_controls_ChartTableControlAdapter__WEBPACK_IMPORTED_MODULE_29__.ChartTableControlAdapter),
/* harmony export */   ChartTableControlLayout: () => (/* reexport safe */ _table_controls_ChartTableControlLayout__WEBPACK_IMPORTED_MODULE_30__.ChartTableControlLayout),
/* harmony export */   ChartTableUserFilter: () => (/* reexport safe */ _table_controls_ChartTableUserFilter__WEBPACK_IMPORTED_MODULE_27__.ChartTableUserFilter),
/* harmony export */   FulfillmentChartRenderer: () => (/* reexport safe */ _chart_FulfillmentChartRenderer__WEBPACK_IMPORTED_MODULE_11__.FulfillmentChartRenderer),
/* harmony export */   SalesfunnelChartRenderer: () => (/* reexport safe */ _chart_SalesfunnelChartRenderer__WEBPACK_IMPORTED_MODULE_13__.SalesfunnelChartRenderer),
/* harmony export */   SpeedoChartRenderer: () => (/* reexport safe */ _chart_SpeedoChartRenderer__WEBPACK_IMPORTED_MODULE_12__.SpeedoChartRenderer),
/* harmony export */   VennAsync3Calculator: () => (/* reexport safe */ _chart_VennAsync3Calculator__WEBPACK_IMPORTED_MODULE_14__.VennAsync3Calculator),
/* harmony export */   VennChartRenderer: () => (/* reexport safe */ _chart_VennChartRenderer__WEBPACK_IMPORTED_MODULE_16__.VennChartRenderer),
/* harmony export */   VennCircle: () => (/* reexport safe */ _chart_VennCircle__WEBPACK_IMPORTED_MODULE_17__.VennCircle),
/* harmony export */   VennCircleHelper: () => (/* reexport safe */ _chart_VennCircleHelper__WEBPACK_IMPORTED_MODULE_15__.VennCircleHelper),
/* harmony export */   chartJsDateAdapter: () => (/* reexport safe */ _chart_chartJsDateAdapter__WEBPACK_IMPORTED_MODULE_9__.chartJsDateAdapter),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./index */ "./src/index.ts");
/* harmony import */ var _chart_Chart__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./chart/Chart */ "./src/chart/Chart.ts");
/* harmony import */ var _chart_ChartAdapter__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./chart/ChartAdapter */ "./src/chart/ChartAdapter.ts");
/* harmony import */ var _chart_ChartEventMap__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./chart/ChartEventMap */ "./src/chart/ChartEventMap.ts");
/* harmony import */ var _chart_ChartLayout__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./chart/ChartLayout */ "./src/chart/ChartLayout.ts");
/* harmony import */ var _chart_ChartModel__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./chart/ChartModel */ "./src/chart/ChartModel.ts");
/* harmony import */ var _chart_AbstractChartRenderer__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./chart/AbstractChartRenderer */ "./src/chart/AbstractChartRenderer.ts");
/* harmony import */ var _chart_AbstractSvgChartRenderer__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./chart/AbstractSvgChartRenderer */ "./src/chart/AbstractSvgChartRenderer.ts");
/* harmony import */ var _chart_chartJsDateAdapter__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./chart/chartJsDateAdapter */ "./src/chart/chartJsDateAdapter.ts");
/* harmony import */ var _chart_ChartJsRenderer__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./chart/ChartJsRenderer */ "./src/chart/ChartJsRenderer.ts");
/* harmony import */ var _chart_FulfillmentChartRenderer__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./chart/FulfillmentChartRenderer */ "./src/chart/FulfillmentChartRenderer.ts");
/* harmony import */ var _chart_SpeedoChartRenderer__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./chart/SpeedoChartRenderer */ "./src/chart/SpeedoChartRenderer.ts");
/* harmony import */ var _chart_SalesfunnelChartRenderer__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./chart/SalesfunnelChartRenderer */ "./src/chart/SalesfunnelChartRenderer.ts");
/* harmony import */ var _chart_VennAsync3Calculator__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./chart/VennAsync3Calculator */ "./src/chart/VennAsync3Calculator.ts");
/* harmony import */ var _chart_VennCircleHelper__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./chart/VennCircleHelper */ "./src/chart/VennCircleHelper.ts");
/* harmony import */ var _chart_VennChartRenderer__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./chart/VennChartRenderer */ "./src/chart/VennChartRenderer.ts");
/* harmony import */ var _chart_VennCircle__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ./chart/VennCircle */ "./src/chart/VennCircle.ts");
/* harmony import */ var _form_fields_chartfield_ChartField__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ./form/fields/chartfield/ChartField */ "./src/form/fields/chartfield/ChartField.ts");
/* harmony import */ var _form_fields_chartfield_ChartFieldAdapter__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! ./form/fields/chartfield/ChartFieldAdapter */ "./src/form/fields/chartfield/ChartFieldAdapter.ts");
/* harmony import */ var _form_fields_chartfield_ChartFieldModel__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(/*! ./form/fields/chartfield/ChartFieldModel */ "./src/form/fields/chartfield/ChartFieldModel.ts");
/* harmony import */ var _tile_ChartFieldTile__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(/*! ./tile/ChartFieldTile */ "./src/tile/ChartFieldTile.ts");
/* harmony import */ var _tile_ChartFieldTileAdapter__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(/*! ./tile/ChartFieldTileAdapter */ "./src/tile/ChartFieldTileAdapter.ts");
/* harmony import */ var _tile_ChartFieldTileModel__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(/*! ./tile/ChartFieldTileModel */ "./src/tile/ChartFieldTileModel.ts");
/* harmony import */ var _table_controls_ChartTableControl__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(/*! ./table/controls/ChartTableControl */ "./src/table/controls/ChartTableControl.ts");
/* harmony import */ var _table_controls_ChartTableControlEventMap__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(/*! ./table/controls/ChartTableControlEventMap */ "./src/table/controls/ChartTableControlEventMap.ts");
/* harmony import */ var _table_controls_ChartTableControlModel__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(/*! ./table/controls/ChartTableControlModel */ "./src/table/controls/ChartTableControlModel.ts");
/* harmony import */ var _table_controls_ChartTableUserFilter__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(/*! ./table/controls/ChartTableUserFilter */ "./src/table/controls/ChartTableUserFilter.ts");
/* harmony import */ var _table_controls_ChartTableUserFilterModel__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(/*! ./table/controls/ChartTableUserFilterModel */ "./src/table/controls/ChartTableUserFilterModel.ts");
/* harmony import */ var _table_controls_ChartTableControlAdapter__WEBPACK_IMPORTED_MODULE_29__ = __webpack_require__(/*! ./table/controls/ChartTableControlAdapter */ "./src/table/controls/ChartTableControlAdapter.ts");
/* harmony import */ var _table_controls_ChartTableControlLayout__WEBPACK_IMPORTED_MODULE_30__ = __webpack_require__(/*! ./table/controls/ChartTableControlLayout */ "./src/table/controls/ChartTableControlLayout.ts");
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */































/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (_index__WEBPACK_IMPORTED_MODULE_1__);
_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.ObjectFactory.get().registerNamespace('scout', _index__WEBPACK_IMPORTED_MODULE_1__);

/***/ }),

/***/ "./src/table/controls/ChartTableControl.ts":
/*!*************************************************!*\
  !*** ./src/table/controls/ChartTableControl.ts ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ChartTableControl: () => (/* binding */ ChartTableControl)
/* harmony export */ });
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _index__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../index */ "./src/index.ts");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! jquery */ "jquery");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_2__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */



class ChartTableControl extends _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableControl {
  constructor() {
    super();
    _defineProperty(this, "chartAggregation", void 0);
    _defineProperty(this, "chartGroup1", void 0);
    _defineProperty(this, "chartGroup2", void 0);
    _defineProperty(this, "chartType", void 0);
    _defineProperty(this, "oldChartType", void 0);
    _defineProperty(this, "chart", void 0);
    _defineProperty(this, "chartColorScheme", void 0);
    _defineProperty(this, "xAxis", void 0);
    _defineProperty(this, "yAxis", void 0);
    _defineProperty(this, "dateGroup", void 0);
    _defineProperty(this, "$chartSelect", void 0);
    _defineProperty(this, "$axisSelectContainer", void 0);
    _defineProperty(this, "$xAxisSelect", void 0);
    _defineProperty(this, "$yAxisSelect", void 0);
    _defineProperty(this, "$dataSelect", void 0);
    _defineProperty(this, "_chartTypeMap", void 0);
    _defineProperty(this, "_aggregationMap", void 0);
    _defineProperty(this, "_chartGroup1Map", void 0);
    _defineProperty(this, "_chartGroup2Map", void 0);
    _defineProperty(this, "_tableUpdatedHandler", void 0);
    _defineProperty(this, "_tableColumnStructureChangedHandler", void 0);
    _defineProperty(this, "_chartValueClickedHandler", void 0);
    _defineProperty(this, "_filterResetListener", void 0);
    _defineProperty(this, "_tableUpdatedTimeOutId", void 0);
    this.iconId = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.icons.CHART;
    this.tooltipText = '${textKey:ui.Chart}';
    this.chartAggregation = {
      modifier: _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.NumberGroup.COUNT
    };
    this.chartType = _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.BAR;
    this.oldChartType = null;
    this.chart = null;
    this.chartColorScheme = 'chart-table-control';
    /** chart config selection */
    this.$chartSelect = null;
    this.$xAxisSelect = null;
    this.$yAxisSelect = null;
    this.$dataSelect = null;
    this.xAxis = null;
    this.yAxis = null;
    this.dateGroup = null;
    this._tableUpdatedHandler = this._onTableUpdated.bind(this);
    this._tableColumnStructureChangedHandler = this._onTableColumnStructureChanged.bind(this);
    this._chartValueClickedHandler = this._onChartValueClick.bind(this);
  }
  _init(model) {
    super._init(model);
    this.table.on('columnStructureChanged', this._tableColumnStructureChangedHandler);
    this.chart = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_1__.Chart, {
      parent: this
    });
  }
  _destroy() {
    this.table.off('columnStructureChanged', this._tableColumnStructureChangedHandler);
    super._destroy();
  }
  _computeEnabled(inheritAccessibility, parentEnabled) {
    if (!this._hasColumns() && !this.selected) {
      return false;
    }
    return super._computeEnabled(inheritAccessibility, parentEnabled);
  }
  _renderChart() {
    if (this.chart) {
      this.chart.render(this.$contentContainer);
      this.chart.$container.addClass(this.denseClass);
    }
  }
  _createLayout() {
    return new _index__WEBPACK_IMPORTED_MODULE_1__.ChartTableControlLayout(this);
  }
  _renderChartType() {
    this._selectChartType();
    this.$yAxisSelect.toggleClass('hide', this.chartType !== _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.BUBBLE);
    this.$yAxisSelect.toggleClass('animated', _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(_index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.BUBBLE, this.chartType, this.oldChartType) && !!this.oldChartType);
    this.$yAxisSelect.data('scroll-shadow').setVisible(false);
    this.$yAxisSelect.oneAnimationEnd(() => {
      _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.$yAxisSelect);
      this.$yAxisSelect.data('scroll-shadow').setVisible(true);
      this.$yAxisSelect.removeClass('animated');
    });
    if (this.contentRendered) {
      this.chart.$container.animateAVCSD('opacity', 0, () => {
        this.chart.$container.css('opacity', 1);
        this._drawChart();
      });
    }
  }
  _selectChartType() {
    _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.objects.values(this._chartTypeMap).forEach($element => {
      $element.removeClass('selected');
    });
    this._chartTypeMap[this.chartType].addClass('selected');
  }
  _renderChartGroup1() {
    this._renderChartGroup(1);
  }
  _renderChartGroup2() {
    this._renderChartGroup(2);
  }
  _renderChartGroup(groupId) {
    if (!this._hasColumns()) {
      return;
    }
    let groupName = 'chartGroup' + groupId;
    let map = '_' + groupName + 'Map';
    let chartGroup = this[groupName];
    if (chartGroup) {
      let $element = this[map][chartGroup.id];
      $element.siblings('.select-axis').animateAVCSD('height', 30);
      $element.selectOne('selected');
      if (chartGroup.modifier > 0) {
        let dateGroupIndex = chartGroup.modifier ^ ChartTableControl.DATE_GROUP_FLAG;
        $element.animateAVCSD('height', 42);
        $element.children('.select-axis-group').text(this.dateGroup[dateGroupIndex][1]);
      }
      if (this.contentRendered) {
        this._drawChart();
      }
    }
  }
  _renderChartAggregation() {
    let $element = this._aggregationMap[this.chartAggregation.id || 'all'];
    if ($element) {
      $element.selectOne();
      $element.removeClass('data-sum').removeClass('data-avg');
      $element.addClass(this._getAggregationCssClass());
      if (this.contentRendered) {
        this._drawChart();
      }
    }
  }
  _getAggregationCssClass() {
    switch (this.chartAggregation.modifier) {
      case _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.NumberGroup.COUNT:
        return 'data-count';
      case _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.NumberGroup.SUM:
        return 'data-sum';
      case _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.NumberGroup.AVG:
        return 'data-avg';
      default:
        return null;
    }
  }
  _renderChartSelect(cssClass, chartType, iconId) {
    let icon = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scout.create(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.Icon, {
      parent: this,
      iconDesc: iconId,
      cssClass: cssClass
    });
    icon.render(this.$chartSelect);
    this.$contentContainer.one('remove', () => icon.destroy());
    let $iconContainer = icon.$container;
    $iconContainer.toggleClass('disabled', !this.enabledComputed || !this._hasColumns()).data('chartType', chartType);
    if (this.enabledComputed && this._hasColumns()) {
      $iconContainer.on('click', this._onClickChartType.bind(this));
    }
    this._chartTypeMap[chartType] = $iconContainer;
  }
  /**
   * Appends a chart selection divs to this.$contentContainer and sets the this.$chartSelect property.
   **/
  _renderChartSelectContainer() {
    // create container
    this.$chartSelect = this.$contentContainer.appendDiv('chart-select');
    // create chart types for selection
    this._chartTypeMap = {};
    let supportedChartTypes = this._getSupportedChartTypes();
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(_index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.BAR, supportedChartTypes)) {
      this._renderChartSelect('chart-bar', _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.BAR, _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.icons.DIAGRAM_BARS_VERTICAL);
    }
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(_index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.BAR_HORIZONTAL, supportedChartTypes)) {
      this._renderChartSelect('chart-stacked', _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.BAR_HORIZONTAL, _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.icons.DIAGRAM_BARS_HORIZONTAL);
    }
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(_index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.LINE, supportedChartTypes)) {
      this._renderChartSelect('chart-line', _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.LINE, _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.icons.DIAGRAM_LINE);
    }
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(_index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.PIE, supportedChartTypes)) {
      this._renderChartSelect('chart-pie', _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.PIE, _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.icons.DIAGRAM_PIE);
    }
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scout.isOneOf(_index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.BUBBLE, supportedChartTypes)) {
      this._renderChartSelect('chart-bubble', _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.BUBBLE, _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.icons.DIAGRAM_SCATTER);
    }
  }
  _getSupportedChartTypes() {
    return [_index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.BAR, _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.BAR_HORIZONTAL, _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.LINE, _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.PIE, _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.BUBBLE];
  }
  _onClickChartType(event) {
    let $target = jquery__WEBPACK_IMPORTED_MODULE_2___default()(event.currentTarget),
      chartType = $target.data('chartType');
    this.setChartType(chartType);
  }
  _onClickChartGroup(event) {
    let $target = jquery__WEBPACK_IMPORTED_MODULE_2___default()(event.currentTarget),
      groupId = $target.parent().data('groupId'),
      column = $target.data('column'),
      origModifier = $target.data('modifier');
    // do nothing when item is disabled
    if (!$target.isEnabled()) {
      return;
    }
    let modifier = $target.isSelected() ? this._nextDateModifier(origModifier) : origModifier;
    $target.data('modifier', modifier);
    let config = {
      id: column ? column.id : null,
      modifier: modifier
    };
    this._setChartGroup(groupId, config);
  }
  _onClickAggregation(event) {
    let $target = jquery__WEBPACK_IMPORTED_MODULE_2___default()(event.currentTarget);
    // update modifier
    let origModifier = $target.data('modifier');
    let modifier = $target.isSelected() ? this._nextModifier(origModifier) : origModifier;
    $target.data('modifier', modifier);
    let column = $target.data('column');
    let aggregation = {
      id: column ? column.id : null,
      modifier: modifier
    };
    this._setChartAggregation(aggregation);
  }
  _nextDateModifier(modifier) {
    switch (modifier) {
      case _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.DateGroup.DATE:
        return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.DateGroup.MONTH;
      case _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.DateGroup.MONTH:
        return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.DateGroup.WEEKDAY;
      case _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.DateGroup.WEEKDAY:
        return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.DateGroup.YEAR;
      case _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.DateGroup.YEAR:
        return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.DateGroup.DATE;
      default:
        return modifier;
    }
  }
  _nextModifier(modifier) {
    switch (modifier) {
      case _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.NumberGroup.SUM:
        return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.NumberGroup.AVG;
      case _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.NumberGroup.AVG:
        return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.NumberGroup.SUM;
      default:
        return modifier;
    }
  }
  _setChartAggregation(chartAggregation) {
    if (chartAggregation === this.chartAggregation) {
      return;
    }
    this._setProperty('chartAggregation', chartAggregation);
    if (this.contentRendered) {
      this._renderChartAggregation();
    }
  }
  _setChartGroup1(chartGroup) {
    this._setChartGroup(1, chartGroup);
  }
  _setChartGroup2(chartGroup) {
    this._setChartGroup(2, chartGroup);
  }
  _setChartGroup(groupId, chartGroup) {
    let propertyName = 'chartGroup' + groupId;
    this._changeProperty(propertyName, chartGroup);
  }
  _changeProperty(prop, value) {
    if (value === this[prop]) {
      return;
    }
    this._setProperty(prop, value);
    if (this.contentRendered) {
      this['_render' + prop.charAt(0).toUpperCase() + prop.slice(1)]();
    }
  }
  setChartType(chartType) {
    this.oldChartType = this.chartType;
    this.setProperty('chartType', chartType);
  }
  _hasColumns() {
    return this._columns().length > 0;
  }
  _columns() {
    return new _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix(this.table, this.session).columns();
  }
  _axisCount(columnCount, column) {
    let tmpColumn;
    for (let i = 0; i < columnCount.length; i++) {
      tmpColumn = columnCount[i][0];
      if (tmpColumn === column) {
        return columnCount[i][1];
      }
    }
    return 0;
  }
  _plainAxisText(column, text) {
    if (column.headerHtmlEnabled) {
      let plainText = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.strings.plainText(text);
      return plainText.replace(/\n/g, ' ');
    }
    return text;
  }
  _renderContent($parent) {
    this.$contentContainer = $parent.appendDiv('chart-container');
    // scrollbars
    this._installScrollbars();
    this._renderChartSelectContainer();
    // group functions for dates
    this.dateGroup = [[_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.DateGroup.YEAR, this.session.text('ui.groupedByYear')], [_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.DateGroup.MONTH, this.session.text('ui.groupedByMonth')], [_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.DateGroup.WEEKDAY, this.session.text('ui.groupedByWeekday')], [_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.DateGroup.DATE, this.session.text('ui.groupedByDate')]];
    // listeners
    this._filterResetListener = this.table.on('filterReset', event => {
      if (this.chart) {
        this.chart.setCheckedItems([]);
      }
    });
    this._addListeners();
    this._renderAxisSelectorsContainer();
    let columnCount = this._renderAxisSelectors();
    // draw first chart
    this._renderChart();
    this._initializeSelection(columnCount);
    this._renderChartParts();
    this._drawChart();
  }
  _addListeners() {
    this.table.on('rowsInserted', this._tableUpdatedHandler);
    this.table.on('rowsDeleted', this._tableUpdatedHandler);
    this.table.on('allRowsDeleted', this._tableUpdatedHandler);
    this.chart.on('valueClick', this._chartValueClickedHandler);
  }
  _renderAxisSelectorsContainer() {
    this.$axisSelectContainer = this.$contentContainer.appendDiv('axis-select-container');
  }
  _renderAxisSelectors() {
    // create container for x/y-axis
    this.$xAxisSelect = this.$axisSelectContainer.appendDiv('xaxis-select').data('groupId', 1);
    _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scrollbars.install(this.$xAxisSelect, {
      parent: this,
      session: this.session,
      axis: 'y'
    });
    this.$yAxisSelect = this.$axisSelectContainer.appendDiv('yaxis-select').data('groupId', 2);
    _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scrollbars.install(this.$yAxisSelect, {
      parent: this,
      session: this.session,
      axis: 'y'
    });
    // map for selection (column id, $element)
    this._chartGroup1Map = {};
    this._chartGroup2Map = {};
    // find best x- and y-axis: best is 9 different entries
    let matrix = new _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix(this.table, this.session),
      columnCount = matrix.columnCount(false); // filterNumberColumns false: number columns will be filtered below
    columnCount.sort((a, b) => {
      return Math.abs(a[1] - 8) - Math.abs(b[1] - 8);
    });
    let axisCount,
      enabled,
      numberOfAxisItems = 0,
      columns = matrix.columns(false); // filterNumberColumns false: number columns will be filtered below
    // all x/y-axis for selection
    for (let c1 = 0; c1 < columns.length; c1++) {
      let content,
        $div,
        $yDiv,
        column1 = columns[c1];
      // Check if data-spread is too large. This is a problem in large tables where a column has unique values.
      // We cannot create DOM elements for each unique value because this causes all browser to stop script
      // execution. May be in a later release we could implement some sort of data aggregation, but this is not
      // a simple task on the UI layer, because it requires some know-how about the entity represented by the table,
      // which we don't have in the UI. Another possible solution: make the charts scrollable, however this is
      // probably not a good idea, because with a lot of data, the chart fails to provide an oversight over the data
      // when the user must scroll and only sees a small part of the chart.
      if (column1 instanceof _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.DateColumn) {
        // dates are always aggregated, and thus we must not check if the chart has "too much data".
        enabled = true;
      } else {
        axisCount = this._axisCount(columnCount, column1);
        enabled = axisCount <= ChartTableControl.MAX_AXIS_COUNT;
      }
      content = this._axisContentForColumn(column1);
      $div = this.$contentContainer.makeDiv('select-axis', this._plainAxisText(column1, content.text)).data('column', column1).setEnabled(enabled);
      if (!enabled) {
        if (this.chartGroup1 && this.chartGroup1.id === column1.id) {
          this.chartGroup1 = null;
          this.chartGroup2 = null;
        }
        if (this.chartGroup2 && this.chartGroup2.id === column1.id) {
          this.chartGroup2 = null;
        }
      }
      if (content.icon) {
        $div.addClass(content.icon.appendCssClass('font-icon'));
      }
      if (column1 instanceof _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.DateColumn) {
        $div.data('modifier', _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.DateGroup.YEAR).appendDiv('select-axis-group', this.dateGroup[0][1]);
      }
      // install click handler or tooltip
      if (enabled) {
        $div.on('click', this._onClickChartGroup.bind(this));
        _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.tooltips.installForEllipsis($div, {
          parent: this
        });
      } else {
        _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.tooltips.install($div, {
          parent: this,
          text: this.session.text('ui.TooMuchData')
        });
      }
      numberOfAxisItems++;
      $yDiv = $div.clone(true);
      this._chartGroup1Map[column1.id] = $div;
      this._chartGroup2Map[column1.id] = $yDiv;
      this.$xAxisSelect.append($div);
      this.$yAxisSelect.append($yDiv);
    }
    // map for selection (column id, $element)
    this._aggregationMap = {};
    if (this._hasColumns()) {
      // create container for data
      this.$dataSelect = this.$axisSelectContainer.appendDiv('data-select');
      _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scrollbars.install(this.$dataSelect, {
        parent: this,
        session: this.session,
        axis: 'y'
      });
      // add data-count for no column restriction (all columns)
      let countDesc = this.session.text('ui.Count');
      this._aggregationMap.all = this.$dataSelect.appendDiv('select-data data-count', countDesc).data('column', null).data('modifier', _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.NumberGroup.COUNT);
      // all data for selection
      for (let c2 = 0; c2 < columns.length; c2++) {
        let column2 = columns[c2];
        let fakeNumberLabelCol2 = c2 + 1;
        if (column2 instanceof _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.NumberColumn) {
          let columnText;
          if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(column2.text)) {
            columnText = this._plainAxisText(column2, column2.text);
          } else if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(column2.headerTooltipText)) {
            columnText = column2.headerTooltipText;
          } else {
            columnText = '[' + fakeNumberLabelCol2 + ']';
          }
          this._aggregationMap[column2.id] = this.$dataSelect.appendDiv('select-data data-sum', columnText).data('column', column2).data('modifier', _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.NumberGroup.SUM);
        }
      }
      // click handling for data
      jquery__WEBPACK_IMPORTED_MODULE_2___default()('.select-data', this.$contentContainer).on('click', this._onClickAggregation.bind(this));
    }
    return columnCount;
  }
  _initializeSelection(columnCount) {
    let $axisColumns;
    if (!this.chartType) {
      this.setChartType(_index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.BAR);
    }
    // no id selected
    if (!this.chartAggregation || !this._aggregationMap[this.chartAggregation.id]) {
      this._setChartAggregation({
        id: null,
        modifier: _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix.NumberGroup.COUNT
      });
    }
    // apply default selection
    if (!this.chartGroup1 || !this.chartGroup1.id || !this._chartGroup1Map[this.chartGroup1.id]) {
      $axisColumns = this.$xAxisSelect.children(':not(.disabled)');
      this._setDefaultSelectionForGroup(1, columnCount, $axisColumns, 0 /* only use the first column for the first group */);
    }
    if (!this.chartGroup2 || !this.chartGroup2.id || !this._chartGroup2Map[this.chartGroup2.id]) {
      $axisColumns = this.$yAxisSelect.children(':not(.disabled)');
      this._setDefaultSelectionForGroup(2, columnCount, $axisColumns, 1 /* try to use the second column for the second group (if available). Otherwise, the first column is used. */);
    }
  }
  /**
   * Applies the default column selection for the specified chartGroup.
   * The implementation only considers columns that are part of the specified columnCount matrix and $candidates array.
   * From all these columns the last match that is lower or equal to the specified maxIndex is set as default chart group.
   *
   * @param chartGroup The number of the chart group (1 or 2) for which the default column should be set.
   * @param columnCount Column-count matrix as returned by TableMatrix#columnCount(). Holds possible grouping columns.
   * @param $candidates jQuery array holding all axis columns that could be used as default.
   * @param maxIndex The maximum column index to use as default column for the specified chartGroup.
   */
  _setDefaultSelectionForGroup(chartGroup, columnCount, $candidates, maxIndex) {
    let col = this._getDefaultSelectedColumn(columnCount, $candidates, maxIndex);
    if (col) {
      this._setChartGroup(chartGroup, this._getDefaultChartGroup(col));
    }
  }
  _getDefaultSelectedColumn(columnCount, $candidates, maxIndex) {
    let matchCounter = 0,
      curColumn,
      result;
    for (let j = 0; j < columnCount.length && matchCounter <= maxIndex; j++) {
      curColumn = columnCount[j][0];
      if (this._existsInAxisColumns($candidates, curColumn)) {
        result = curColumn; // remember possible result
        matchCounter++;
      }
    }
    return result;
  }
  _existsInAxisColumns($candidates, columnToSearch) {
    for (let i = 0; i < $candidates.length; i++) {
      if ($candidates.eq(i).data('column') === columnToSearch) {
        return true;
      }
    }
    return false;
  }
  _getDefaultChartGroup(column) {
    let modifier;
    if (column instanceof _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.DateColumn) {
      modifier = 256;
    }
    return {
      id: column.id,
      modifier: modifier
    };
  }
  _renderChartParts() {
    this._renderChartType();
    this._renderChartAggregation();
    this._renderChartGroup1();
    this._renderChartGroup2();
  }
  _drawChart() {
    if (!this._hasColumns()) {
      this._hideChart();
      return;
    }
    let cube = this._calculateValues();
    if (cube && cube.length) {
      this.chart.setVisible(true);
    } else {
      this._hideChart();
      return;
    }
    let config = {
      type: this.chartType,
      options: {
        handleResize: true,
        colorScheme: this.chartColorScheme,
        maxSegments: 5,
        plugins: {
          legend: {
            display: false
          }
        }
      }
    };
    let iconClasses = [];
    config.data = this._computeData(iconClasses, cube);
    this._adjustFont(config, iconClasses);
    this._adjustConfig(config);
    this.chart.setConfig(config);
    let checkedItems = this._computeCheckedItems(config.data.datasets[0].deterministicKeys);
    this.chart.setCheckedItems(checkedItems);
  }
  _hideChart() {
    this.chart.setConfig({
      type: this.chartType
    });
    this.chart.setVisible(false);
  }
  _getDatasetLabel() {
    let elem = this._aggregationMap[this.chartAggregation.id || 'all'];
    return (elem ? elem.text() : null) || this.session.text('ui.Value');
  }
  _calculateValues() {
    // build matrix
    let matrix = new _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix(this.table, this.session);
    // aggregation (data axis)
    let tableData = this.chartAggregation.id ? this._aggregationMap[this.chartAggregation.id].data('column') : -1;
    matrix.addData(tableData, this.chartAggregation.modifier);
    // find xAxis
    if (this.chartGroup1) {
      let axis = this._chartGroup1Map[this.chartGroup1.id].data('column');
      this.xAxis = matrix.addAxis(axis, this.chartGroup1.modifier);
    }
    // find yAxis
    // in case of bubble
    if (this.chartType === _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.BUBBLE && this.chartGroup2) {
      let axis2 = this._chartGroup2Map[this.chartGroup2.id].data('column');
      this.yAxis = matrix.addAxis(axis2, this.chartGroup2.modifier);
    } else {
      this.yAxis = null;
    }
    // return not possible to draw chart
    if (matrix.isEmpty() || !matrix.isMatrixValid()) {
      return;
    }
    // calculate matrix
    return matrix.calculate();
  }
  _getXAxis() {
    return this.xAxis;
  }
  _getYAxis() {
    return this.yAxis;
  }
  _computeData(iconClasses, cube) {
    let data = {
      datasets: [{
        label: this._getDatasetLabel()
      }]
    };
    if (!cube) {
      return data;
    }
    iconClasses = iconClasses || [];
    let segments = [];
    if (this.chartType === _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.BUBBLE) {
      segments = this._computeBubbleData(iconClasses, cube);
    } else {
      let xAxis = this._getXAxis();
      for (let x = 0; x < xAxis.length; x++) {
        let label,
          keyX = xAxis[x];
        if (xAxis.column instanceof _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.NumberColumn) {
          // the axis will format numbers as two digit decimals and null/undefined as the text '-empty-' or something similar
          // only pass null/undefined to the axis as we want to leave the number format to the chart but need the '-empty-' string
          label = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(keyX) ? xAxis.format(keyX) : keyX;
        } else {
          label = this._handleIconLabel(xAxis.format(keyX), xAxis, iconClasses);
        }
        segments.push({
          value: cube.getValue([keyX])[0],
          label: label,
          deterministicKey: xAxis.keyToDeterministicKey(keyX)
        });
      }
    }
    let dataset = data.datasets[0],
      labels = [];
    dataset.data = [];
    dataset.deterministicKeys = [];
    segments.forEach(elem => {
      dataset.data.push(elem.value);
      dataset.deterministicKeys.push(elem.deterministicKey);
      if (!_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.objects.isNullOrUndefined(elem.label)) {
        labels.push(elem.label);
      }
    });
    if (labels.length) {
      data.labels = labels;
    }
    return data;
  }
  _computeBubbleData(iconClasses, cube) {
    if (!cube) {
      return [];
    }
    iconClasses = iconClasses || [];
    let xAxis = this._getXAxis(),
      yAxis = this._getYAxis(),
      segments = [];
    for (let x = 0; x < xAxis.length; x++) {
      let keyX = xAxis[x],
        xValue = keyX;
      this._handleIconLabel(xAxis.format(keyX), xAxis, iconClasses);
      if (!(xAxis.column instanceof _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.NumberColumn) && xValue === null) {
        xValue = xAxis.max;
      }
      if (xAxis.column instanceof _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.DateColumn) {
        xValue = xValue - xAxis.min;
      }
      for (let y = 0; y < yAxis.length; y++) {
        let keyY = yAxis[y],
          yValue = keyY,
          cubeValues = cube.getValue([keyX, keyY]);
        this._handleIconLabel(yAxis.format(keyY), yAxis, iconClasses);
        if (cubeValues && cubeValues.length) {
          if (!(yAxis.column instanceof _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.NumberColumn) && yValue === null) {
            yValue = yAxis.max;
          }
          if (yAxis.column instanceof _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.DateColumn) {
            yValue = yValue - yAxis.min;
          }
          segments.push({
            value: {
              x: xValue,
              y: yValue,
              z: cubeValues[0]
            },
            deterministicKey: [xAxis.keyToDeterministicKey(keyX), yAxis.keyToDeterministicKey(keyY)]
          });
        }
      }
    }
    return segments;
  }
  _handleIconLabel(label, axis, iconClasses) {
    if (axis && axis.isIcon) {
      let icon = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.icons.parseIconId(label);
      if (icon && icon.isFontIcon()) {
        iconClasses.push(...icon.appendCssClass('font-icon').split(' '));
        return icon.iconCharacter;
      }
    }
    return label;
  }
  _adjustFont(config, iconClasses) {
    if (!config || !iconClasses) {
      return;
    }
    iconClasses = iconClasses.filter((value, index, self) => {
      return self.indexOf(value) === index;
    });
    if (iconClasses.length) {
      let fontFamily = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.styles.get(iconClasses, 'font-family').fontFamily;
      if (this.chartType !== _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.PIE) {
        config.options = jquery__WEBPACK_IMPORTED_MODULE_2___default().extend(true, {}, config.options, {
          scales: {
            x: {
              ticks: {
                font: {
                  family: fontFamily
                }
              }
            },
            y: {
              ticks: {
                font: {
                  family: fontFamily
                }
              }
            }
          }
        });
      }
      config.options = jquery__WEBPACK_IMPORTED_MODULE_2___default().extend(true, {}, config.options, {
        plugins: {
          tooltip: {
            titleFont: {
              family: fontFamily
            }
          }
        }
      });
      config.options = jquery__WEBPACK_IMPORTED_MODULE_2___default().extend(true, {}, config.options, {
        plugins: {
          datalabels: {
            font: {
              family: fontFamily
            }
          }
        }
      });
    }
  }
  _adjustLabels(config) {
    if (!config) {
      return;
    }
    let xAxis = this._getXAxis(),
      yAxis = this._getYAxis();
    if (this.chartType === _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.BUBBLE) {
      if (!(xAxis.column instanceof _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.NumberColumn)) {
        config.options = jquery__WEBPACK_IMPORTED_MODULE_2___default().extend(true, {}, config.options, {
          scales: {
            x: {
              ticks: {
                callback: label => this._formatLabel(label, xAxis)
              }
            }
          }
        });
      }
      if (!(yAxis.column instanceof _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.NumberColumn)) {
        config.options = jquery__WEBPACK_IMPORTED_MODULE_2___default().extend(true, {}, config.options, {
          scales: {
            y: {
              ticks: {
                callback: label => this._formatLabel(label, yAxis)
              }
            }
          }
        });
      }
    } else {
      if (xAxis.column instanceof _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.NumberColumn) {
        config.options = jquery__WEBPACK_IMPORTED_MODULE_2___default().extend(true, {}, config.options, {
          reformatLabels: true
        });
      }
    }
  }
  _formatLabel(label, axis) {
    if (!axis) {
      return '' + label;
    }
    if (axis.column instanceof _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.DateColumn) {
      label = label + axis.min;
      if (label !== parseInt('' + label) || axis.length < 2 && (label < axis.min || label > axis.max)) {
        return null;
      }
    }
    if (axis.indexOf(null) !== -1) {
      if (label === axis.max) {
        label = null;
      } else if (label > axis.max) {
        return null;
      }
    }
    let formatted = axis.format(label);
    if (axis.isIcon) {
      let icon = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.icons.parseIconId(formatted);
      if (icon && icon.isFontIcon()) {
        formatted = icon.iconCharacter;
      }
    }
    return formatted;
  }
  _adjustConfig(config) {
    if (!config) {
      return;
    }
    this._adjustLabels(config);
    this._adjustClickable(config);
    if (this.chartType === _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.BUBBLE) {
      this._adjustBubble(config);
    } else if (this.chartType === _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.PIE) {
      this._adjustPie(config);
    } else {
      this._adjustScales(config);
    }
  }
  _adjustClickable(config) {
    if (!config) {
      return;
    }
    if (this._isChartClickable()) {
      config.options = jquery__WEBPACK_IMPORTED_MODULE_2___default().extend(true, {}, config.options, {
        clickable: true,
        checkable: true,
        otherSegmentClickable: true
      });
    }
  }
  _isChartClickable() {
    return true;
  }
  _adjustBubble(config) {
    if (!config || this.chartType !== _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.BUBBLE) {
      return;
    }
    config.options.bubble = jquery__WEBPACK_IMPORTED_MODULE_2___default().extend(true, {}, config.options.bubble, {
      sizeOfLargestBubble: 25,
      minBubbleSize: 5
    });
  }
  _adjustPie(config) {
    if (!config || this.chartType !== _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.PIE) {
      return;
    }
    config.data.datasets[0].datalabels = {
      labels: {
        index: {
          display: 'auto',
          color: _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.styles.get([this.chartColorScheme, this.chartType + '-chart', 'elements', 'label'], 'fill').fill,
          formatter: (value, context) => {
            return context.chart.data.labels[context.dataIndex];
          },
          anchor: 'end',
          align: 'end',
          clamp: true,
          offset: 10,
          padding: 4
        },
        labels: {}
      }
    };
    config.options = jquery__WEBPACK_IMPORTED_MODULE_2___default().extend(true, {}, config.options, {
      plugins: {
        datalabels: {
          display: true
        }
      }
    });
    // Compensate the margin of the container so that the chart is always centered vertically
    let margin = this.chart.$container.cssMarginTop() - this.chart.$container.cssMarginBottom();
    config.options = jquery__WEBPACK_IMPORTED_MODULE_2___default().extend(true, {}, config.options, {
      layout: {
        padding: {
          top: 30 + (Math.sign(margin) < 0 ? Math.abs(margin) : 0),
          bottom: 30 + (Math.sign(margin) > 0 ? margin : 0)
        }
      }
    });
  }
  _adjustScales(config) {
    if (!config) {
      return;
    }
    config.options = jquery__WEBPACK_IMPORTED_MODULE_2___default().extend(true, {}, config.options, {
      scales: {
        x: {
          beginAtZero: true
        },
        y: {
          beginAtZero: true
        }
      }
    });
  }
  _computeCheckedItems(deterministicKeys) {
    if (!deterministicKeys) {
      return [];
    }
    let xAxis = this._getXAxis(),
      yAxis = this._getYAxis(),
      tableFilter = this.table.getFilter(_index__WEBPACK_IMPORTED_MODULE_1__.ChartTableUserFilter.TYPE),
      filters = [],
      checkedIndices = [];
    if (tableFilter && (tableFilter.xAxis || {}).column === (xAxis || {}).column && (tableFilter.yAxis || {}).column === (yAxis || {}).column) {
      filters = tableFilter.filters;
    }
    deterministicKeys.forEach((deterministicKey, idx) => {
      if (filters.filter(filter => Array.isArray(filter.deterministicKey) && Array.isArray(deterministicKey) ? _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.arrays.equals(filter.deterministicKey, deterministicKey) : filter.deterministicKey === deterministicKey).length) {
        checkedIndices.push(idx);
      }
    });
    let datasetIndex = 0;
    if (this.chartType === _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.PIE) {
      let maxSegments = this.chart.config.options.maxSegments,
        collapsedIndices = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.arrays.init(deterministicKeys.length - maxSegments, null).map((elem, idx) => idx + maxSegments);
      if (!_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.arrays.containsAll(checkedIndices, collapsedIndices)) {
        _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.arrays.remove(checkedIndices, maxSegments - 1);
      }
      _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.arrays.removeAll(checkedIndices, collapsedIndices);
      // first dataset is hidden on pie charts
      datasetIndex = 1;
    }
    let checkedItems = [];
    if (checkedIndices.length) {
      checkedIndices.forEach(index => {
        checkedItems.push({
          datasetIndex: datasetIndex,
          dataIndex: index
        });
      });
    }
    return checkedItems;
  }
  _onChartValueClick() {
    //  prepare filter
    let filters = [];
    if (this.chart && this.chart.config.data) {
      let maxSegments = this.chart.config.options.maxSegments,
        dataset = this.chart.config.data.datasets[0],
        getFilters = index => ({
          deterministicKey: dataset.deterministicKeys[index]
        });
      if (this.chartType === _index__WEBPACK_IMPORTED_MODULE_1__.Chart.Type.PIE) {
        getFilters = index => {
          index = parseInt('' + index);
          if (maxSegments && maxSegments === index + 1) {
            return _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.arrays.init(dataset.deterministicKeys.length - index, null).map((elem, idx) => ({
              deterministicKey: dataset.deterministicKeys[idx + index]
            }));
          }
          return {
            deterministicKey: dataset.deterministicKeys[index]
          };
        };
      }
      let checkedIndices = this.chart.checkedItems.filter(item => item.datasetIndex === 0).map(item => item.dataIndex);
      checkedIndices.forEach(index => {
        _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.arrays.pushAll(filters, getFilters(index));
      });
    }
    //  filter function
    if (filters.length) {
      let filter = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scout.create(_index__WEBPACK_IMPORTED_MODULE_1__.ChartTableUserFilter, {
        session: this.session,
        table: this.table,
        text: this.tooltipText,
        xAxis: this._getXAxis(),
        yAxis: this._getYAxis(),
        filters: filters
      });
      this.table.addFilter(filter);
    } else {
      this.table.removeFilterByKey(_index__WEBPACK_IMPORTED_MODULE_1__.ChartTableUserFilter.TYPE);
    }
  }
  _axisContentForColumn(column) {
    let text = column.text;
    if (_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.strings.hasText(text)) {
      return {
        text: text
      };
    }
    if (column.headerIconId) {
      let icon = _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.icons.parseIconId(column.headerIconId);
      if (icon.isFontIcon()) {
        return {
          text: icon.iconCharacter,
          icon: icon
        };
      }
    }
    if (column.headerTooltipText) {
      return {
        text: column.headerTooltipText
      };
    }
    return {
      text: '[' + (this._columns().indexOf(column) + 1) + ']'
    };
  }
  _removeContent() {
    this._removeScrollbars();
    this.$contentContainer.remove();
    this.chart.remove();
    this.table.events.removeListener(this._filterResetListener);
    this._removeListeners();
    this.oldChartType = null;
    this.recomputeEnabled();
  }
  _removeScrollbars() {
    this.$xAxisSelect.each((index, element) => {
      _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.tooltips.uninstall(jquery__WEBPACK_IMPORTED_MODULE_2___default()(element));
    });
    _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scrollbars.uninstall(this.$xAxisSelect, this.session);
    this.$yAxisSelect.each((index, element) => {
      _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.tooltips.uninstall(jquery__WEBPACK_IMPORTED_MODULE_2___default()(element));
    });
    _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scrollbars.uninstall(this.$yAxisSelect, this.session);
    _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scrollbars.uninstall(this.$dataSelect, this.session);
    this._uninstallScrollbars();
  }
  _removeListeners() {
    this.table.off('rowsInserted', this._tableUpdatedHandler);
    this.table.off('rowsDeleted', this._tableUpdatedHandler);
    this.table.off('allRowsDeleted', this._tableUpdatedHandler);
    this.chart.off('valueClick', this._chartValueClickedHandler);
  }
  _onTableUpdated(event) {
    if (this._tableUpdatedTimeOutId) {
      return;
    }
    this._tableUpdatedTimeOutId = setTimeout(() => {
      this._tableUpdatedTimeOutId = null;
      if (!this.rendered) {
        return;
      }
      this._setChartGroup1(null);
      this._setChartGroup2(null);
      this.removeContent();
      this.renderContent();
    });
  }
  _onTableColumnStructureChanged() {
    this.recomputeEnabled();
    if (this.contentRendered && this.selected) {
      this._onTableUpdated();
    }
  }
}
_defineProperty(ChartTableControl, "DATE_GROUP_FLAG", 0x100);
_defineProperty(ChartTableControl, "MAX_AXIS_COUNT", 100);

/***/ }),

/***/ "./src/table/controls/ChartTableControlAdapter.ts":
/*!********************************************************!*\
  !*** ./src/table/controls/ChartTableControlAdapter.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ChartTableControlAdapter: () => (/* binding */ ChartTableControlAdapter)
/* harmony export */ });
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ChartTableControlAdapter extends _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableControlAdapter {
  constructor() {
    super();
    this._addRemoteProperties(['chartType', 'chartAggregation', 'chartGroup1', 'chartGroup2']);
  }
}

/***/ }),

/***/ "./src/table/controls/ChartTableControlEventMap.ts":
/*!*********************************************************!*\
  !*** ./src/table/controls/ChartTableControlEventMap.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/controls/ChartTableControlLayout.ts":
/*!*******************************************************!*\
  !*** ./src/table/controls/ChartTableControlLayout.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ChartTableControlLayout: () => (/* binding */ ChartTableControlLayout)
/* harmony export */ });
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ChartTableControlLayout extends _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.AbstractLayout {
  constructor(control) {
    super();
    _defineProperty(this, "control", void 0);
    this.control = control;
  }
  layout($container) {
    if (!this.control.contentRendered) {
      return;
    }
    _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.control.$contentContainer);
    _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.control.$xAxisSelect);
    _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.control.$yAxisSelect);
    _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.scrollbars.update(this.control.$dataSelect);
  }
}

/***/ }),

/***/ "./src/table/controls/ChartTableControlModel.ts":
/*!******************************************************!*\
  !*** ./src/table/controls/ChartTableControlModel.ts ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/table/controls/ChartTableUserFilter.ts":
/*!****************************************************!*\
  !*** ./src/table/controls/ChartTableUserFilter.ts ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ChartTableUserFilter: () => (/* binding */ ChartTableUserFilter)
/* harmony export */ });
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ChartTableUserFilter extends _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableUserFilter {
  constructor() {
    super();
    _defineProperty(this, "text", void 0);
    _defineProperty(this, "xAxis", void 0);
    _defineProperty(this, "yAxis", void 0);
    _defineProperty(this, "filters", void 0);
    _defineProperty(this, "columnIdX", void 0);
    _defineProperty(this, "columnIdY", void 0);
    this.filterType = ChartTableUserFilter.TYPE;
    this.text = null;
    this.xAxis = null;
    this.yAxis = null;
    this.filters = [];
    this.columnIdX = null;
    this.columnIdY = null;
  }
  createLabel() {
    return this.text;
  }
  createFilterAddedEventData() {
    let data = super.createFilterAddedEventData();
    data.text = this.text;
    data.filters = this.filters;
    data.columnIdX = this.xAxis && this.xAxis.column ? this.xAxis.column.id : null;
    data.columnIdY = this.yAxis && this.yAxis.column ? this.yAxis.column.id : null;
    return data;
  }
  calculate() {
    let matrix = new _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.TableMatrix(this.table, this.session);
    let columnX = this.table.columnById(this.columnIdX);
    let axisGroupX = columnX.createFilter().axisGroup();
    this.xAxis = matrix.addAxis(columnX, axisGroupX);
    if (this.columnIdY) {
      let columnY = this.table.columnById(this.columnIdY);
      let axisGroupY = columnY.createFilter().axisGroup();
      this.yAxis = matrix.addAxis(columnY, axisGroupY);
    }
    matrix.calculate();
  }
  accept(row) {
    if (!this.xAxis) {
      // Lazy calculation. It is not possible on init, because the table is not rendered yet.
      this.calculate();
    }
    let value = this.xAxis.column.cellValueOrTextForCalculation(row);
    let deterministicKeyX = this.xAxis.normDeterministic(value);
    if (!this.yAxis) {
      return this.filters.filter(filter => filter.deterministicKey === deterministicKeyX).length > 0;
    }
    value = this.yAxis.column.cellValueOrTextForCalculation(row);
    let deterministicKeyY = this.yAxis.normDeterministic(value);
    return this.filters.filter(filter => _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.arrays.equals(filter.deterministicKey, [deterministicKeyX, deterministicKeyY])).length > 0;
  }
}
_defineProperty(ChartTableUserFilter, "TYPE", 'CHART');

/***/ }),

/***/ "./src/table/controls/ChartTableUserFilterModel.ts":
/*!*********************************************************!*\
  !*** ./src/table/controls/ChartTableUserFilterModel.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "./src/tile/ChartFieldTile.ts":
/*!************************************!*\
  !*** ./src/tile/ChartFieldTile.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ChartFieldTile: () => (/* binding */ ChartFieldTile)
/* harmony export */ });
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__);
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
/*
 * Copyright (c) 2010, 2024 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ChartFieldTile extends _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.FormFieldTile {
  constructor() {
    super();
    _defineProperty(this, "_chartConfigChangeHandler", void 0);
    this._chartConfigChangeHandler = this._onChartConfigChange.bind(this);
  }
  _setColorScheme(colorScheme) {
    super._setColorScheme(colorScheme);
    this._updateChartColorScheme();
  }
  _updateChartColorScheme() {
    let config = $.extend(true, {}, this.tileWidget.chart.config, {
      options: {
        colorScheme: this.colorScheme
      }
    });
    this.tileWidget.chart.setConfig(config);
  }
  _onChartConfigChange(event) {
    this._updateChartColorScheme();
  }
  _setTileWidget(tileWidget) {
    if (this.tileWidget) {
      this.tileWidget.chart.off('propertyChange:config', this._chartConfigChangeHandler);
    }
    super._setTileWidget(tileWidget);
    this._updateChartColorScheme();
    this.tileWidget.chart.on('propertyChange:config', this._chartConfigChangeHandler);
  }
}

/***/ }),

/***/ "./src/tile/ChartFieldTileAdapter.ts":
/*!*******************************************!*\
  !*** ./src/tile/ChartFieldTileAdapter.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   ChartFieldTileAdapter: () => (/* binding */ ChartFieldTileAdapter)
/* harmony export */ });
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @eclipse-scout/core */ "@eclipse-scout/core");
/* harmony import */ var _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__);
/*
 * Copyright (c) 2010, 2023 BSI Business Systems Integration AG
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

class ChartFieldTileAdapter extends _eclipse_scout_core__WEBPACK_IMPORTED_MODULE_0__.FormFieldTileAdapter {}

/***/ }),

/***/ "./src/tile/ChartFieldTileModel.ts":
/*!*****************************************!*\
  !*** ./src/tile/ChartFieldTileModel.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);


/***/ }),

/***/ "chart.js":
/*!************************!*\
  !*** external "Chart" ***!
  \************************/
/***/ ((module) => {

module.exports = Chart;

/***/ }),

/***/ "chartjs-plugin-datalabels":
/*!**********************************!*\
  !*** external "ChartDataLabels" ***!
  \**********************************/
/***/ ((module) => {

module.exports = ChartDataLabels;

/***/ }),

/***/ "jquery":
/*!*************************!*\
  !*** external "jQuery" ***!
  \*************************/
/***/ ((module) => {

module.exports = jQuery;

/***/ }),

/***/ "@eclipse-scout/core":
/*!************************!*\
  !*** external "scout" ***!
  \************************/
/***/ ((module) => {

module.exports = scout;

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	(() => {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = (module) => {
/******/ 			var getter = module && module.__esModule ?
/******/ 				() => (module['default']) :
/******/ 				() => (module);
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	// This entry module is referenced by other modules so it can't be inlined
/******/ 	var __webpack_exports__ = __webpack_require__("./src/index.ts");
/******/ 	
/******/ })()
;
//# sourceMappingURL=eclipse-scout-chart.js.map